# AMD confirms GPU driver bug overclocks CPUs without permission
## AMD is investigating an issue in its GPU software suite that causes an auto-adjustment of AMD Ryzen CPU performance settings for users without permission.
## Information:

+ Link: https://www.bleepingcomputer.com/news/hardware/amd-confirms-gpu-driver-bug-overclocks-cpus-without-permission/
+ Source: Bleeping Computer
+ Author: Bill Toulas
+ Date published: 06 April 2022, 13:53
+ Date scraped: 06 April 2022, 14:00

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2022/04/06/amd-ryzen-cpu.jpg)



AMD is investigating an issue in its GPU software suite that causes an auto-adjustment of AMD Ryzen CPU performance settings for users without permission.


This problem was reported by many users in the past weeks, who suddenly noticed inexplicable BIOS setting changes for which they were never asked to approve.


The chipmaker confirmed the GPU driver bug to [Tom's Hardware](https://www.tomshardware.com/news/amd-confirms-its-gpu-drivers-are-overclocking-cpus-without-asking) via a generic statement that didn't give many details, mitigation advice, or estimated fix dates.


The issue appears to affect only users who combined AMD CPUs and GPUs on the same system but doesn't affect all of those who are eligible.


Based on when the first reports appeared online, the problem was introduced with the AMD Adrenalin graphics card software [version 22.3.1](https://www.amd.com/en/support/kb/release-notes/rn-rad-win-22-3-1), released on March 17, 2022.


AMD released [Adrenalin Edition 22.4.1](https://www.amd.com/en/support/kb/release-notes/rn-rad-win-22-4-1) yesterday, but there is no mention of the auto-overclock bug in the release notes, so it's unclear if that version addresses the problem. 


We have contacted the vendor to ask for more information, and we will update this post as soon as we hear back.


## Overclocking risks


The Radeon Adrenalin driver introduced the auto-overclock feature in September 2021 to offer users an easy way to increase system performance with one click, without having to fiddle with FSB speed and voltage settings manually.


AMD's software modifies a device's performance settings directly from the Windows environment by manipulating the CPU PBO and the Precision Boost settings.


Overclocking CPUs means increasing their clock speeds, forcing them to perform more cycles per second. This generates more heat because the chips have to draw more electricity, and the energy losses increase.


However, overclocking can increase stress on the hardware and reduce its longevity if there is inadequate cooling. If the additional heat isn't ventilated at a sufficient rate, the processor will overheat and eventually throttle.


While Ryzen CPUs have advanced self-protection features, prolonged overheating would inevitably reduce longevity and hardware failures. This is precisely why CPU warranties are voided when the user overclocks them.


Finally, the increased clock speeds result in higher computational error rates, so the system becomes unstable, and the chances of data loss due to hangs, freezes, and BSODs, can increase.


## Potential solutions


If you are using the Adrenalin driver, you should upgrade to the latest available version released yesterday in the hope that AMD quietly addressed the problem via an urgent patch.


Users [on Reddit](https://www.reddit.com/r/Amd/comments/tv674h/may_contain_traces_of_ryzen_master_does_the/i3809wm/) have previously suggested that creating new tuning profiles in the software to replace the old, saved profiles also helped.


Another workaround is to delete the Ryzen Master SDK from Adrenalin, which is the component that enables the driver's modules to perform BIOS setting changes.


This is possible using the [Radeon Software Slimmer](https://github.com/GSDragoon/RadeonSoftwareSlimmer) tool, but users should note that this is not official AMD software, so there's always the risk of damaging your system.





## Tags:


### Autogenerated tags:
[[amd]] [[ryzen]] [[overclocking]]
