# Google to roll out Privacy Sandbox on Android 13 starting early 2023
## Google announced today that they will begin rolling out the Privacy Sandbox system on a limited number of Android 13 devices starting in early 2023.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/google-to-roll-out-privacy-sandbox-on-android-13-starting-early-2023/
+ Source: Bleeping Computer
+ Author: Bill Toulas
+ Date published: 15 November 2022, 18:00
+ Date scraped: 15 November 2022, 20:00

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2022/04/07/android.jpg)



Google announced today that they will begin rolling out the Privacy Sandbox system on a limited number of Android 13 devices starting in early 2023.


The Privacy Sandbox for Android is a set of technologies Google introduced in February this year, aiming to limit the tracking of users while still providing advertisers with viable performance-measurement options.


Since then, Google has debated various design proposals with app developers and marketers, refining the system and readying its components for tentative deployment.


"Beginning early next year, we plan to roll out the initial Privacy Sandbox Beta to Android 13 mobile devices so that developers can take the next steps in testing these new solutions," mentions today's press release.


"We'll start with a small percentage of devices and increase over time."


"Note that Developer Previews will continue to be released, and this is where we'll first deliver the latest features for early feedback before being released on production devices."


App developers are invited to enroll to access the system's APIs and work on their integrations from early on while simultaneously helping Google in the next testing phase.


The Privacy Sandbox SDK Runtime testing will be more limited, so this will continue to be in closed beta.


Those interested in participating and prepared to dedicate significant resources to testing can [declare it here](https://docs.google.com/forms/d/e/1FAIpQLSe_nIooIplKELeTAFlWEgAeisMS96QSMFBMyvG7L3KIEqY4DA/viewform).


## Privacy Sandbox for Android


Privacy Sandbox for Android replaces cross-app identifiers and covert tracking with API systems like "[Attribution Reporting](https://developer.android.com/design-for-safety/privacy-sandbox/attribution)", "[Topics](https://developer.android.com/design-for-safety/privacy-sandbox/topics)", and "[FLEDGE](https://developer.android.com/design-for-safety/privacy-sandbox/fledge)."


The Topics API works as a classifier model that infers user interests from app usage and informs advertisers accordingly.


The user interests are computed weekly from on-device information, and the top 5 topics are selected from a list of thousands.


FLEDGE is another Privacy Sandbox subsystem encompassing the Ad Selection and Custom Audience APIs.


Ad Selection provides advertisers information about which ads performed well on a given device, allowing them to render the right one, while the latter offers publishers the option to designate target audiences based on interests.



![Flow chart of custom audience and ad selection](https://www.bleepstatic.com/images/news/u/1220909/Diagrams/fledge.png)**Flow chart of Custom Audience and Ad Selection** *(Google)*


All these APIs combined replace advertising IDs that have been used on Android for many years and can also be used for tracking users.


The SDK Runtime will isolate third-party advertising code, so the apps will no longer include it in their code. They will not have access to user interest indicators and other marketing-related data.


DuckDuckGo has [criticized Privacy Sandbox](https://www.bleepingcomputer.com/news/security/duckduckgo-browser-allows-microsoft-trackers-due-to-search-agreement/) as a pretentious system that merely introduces new names for what is essentially indirect user tracking.


Additionally, Brave has stated that Privacy System achieves modest privacy improvements [at the expense of user choice](https://brave.com/web-standards-at-brave/6-privacy-sandbox-concerns/) while also imposing Google centralization.


Despite these voices, Google is moving forward with its plan to introduce the new system across all its products, including Chrome and Android.


At the same time, the tech giant promises to continue taking concerns and feedback into account, to address problems with targeted intervention.





## Tags:


### Autogenerated tags:
[[google]] [[android]]
