# Microsoft December 2023 Patch Tuesday fixes 34 flaws, 1 zero-day
## Today is Microsoft's December 2023 Patch Tuesday, which includes security updates for a total of 34 flaws and one previously disclosed, unpatched vulnerability in AMD CPUs.
## Information:

+ Link: https://www.bleepingcomputer.com/news/microsoft/microsoft-december-2023-patch-tuesday-fixes-34-flaws-1-zero-day/
+ Source: Bleeping Computer
+ Author: Lawrence Abrams
+ Date published: 12 December 2023, 14:00
+ Date scraped: 12 December 2023, 19:03

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2022/12/13/patch-tuesday-header.jpg)



Today is Microsoft's December 2023 Patch Tuesday, which includes security updates for a total of 34 flaws and one previously disclosed, unpatched vulnerability in AMD CPUs.


While eight remote code execution (RCE) bugs were fixed, Microsoft only rated three as critical. In total, there were four critical vulnerabilities, with one in Power Platform (Spoofing), two in Internet Connection Sharing (RCE), and one in Windows MSHTML Platform (RCE).


The number of bugs in each vulnerability category is listed below:


* 10 Elevation of Privilege Vulnerabilities
* 8 Remote Code Execution Vulnerabilities
* 6 Information Disclosure Vulnerabilities
* 5 Denial of Service Vulnerabilities
* 5 Spoofing Vulnerabilities

The total count of 34 flaws does not include 8 Microsoft Edge flaws fixed on December 7th.


To learn more about the non-security updates released today, you can review our dedicated articles on the new [Windows 11 KB5033375 cumulative update](https://www.bleepingcomputer.com/news/microsoft/windows-11-kb5033375-update-released-with-upgraded-copilot-ai-assistant/) and [Windows 10 KB5033372 cumulative update](https://www.bleepingcomputer.com/news/microsoft/windows-10-kb5033372-update-released-with-copilot-for-everyone-20-changes/).


One publicly disclosed zero-day fixed
-------------------------------------


This month's Patch Tuesday fixes one AMD zero-day vulnerability disclosed in August that previously remained unpatched.


The '**CVE-2023-20588 - AMD: CVE-2023-20588 AMD Speculative Leaks**' vulnerability is a division-by-zero bug in specific AMD processors that could potentially return sensitive data.


The flaw was disclosed in August 2023, with AMD not providing any fixes other than recommending the following mitigation.


"For affected products, AMD recommends following software development best practices," reads an [AMD bulletin](https://www.amd.com/en/resources/product-security/bulletin/amd-sb-7007.html) on CVE-2023-20588.


"Developers can mitigate this issue by ensuring that no privileged data is used in division operations prior to changing privilege boundaries. AMD believes that the potential impact of this vulnerability is low because it requires local access. "


As part of today's December Patch Tuesday updates, Microsoft has released a security update that resolves this bug in impacted AMD processors.


Recent updates from other companies
-----------------------------------


Other vendors who released updates or advisories in December 2023 include:


* **5Ghoul** attack [can cause service disruptions](https://www.bleepingcomputer.com/news/security/new-5ghoul-attack-impacts-5g-phones-with-qualcomm-mediatek-chips/) in 5G phones with Qualcomm, MediaTek chips
* **Atlassian** [released security updates](https://www.bleepingcomputer.com/news/security/atlassian-patches-critical-rce-flaws-across-multiple-products/) for four critical remote code execution (RCE) flaws in Confluence, Jira, and Bitbucket.
* **Apple** [backported patches](https://www.bleepingcomputer.com/news/apple/apple-emergency-updates-fix-recent-zero-days-on-older-iphones/) for recent zero-days to older iPhones and some Apple Watch and Apple TV models.
* **Cisco**[released security updates](https://sec.cloudapps.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-asa-ssl-vpn-Y88QOm77) for a Cisco ASA and Firepower flaw allowing IP address spoofing.
* **Google**released the [Android December 2023 security updates](https://www.bleepingcomputer.com/news/security/december-android-updates-fix-critical-zero-click-rce-flaw/) with a fix for a critical zero-day.
* **SAP** has released its [December 2023 Patch Day](https://dam.sap.com/mac/app/e/pdf/preview/embed/ucQrx6G?ltr=a&rc=10) updates.
* **Sierra Wireless** released security advisors for [21 flaws impacting Sierra OT/IoT routers](https://www.bleepingcomputer.com/news/security/sierra-21-vulnerabilities-impact-critical-infrastructure-routers/).
* [**SLAM** side-channel attack](https://www.bleepingcomputer.com/news/security/new-slam-attack-steals-sensitive-data-from-amd-future-intel-cpus/) steals sensitive data from upcoming CPUs from Intel, AMD, and Arm CPUs.
* **VMware** fixed a [critical authentication bypass](https://www.bleepingcomputer.com/news/security/vmware-fixes-critical-cloud-director-auth-bypass-unpatched-for-2-weeks/) in Cloud Director.
* **WordPress** [fixed a POP chain](https://www.bleepingcomputer.com/news/security/wordpress-fixes-pop-chain-exposing-websites-to-rce-attacks/) that could lead to RCE attacks.

The December 2023 Patch Tuesday Security Updates
------------------------------------------------


Below is the complete list of resolved vulnerabilities in the December 2023 Patch Tuesday updates.


To access the full description of each vulnerability and the systems it affects, you can view the [full report here](https://www.bleepingcomputer.com/microsoft-patch-tuesday-reports/Microsoft-Patch-Tuesday-December-2023.html).





| Tag | CVE ID | CVE Title | Severity |
| --- | --- | --- | --- |
| Azure Connected Machine Agent | [CVE-2023-35624](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2023-35624) | Azure Connected Machine Agent Elevation of Privilege Vulnerability | Important |
| Azure Machine Learning | [CVE-2023-35625](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2023-35625) | Azure Machine Learning Compute Instance for SDK Users Information Disclosure Vulnerability | Important |
| Chipsets | [CVE-2023-20588](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2023-20588) | AMD: CVE-2023-20588 AMD Speculative Leaks Security Notice | Important |
| Microsoft Bluetooth Driver | [CVE-2023-35634](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2023-35634) | Windows Bluetooth Driver Remote Code Execution Vulnerability | Important |
| Microsoft Dynamics | [CVE-2023-35621](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2023-35621) | Microsoft Dynamics 365 Finance and Operations Denial of Service Vulnerability | Important |
| Microsoft Dynamics | [CVE-2023-36020](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2023-36020) | Microsoft Dynamics 365 (on-premises) Cross-site Scripting Vulnerability | Important |
| Microsoft Edge (Chromium-based) | [CVE-2023-35618](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2023-35618) | Microsoft Edge (Chromium-based) Elevation of Privilege Vulnerability | Moderate |
| Microsoft Edge (Chromium-based) | [CVE-2023-36880](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2023-36880) | Microsoft Edge (Chromium-based) Information Disclosure Vulnerability | Low |
| Microsoft Edge (Chromium-based) | [CVE-2023-38174](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2023-38174) | Microsoft Edge (Chromium-based) Information Disclosure Vulnerability | Low |
| Microsoft Edge (Chromium-based) | [CVE-2023-6509](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2023-6509) | Chromium: CVE-2023-6509 Use after free in Side Panel Search | Unknown |
| Microsoft Edge (Chromium-based) | [CVE-2023-6512](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2023-6512) | Chromium: CVE-2023-6512 Inappropriate implementation in Web Browser UI | Unknown |
| Microsoft Edge (Chromium-based) | [CVE-2023-6508](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2023-6508) | Chromium: CVE-2023-6508 Use after free in Media Stream | Unknown |
| Microsoft Edge (Chromium-based) | [CVE-2023-6511](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2023-6511) | Chromium: CVE-2023-6511 Inappropriate implementation in Autofill | Unknown |
| Microsoft Edge (Chromium-based) | [CVE-2023-6510](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2023-6510) | Chromium: CVE-2023-6510 Use after free in Media Capture | Unknown |
| Microsoft Office Outlook | [CVE-2023-35636](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2023-35636) | Microsoft Outlook Information Disclosure Vulnerability | Important |
| Microsoft Office Outlook | [CVE-2023-35619](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2023-35619) | Microsoft Outlook for Mac Spoofing Vulnerability | Important |
| Microsoft Office Word | [CVE-2023-36009](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2023-36009) | Microsoft Word Information Disclosure Vulnerability | Important |
| Microsoft Power Platform Connector | [CVE-2023-36019](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2023-36019) | Microsoft Power Platform Connector Spoofing Vulnerability | Critical |
| Microsoft WDAC OLE DB provider for SQL | [CVE-2023-36006](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2023-36006) | Microsoft WDAC OLE DB provider for SQL Server Remote Code Execution Vulnerability | Important |
| Microsoft Windows DNS | [CVE-2023-35622](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2023-35622) | Windows DNS Spoofing Vulnerability | Important |
| Windows Cloud Files Mini Filter Driver | [CVE-2023-36696](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2023-36696) | Windows Cloud Files Mini Filter Driver Elevation of Privilege Vulnerability | Important |
| Windows Defender | [CVE-2023-36010](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2023-36010) | Microsoft Defender Denial of Service Vulnerability | Important |
| Windows DHCP Server | [CVE-2023-35643](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2023-35643) | DHCP Server Service Information Disclosure Vulnerability | Important |
| Windows DHCP Server | [CVE-2023-35638](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2023-35638) | DHCP Server Service Denial of Service Vulnerability | Important |
| Windows DHCP Server | [CVE-2023-36012](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2023-36012) | DHCP Server Service Information Disclosure Vulnerability | Important |
| Windows DPAPI (Data Protection Application Programming Interface) | [CVE-2023-36004](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2023-36004) | Windows DPAPI (Data Protection Application Programming Interface) Spoofing Vulnerability | Important |
| Windows Internet Connection Sharing (ICS) | [CVE-2023-35642](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2023-35642) | Internet Connection Sharing (ICS) Denial of Service Vulnerability | Important |
| Windows Internet Connection Sharing (ICS) | [CVE-2023-35630](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2023-35630) | Internet Connection Sharing (ICS) Remote Code Execution Vulnerability | Critical |
| Windows Internet Connection Sharing (ICS) | [CVE-2023-35632](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2023-35632) | Windows Ancillary Function Driver for WinSock Elevation of Privilege Vulnerability | Important |
| Windows Internet Connection Sharing (ICS) | [CVE-2023-35641](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2023-35641) | Internet Connection Sharing (ICS) Remote Code Execution Vulnerability | Critical |
| Windows Kernel | [CVE-2023-35633](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2023-35633) | Windows Kernel Elevation of Privilege Vulnerability | Important |
| Windows Kernel | [CVE-2023-35635](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2023-35635) | Windows Kernel Denial of Service Vulnerability | Important |
| Windows Kernel-Mode Drivers | [CVE-2023-35644](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2023-35644) | Windows Sysmain Service Elevation of Privilege | Important |
| Windows Local Security Authority Subsystem Service (LSASS) | [CVE-2023-36391](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2023-36391) | Local Security Authority Subsystem Service Elevation of Privilege Vulnerability | Important |
| Windows Media | [CVE-2023-21740](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2023-21740) | Windows Media Remote Code Execution Vulnerability | Important |
| Windows MSHTML Platform | [CVE-2023-35628](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2023-35628) | Windows MSHTML Platform Remote Code Execution Vulnerability | Critical |
| Windows ODBC Driver | [CVE-2023-35639](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2023-35639) | Microsoft ODBC Driver Remote Code Execution Vulnerability | Important |
| Windows Telephony Server | [CVE-2023-36005](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2023-36005) | Windows Telephony Server Elevation of Privilege Vulnerability | Important |
| Windows USB Mass Storage Class Driver | [CVE-2023-35629](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2023-35629) | Microsoft USBHUB 3.0 Device Driver Remote Code Execution Vulnerability | Important |
| Windows Win32K | [CVE-2023-36011](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2023-36011) | Win32k Elevation of Privilege Vulnerability | Important |
| Windows Win32K | [CVE-2023-35631](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2023-35631) | Win32k Elevation of Privilege Vulnerability | Important |
| XAML Diagnostics | [CVE-2023-36003](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2023-36003) | XAML Diagnostics Elevation of Privilege Vulnerability | Important |





## Tags:
***CVE's***: CVE-2023-6509 CVE-2023-35628 CVE-2023-36020 CVE-2023-35632 CVE-2023-36019 CVE-2023-36696 CVE-2023-35643 CVE-2023-35624 CVE-2023-35630 CVE-2023-6508 CVE-2023-35633 CVE-2023-36006 CVE-2023-35635 CVE-2023-35642 CVE-2023-36009 CVE-2023-35638 CVE-2023-36004 CVE-2023-35631 CVE-2023-6511 CVE-2023-35636 CVE-2023-36005 CVE-2023-35622 CVE-2023-36012 CVE-2023-36003 CVE-2023-35641 CVE-2023-35621 CVE-2023-36880 CVE-2023-38174 CVE-2023-35619 CVE-2023-35629 CVE-2023-36011 CVE-2023-35644 CVE-2023-6512 CVE-2023-35618 CVE-2023-36010 CVE-2023-20588 CVE-2023-21740 CVE-2023-35625 CVE-2023-6510 CVE-2023-35634 CVE-2023-35639 CVE-2023-36391

### Autogenerated tags:
[[windows]] [[microsoft]] [[amd]] [[chromium-based]] [[ics]] [[dhcp]] [[rce]] [[cve-2023-20588]] [[win32k]] [[mshtml]]
