# The best Windows 11 features added in 2023
## The year 2023 marks a significant milestone for Windows 11 with the introduction of several new features and improvements. This includes drag and drop for the taskbar, AI, and more.
## Information:

+ Link: https://www.bleepingcomputer.com/news/microsoft/the-best-windows-11-features-added-in-2023/
+ Source: Bleeping Computer
+ Author: Mayank Parmar
+ Date published: 08 January 2024, 20:49
+ Date scraped: 09 January 2024, 02:05

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2023/12/20/Windows_11.jpg)



The year 2023 marks a significant milestone for Windows 11 with the introduction of several new features and improvements. This includes drag and drop for the taskbar, AI, and more.


Reviving the Classic Taskbar Drag and Drop
------------------------------------------


A much-requested feature makes a comeback in Windows 11 – the ability to drag and drop items directly onto the taskbar.


![Windows 11](https://www.bleepstatic.com/images/news/u/1097497/Windows%2011/Settings.jpg)


This familiar functionality, a staple in previous Windows versions, streamlines workflows and adds to the convenience of multitasking, reaffirming Microsoft's commitment to user-friendly design.


Windows Copilot
---------------


Windows 11 introduces Windows Copilot, an innovative AI assistant that merges the capabilities of Bing Chat with additional plugins.


![Copilot](https://www.bleepstatic.com/images/news/u/1097497/Windows%2011/Copilot(1).jpg)


Accessible from a dedicated sidebar on the taskbar, Copilot is designed to revolutionize PC interactions, offering a range of services from responding to queries to assisting with travel arrangements.


Despite its potential, early feedback suggests room for improvement. Users have reported issues with performance and accuracy, highlighting the need for further refinement in Copilot's integration and functionality.


In 2024, Microsoft plans to upgrade Copilot with more contextual advancements, such as the ability to understand content on the screen and interact with apps.


**File Explorer's Fresh Facelift**
----------------------------------


The 2023 update also breathes new life into the File Explorer with a modernized interface. Built with WinUI and the Windows App SDK, this redesign aims to modernize the file manager.


![Explorer](https://www.bleepstatic.com/images/news/u/1097497/Windows%2011/Explorer(1).jpg)


Azure Active Directory users can benefit from a file recommendation carousel, while the upgraded Quick Access and Recent sections offer an improved aesthetic.


Cloud storage management is now more intuitive, with OneDrive sync status and quota information integrated into the address bar. Additionally, a revamped details pane enables efficient collaboration and quick access to file details, elevating the user experience without the need to open files.


In summary, the 2023 updates to Windows 11 focus on AI assistance, restoring beloved functionalities, and modernizing key components. The next update, set to arrive in 2024, will most likely focus on these improvements.


New features coming in 2024
---------------------------


Microsoft is testing an array of new features for Windows 11, ranging from AI to personalization settings. While the Windows 11 2024 Update is expected to focus more on AI, you can expect several minor improvements.


### **Enhanced Weather Updates on Lock Screen**


Windows 11 is set to introduce an enriched weather experience on the lock screen.


This interactive feature will provide dynamic weather updates, offering more detailed information as you hover over or interact with the weather display. Upon signing in, a full forecast from MSN Weather will be accessible via Microsoft Edge. This feature, initially rolling out in English (US) for feedback, will be set as the default, but can be easily disabled for those who prefer a simpler lock screen.


### **Pause and Resume Printing Directly in Settings**


A practical update is coming to the printing experience. Users will soon have the ability to pause and resume print jobs directly from the 'Printers & scanners' section under Settings. This feature is especially useful for managing printer maintenance tasks, like cartridge replacements, without disrupting the printing queue.


### **Voice Access Replaces Windows Speech Recognition**


Windows Speech Recognition (WSR) is being replaced by voice access, a more advanced and accessible feature. Voice access leverages on-device speech recognition, allowing for efficient PC control and text authoring without needing an internet connection. This feature promises support for multiple languages and custom commands in future updates.


### **Windows 365 Boot Enhancements**


Windows 365 Boot is receiving significant updates:


* **Dedicated Mode**: This new mode enables booting directly to your Windows 365 Cloud PC from a company-owned device, with features like password-less authentication and fast account switching.
* **Customized Company Branding**: Organizations can now personalize the login page with their branding in shared mode.
* **Fail Fast Mechanism**: This feature quickly notifies users of any network or setup issues during the sign-in process, streamlining the login experience.
* **Local PC Settings Management**: Users can now manage local PC settings like sound and display directly from their Cloud PC when using Windows 365 Boot.

These features, along with the other enhancements, showcase Microsoft's commitment to refining Windows 11.





## Tags:


### Autogenerated tags:
[[windows]] [[microsoft]] [[taskbar]] [[cloud]]
