# Windows 11 23H2 - New features in the Windows 11 2023 Update
## This article will explore Windows 11 23H2 features, from dynamic lighting to Windows Copilot upgrades.
## Information:

+ Link: https://www.bleepingcomputer.com/news/microsoft/windows-11-23h2-new-features-in-the-windows-11-2023-update/
+ Source: Bleeping Computer
+ Author: Mayank Parmar
+ Date published: 31 October 2023, 15:56
+ Date scraped: 31 October 2023, 20:02

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2023/02/13/Windows_11_dark_hdr.jpg)



Windows 11 23H2 is now out and it comes with tons of new features.


This article will explore Windows 11 23H2 features, from dynamic lighting to Windows Copilot upgrades.


Windows Copilot
---------------


Microsoft has unveiled the Windows Copilot, the first AI assistant unified within a PC platform.


This ground-breaking feature amalgamates Bing Chat and additional plugins to assist users in various tasks via the Copilot sidebar. This major shift represents a new era in PC use, with the AI assistant ready to guide users throughout their digital tasks.


Activating Windows Copilot is a straightforward process, conveniently located on the taskbar. The sidebar is present across all windows, programs, and apps, ensuring consistent assistance.



![Copilot](https://www.bleepstatic.com/images/news/u/1097497/Windows%2011/Windows-Copilot-UX(1).jpg)Windows Copilot in action


This integrated AI assistant enables users to streamline operations, interact with preferred applications, personalize settings, and execute actions more intuitively.


Windows Copilot enhances features such as Snap Assist, copy/paste, Snipping Tool, and personalization. It adds a utility layer; for instance, Copilot can rewrite, summarize, or explain content copied and pasted by users.


Thanks to the Bing Chat integration, the innovative feature can answer a diverse range of inquiries. Whether simple tasks like checking the local time in Cyprus or complex ones such as planning a trip, including finding flights and accommodations, Windows Copilot is designed to assist in all.


While the combination of Bing and ChatGPT plugins in Windows Copilot signals a new frontier in AI capabilities, the initial preview has not met the expectations.



![Copilot](https://www.bleepstatic.com/images/news/u/1097497/Windows%2011/Copilot2.jpg)Copilot and apps integration


Despite promising features like easily switching to dark mode, the AI integration feels more like a web wrapper than a native feature of Windows 11. The experience is more akin to running Bing.com within Microsoft Edge than a fully integrated part of the operating system.


Notably, Windows Copilot tends to misunderstand the user's intent. For example, when asked to turn off light mode while already in dark mode, Copilot would search the query on Bing.com and provide instructions instead of comprehending the user's request.


Further, Windows Copilot's performance can be sluggish.


The assistant tends to delay while searching the web and executing actions, leading to a less-than-optimal user experience. Since the current version of Copilot relies heavily on internet connectivity, users may face issues with responsiveness and seamless integration, especially when the internet connection is slow or unavailable.


The current form of Windows Copilot, which essentially operates as a web wrapper, fails to provide a seamless blend with the rest of the operating system.


Native integration of Windows Copilot, coded directly into Windows 11, could provide a solution.


Such an upgrade would ensure more integration with the OS, potentially offering users a more reliable, responsive, and robust AI assistant experience.


As Microsoft continues to innovate and refine the platform, Windows Copilot's shortcomings present a challenge to overcome and a stepping stone towards a more seamless and advanced AI-integrated OS.


A Modernized File Explorer Experience
-------------------------------------


The revamped File Explorer, powered by Windows App SDK and designed with WinUI, presents a modernized home interface. Here, recommended files for Azure Active Directory (AAD) users are showcased in a carousel, with thumbnail support arriving soon.


Quick Access folders, Favorites, and Recent sections also benefit from a refreshed WinUI-based look.


The new address bar differentiates between local and cloud folders and features integrated status icons. For OneDrive users, sync status and quota flyouts are now readily visible on the address bar.



![Explorer](https://www.bleepstatic.com/images/news/u/1097497/Windows%2011/Explorer-gallery.jpg)New File Explorer with Gallery View


Microsoft is also introducing a revamped details pane in File Explorer (accessible via ALT + Shift + P).


It is designed to display relevant file information and allow collaboration without the need to open files. When a file is selected and the pane enabled, users will see a thumbnail, share status, activity, related files and e-mails, and more. The new pane can be toggled on or off via the View menu and an accessible button on the command bar.


FEEDBACK: For feedback, file in Feedback Hub (WIN + F) under Files, Folders, and Online Storage > File Explorer.


Dynamic Lighting for Windows Users and Developers
-------------------------------------------------


Dynamic Lighting provides users and developers with native control of lighting devices implementing the open HID LampArray standard.


This move towards an open standard is designed to enhance the RGB device and software ecosystem by increasing the interoperability of devices and apps. The new feature also includes APIs for Windows apps to control devices from the foreground or background and a custom settings page for users.



Major device manufacturers like Acer, ASUS, HP, HyperX, Logitech, Razer, and Twinkly have partnered with Microsoft on this project. A list of currently compatible devices can be found on the Dynamic Lighting Hardware MS Learn page.


To configure a HID LampArray device, navigate to the new Dynamic Lighting page in Settings > Personalization > Dynamic Lighting.


FEEDBACK: For feedback, file in Feedback Hub (WIN + F) under Devices and Drivers > Lighting.


Windows Ink Enhancements
------------------------


The updated Windows Ink allows users to enable inking directly onto edit fields, significantly improving the recognition technology and scratch out gesture for when users need to make edits.


The aim is to let users handwrite anywhere they can type on their Windows device.


At present, these improvements only support English (U.S.), but additional language support is forthcoming. This experience can be managed via Settings > Bluetooth and devices > Pen and Windows Ink under "Shell Handwriting".


FEEDBACK: For feedback, file in Feedback Hub (WIN + F) under Input and Language > Pen input.


Enhanced Volume Mixer in Quick Settings
---------------------------------------


Windows 11 23H2 introduces a new enhanced volume mixer in Quick Settings, allowing quick customization of audio on a per-app basis and device swapping on the go.


A new keyboard shortcut (WIN + CTRL + V) provides faster access to the volume mixer. It also includes a quick access list of installed spatial sound technology and suggests additional options like Dolby and DTS from the Microsoft Store.



![Volume Mixer](https://www.bleepstatic.com/images/news/u/1097497/Windows%2011/Windows%2011%20volume%20mixer.jpg)Volume Mixer


FEEDBACK: For feedback, file in Feedback Hub (WIN + F) under Desktop Environment > Quick Settings.


Revamped Windows Spotlight Experience
-------------------------------------


The upgraded Windows Spotlight offers a more immersive experience with preview images, full-screen views, and multiple opportunities to learn more about each image.


Users can activate it by right-clicking the Spotlight icon on the desktop or by choosing the new Spotlight theme in the "Personalize your background" dropdown in Settings > Personalization > Background.


FEEDBACK: For feedback, file in Feedback Hub (WIN + F) under Desktop Environment > Windows Spotlight.


Striving for a Passwordless Future
----------------------------------


Microsoft is on a mission to make passwords a thing of the past. The company is rolling out improved passkey experiences, where you can create and sign in using passkeys with the Windows Hello native experience for any app or website that supports them.


Windows 11 also allows you to manage passkeys saved to your Windows device, giving you control to view and delete any passkey from the device.


FEEDBACK: For feedback, file in Feedback Hub (WIN + F) under Security and Privacy > Passkey.


Warnings for Unsafe Password Copy and Paste
-------------------------------------------


Starting with Windows 11, version 22H2, Enhanced Phishing Protection in Microsoft Defender SmartScreen protects school or work passwords against phishing and unsafe usage on sites and apps.


Users who have enabled warning options for Windows Security will now receive a warning when performing an unsafe password copy and paste operation.


FEEDBACK: For feedback, file in Feedback Hub (WIN + F) under Security and Privacy > Microsoft.


Narrator Natural Voices
-----------------------


The latest update introduces fresh natural voices for Narrator users in various languages including Chinese, Spanish (Spain and Mexico), Japanese and English (United Kingdom). These modern, on-device text-to-speech natural voices provide a smooth and convenient browsing, reading, and writing experience.


The best part? They are available offline once downloaded.


To use these natural voices:


1. Access Narrator Settings with WIN + Ctrl + N.
2. Select the Add button under Narrator’s voice next to Add natural voices.
3. Choose the voice to install. Installation of all voices is permissible but should be done one at a time.
4. For Chinese, you have Microsoft Xiaoxiao (Female) and Microsoft Yunxi (Male). Spanish (Spain) features Microsoft Elvira (Female) and Microsoft Alvaro (Male), while Spanish (Mexico) offers Microsoft Dalia (Female) and Microsoft Jorge (Male). Japanese users can use Microsoft Nanami(Female) and Microsoft Keita (Male), and English (United Kingdom) presents Microsoft Sonia(Female) and Microsoft Ryan (Male).
5. To begin downloading, hit Install. The new voice should be ready to use in minutes, subject to internet download speed.
6. Once downloaded, select your new voice from the drop-down in Narrator settings under Narrator’s voice > Choose a voice.

Remember, if your display language does not match any of the languages above, step 3 will require you to select "Choose a different language" first.


Submit any feedback under Accessibility > Narrator in the Feedback Hub (Win + F).


Local File Sharing Improvements
-------------------------------


Windows has revamped local file sharing with notable improvements to the Windows share window and nearby sharing. Updates include:


1. A new Windows share window design in line with Windows 11 principles.
2. An integrated Outlook option for emailing files directly from the Windows share window. This is accessible under the "Share using" section.
3. A search box in the Windows share window for searching contacts across Outlook.
4. Up to 10 suggested contacts for quick file sharing.
5. A new button for activating nearby sharing.
6. Your own PCs are at the top of the list under "Nearby Share".
7. Faster file sharing between PCs via Wi-Fi Direct.

These experiences apply to sharing local files from various apps that use the built-in Windows share window.


For feedback, head to the Feedback Hub (WIN + F) and look under Desktop Environment > Share for the Windows share window and Desktop Environment > Nearby Sharing for nearby sharing.


Changes and Improvements in Windows 11 23H2
-------------------------------------------


* Alerts for detected camera streaming issues, with recommendations to launch the Get Help troubleshooter.
* Important or urgent notifications display a "view notification" button for privacy when using full-screen apps.
* Never combined mode for the taskbar in Settings > Personalization > Taskbar > Taskbar behaviours (not fully functional yet). With this new feature, you can turn off never combined and see labels for apps.
* Task ending option when right-clicking an app on the taskbar, managed under Settings > System > For developers.
* Introduction of Unicode Emoji 15 to Windows Insiders in the Beta Channel. This update includes new hearts, animals, and a smiley face.
* Labels and sliding animations when switching between desktops in Task View.
* Accessibility flyout on the Lock screen.
* Energy-saving recommendation for adjusting refresh rate in Settings > System > Power & battery > Energy recommendations.
* Updated design for lists under Settings > Apps > Startup Apps and Settings > Apps > Advanced App Settings > App Execution Alias.

If you wish to try the update today, check for updates to get started.





## Tags:


### Autogenerated tags:
[[windows]] [[microsoft]] [[apps]] [[window]] [[taskbar]] [[23h2]]
