# Malicious npm and PyPi Packages Exfiltrate SSH Keys From Server
## JavaScript and Python both have their own package repositories called npm (Node Package Manager) and PyPi (Python Package Index), respectively.
## Information:

+ Link: https://cybersecuritynews.com/?p=44993
+ Source: Cyber Security News
+ Author: Tushar Subhra Dutta
+ Date published: 02 October 2023, 09:06
+ Date scraped: 02 October 2023, 10:01

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEhOmMGQJFgcyDTyaHzge8CfCIvP1wj_8tuAdrD0jw7sTYi1WgFUSSDKC18Ci0OCSd5nH-ZQgHtK3PVyezI2lW_9_6l7Qo-B4hwB9bnNAplX8IcpsuD-e89INYUc-pQGn0a2FouOcCHqdDkNZiHb9byjROg6uAxHen041vvZPKAoIb6FRbhs8J0PlQ4oxFul/s1600/Malicious%20npm%20and%20PyPi%20Packages%20Exfiltrate%20SSH%20Keys%20From%20Server.webp)


JavaScript and Python both have their own package repositories called npm (Node Package Manager) and PyPi (Python Package Index), respectively.


They act as key centers for publishing and exchanging reusable code libraries and packages by developers.






Sonatype Security Research tracks the npm registry campaign extracting [Kubernetes](https://cybersecuritynews.com/tips-for-kubernetes-pod-security-with-admission-controllers/) configs and SSH keys via npm packages. Their automated system found 14 malicious packages, which were promptly reported to npm registry admins by researchers.


Sonatype researchers Carlos Fernandez and Gustavo Simoes [find](https://blog.sonatype.com/npm-packages-caught-exfiltrating-kubernetes-config-ssh-keys) deceptive packages mimicking JavaScript libraries containing obfuscated code to steal sensitive files post-installation.




Document

FREE Demo
[Deploy Advanced AI-Powered Email Security Solution](#)
-------------------------------------------------------


Implementing AI-Powered Email security solutions “Trustifi” can secure your business from today’s most dangerous email threats, such as Email Tracking, Blocking, Modifying, Phishing, Account Take Over, Business Email Compromise, Malware & Ransomware


  [Free Demo](https://trustifi.com/request-a-demo/?utm_source=cybersecuritynews&utm_medium=Banner&utm_campaign=CyberSecuritynews&utm_id=cybersecuritynewshttps://trustifi.com/request-a-demo/?utm_source=cybersecuritynews&utm_medium=Banner&utm_campaign=CyberSecuritynews&utm_id=cybersecuritynews) 


**Tracked packages**
--------------------


Here below, we have mentioned all the packages that are tracked as “Sonatype-2023-4000” and “Sonatype-2023-4004”:-


* @am-fe/hooks
* @am-fe/provider
* @am-fe/request
* @am-fe/utils
* @am-fe/watermark
* @am-fe/watermark-core
* @dynamic-form-components/mui
* @dynamic-form-components/shineout
* @expue/app
* @fixedwidthtable/fixedwidthtable
* @soc-fe/use
* @spgy/eslint-plugin-spgy-fe
* @virtualsearchtable/virtualsearchtable
* shineouts


**Technical analysis**
----------------------


Batches of packages with under 200 downloads shared the commonality of using “app.threatest.com” in their accounts.


The package, named ‘fixedwidthtable,’ links to a non-descriptive ‘typescript-sdk-tools’ GitHub repository, raising the first red flag, as highlighted by Simoes.


![fixedwidthtable](https://lh4.googleusercontent.com/emwKnm2h1FSdvOgTv0NKrfHa6UFU_MmJYx7DMJpy513QauYDxm-6epqD3cyPnw55YRsnSE3oSOHweVBko5-wp52icNapWzLMjeZZ0Eor0I70gh__ikXc9W5LWw73ULa-eq2kdc10k7cZikZhmgxqazM)fixedwidthtable or fixedwidthtable package (Source – SonaType)


While on the other hand, the package versions include functional code from real open-source packages, with alterations. In the ‘scripts’ folder, experts spot an ‘index.js’ file running obfuscated code.


![index.js file ](https://lh3.googleusercontent.com/88M7Z5BJehHg3IURnOHIWpeQg82RaJuXtKdIrcOIk-y33GMNw5G2M_iohlHEdyDFRcmxNtP7UEg5C2wIJOMeYETlBkpdhVq1op78Kmy3dNx52d_a8beToE7h79qkNbkvFtJGZAPGl1lag0L_1ICXqjM)index.js file (Source – SonaType)


Similar code and tactics are found in other campaign packages, and the cybersecurity researchers deobfuscated payloads.


While the earlier versions, like ‘@am-fe/hooks,’ revealed attacker intentions with unobfuscated payload. Mirroring previous PoC exploits, the script gathers SSH keys, Kubernetes config, and basic system info like:-


* Username
* IP
* Hostname


Yet, this stealthy data collection and deceptive npm metadata indicate the malicious intent.


Fernandez highlights the risk of unauthorized Kubernetes access, especially if it exploits recent [vulnerabilities](https://cybersecuritynews.com/20-most-exploited-vulnerabilities-microsofts-products/). The domain app.threatest[.]com resolves to Cloudflare IPs (172.67.141.49, 104.21.9.30), making attribution challenging. 


However, besides this, security analysts found Mandarin comments during their analysis, but the comments are not conclusive of a specific threat actor.


Researchers tried contacting package publishers via metadata and WHOIS records but received no response. Given the current findings, analysts still consider these packages malicious.






## Tags:
***ipv4-adresses***: 104.21.9.30 172.67.141.49
***urls***: http://app.threatest.com

### Autogenerated tags:
[[npm]] [[sonatype]] [[kubernetes]]
