# QuickBlox Framework Security Flaws Exposes Millions of Users Sensitive Data
## Recent reports from Team82 and CPR team state that there has been a major vulnerability in QuickBlox SDK & API that is used for developing chat and video applications.
## Information:

+ Link: https://cybersecuritynews.com/?p=27365
+ Source: Cyber Security News
+ Author: Eswar
+ Date published: 13 July 2023, 16:13
+ Date scraped: 13 July 2023, 17:01

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEjKVIxlK02_o78pDmPDeNT96FxhytZGz4qWFNp0JqVZnznebd3YqISh10S7kDIwlgwSSKoRRINwpl4cE5dEWFxHl3MUr3vlJjLYcIPc2iqZg8q0uPgZ9OeSbj-QebK1_y0jNllwsgWz1Bz2pusBjOV76cxgZf2ROXMl2iR-8Kfh8eSpcCADlpssHx1HwvwD/s16000/QuickBlox%20Security%20Flaws.webp)


Recent reports from Team82 and Check Point Research (CPR) team state that there has been a major vulnerability in QuickBlox SDK (Software Development Kit) and [API (Application Programming Interface)](https://en.wikipedia.org/wiki/API) that is used for developing chat and video applications.


Researchers are able to take over multiple user accounts in dozens of applications that rely on the QuickBlox framework for developing their applications.





/\* custom css \*/
.tdi\_3.td-a-rec{
 text-align: center;
 }.tdi\_3 .td-element-style{
 z-index: -1;
 }.tdi\_3.td-a-rec-img{
 text-align: left;
 }.tdi\_3.td-a-rec-img img{
 margin: 0 auto 0 0;
 }@media (max-width: 767px) {
 .tdi\_3.td-a-rec-img {
 text-align: center;
 }
 }



These vulnerabilities were reported to QuickBlox and fixed with the new security architecture.


## **QuickBlox Architecture**


QuickBlox requires developers to create a new QuickBlox account which in turn creates a new application with the QuickBlox Dashboard along with specific credentials for the application, which includes an Application ID, Authorization Key, Authorization Secret, and Account Key.


These credentials are then used to request and retrieve the QB token for this application that is used for further [API requests](https://cloud.google.com/compute/docs/api/how-tos/api-requests-responses). 


Once the QB token is received by the new application, it requires the user credentials and the application session to make the session more authorized and authenticated.


In addition to this, every user of the application requires the application session to log in to the application as per the QuickBlox documentation.


Most of the applications that use QuickBlox just inserted the application credentials into their applications, which is easy to extract by [reverse engineering](https://cybersecuritynews.com/remnux/) with tools like Frida.


## **QuickBlox Vulnerabilities**


Once these application secret keys were extracted, it was possible for the research team to extract multiple information from endpoints, like the full list of users (/users.json), PII user information (/ID.json) which includes name, email, phone number, etc., and create new users (/users.json).


An attacker with static settings information is capable of taking over all of the user accounts and creating multiple attacker-controlled accounts.



![](https://lh5.googleusercontent.com/8THxnhPQjhIidMeI5pIdRgO8gqm2WvV4QlaLNlIy9XNhMxp7V8P3shJftUQvp1pYoPfQExZjK8BtNp_UbbLMoeVLUV8Tea_hXX0alxIJrMVbrPJcGg9NP7Ga2tgyzuQJhJG5SrZFIvp2S70VGRhzrmo)*Image: Extracted information from QuickBlox (Source: Claroty)*


Furthermore, there were several applications that did not implement appropriate [security measures](https://cybersecuritynews.com/ipv6-security-best-practices-recommended-security-measures/) in their applications. 


The most critical ones were from the Telemedicine and Intercom / Communication industries.


## **Case Studies and Impact**


Two case studies were conducted on a Telemedicine android application and an Israeli-based Intercom application that uses QuickBlox in their applications.


In the case of the Intercom, the researchers were able to extract information and conduct activities like Wiretapping, opening the doors, controlling microphones, and much more.


In Telemedicine’s case, the researchers could extract critical and [sensitive information](https://csrc.nist.gov/glossary/term/sensitive_information) like patients’ medical records, chat histories, medical history, doctors’ records, etc.  


In worst cases, threat actors exploiting this vulnerability can also impersonate an actual physician.



![](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEhKoDjMLklCG42Ligre3yxdbTzsz4TNoT7K2LI56-2sGBVRMOY4VLhdQARZfirM_RJP0ly6iGobOiTHG24V_HUwMYtVTXJpMVJOlR4QsMHOkJw3Il8a2_8UF_9Wv6tZoTE8vVi5iqr6yKmOV5v5SakFPDOEXzPy0aUd8_ebEFeW_8UyGF1aMjqWjB7uqDiC/s16000/QuickBlox.png)*Impersonation of Doctor by a threat actor Source: Claroty*


A [complete report](https://claroty.com/team82/research/major-security-flaws-in-popular-quickblox-chat-and-video-framework-expose-sensitive-data-of-millions) was released by team82, which contains detailed information on the exploitation and the methods used for exploitation.






## Tags:


### Autogenerated tags:
[[quickblox]] [[telemedicine]]
