# Zoom Desktop Flaws Let Attackers Launch Privilege Escalation Attacks
## Zoom has patched seven vulnerabilities in its desktop and mobile applications, particularly a critical flaw identified as CVE-2024-24691.
## Information:

+ Link: https://cybersecuritynews.com/?p=57277
+ Source: Cyber Security News
+ Author: Guru
+ Date published: 15 February 2024, 13:59
+ Date scraped: 15 February 2024, 14:02

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEha1k9PARlHBghh1JmzW6vfqK4Akku351N73msTCnC0LtTt9ZOVZlQJGTFcZ27DMsAJZwHAWNU25nqIK3ssxYdNyGJpJ8ebj_Xyns4yb2TWy-oU4Mna94lMnxRh2lIrFgLMLWLrwUvWzRR8F3BxcFopntnrGzU67Rnthy0zgKWnb6o82p9jQYtT7bFzOLk7/s1600/OpenAI%20Shutdown%20Hacker%20Accounts%20(1)-1-1.webp)


Zoom, a well-known video conferencing software, has patched seven vulnerabilities in its desktop and mobile applications, particularly a critical flaw identified as [CVE-2024-24691](https://nvd.nist.gov/vuln/detail/CVE-2024-24691) impacting Windows software.


Notably, a high-severity escalation of privilege issue affecting Windows software was also fixed by the company and assigned as CVE-2024-24697.


A privilege escalation attack is an attempt to obtain unauthorized access to higher rights, permissions, privileges, or entitlements than those allocated to a particular account, user, or device. This can occur as a result of a system flaw, misconfiguration, or inadequate access controls.


Document

Live Account Takeover Attack Simulation
[How do Hackers Bypass 2FA?](#)
-------------------------------


Live attack simulation Webinar demonstrates various ways in which account takeover can happen and practices to protect your websites and APIs against ATO attacks

.


  [Book Your Spot](https://www.indusface.com/account-takeover-live-attack-simulation.php?utm_source=gbhackers-blog-cta&utm_medium=referral&utm_campaign=2024-feb-webinar-account-takeover-live-attack-simulation) 


**CVE-2024-24691- Improper Input Validation**
---------------------------------------------


With a CVSS Score of 9.6, this critical severity flaw may enable an unauthorized user to carry out an escalation of privilege via network access due to improper input validation in the Zoom Desktop Client, Zoom VDI Client, and Zoom Meeting SDK for Windows.


**Affected Products:**
----------------------


* Zoom Desktop Client for Windows before version 5.16.5
* Zoom VDI Client for Windows before version 5.16.10 (excluding 5.14.14 and 5.15.12)
* Zoom Rooms Client for Windows before version 5.17.0
* Zoom Meeting SDK for Windows before version 5.16.5


**CVE-2024-24697 – Untrusted Search Path**
------------------------------------------


An untrusted search path in some Zoom 32-bit Windows clients is a high-severity vulnerability with a CVSS score of 7.2 that could enable an authorized user to carry out a local access [privilege escalation](https://cybersecuritynews.com/zoom-mobile-and-desktop-app-flaws/).


**Affected Products:**
----------------------


* Zoom Desktop Client for Windows before version 5.17.0
* Zoom VDI Client for Windows before version 5.17.5 (excluding 5.15.15 and 5.16.12)
* Zoom Meeting SDK for Windows before version 5.17.0
* Zoom Rooms Client for Windows before version 5.17.0


Zoom also addressed other significant issues, including:


* **CVE-2024-24690** – Improper Input Validation in Zoom Clients
* **CVE-2024-24699** – Business Logic Error in Zoom Clients
* **CVE-2024-24698** – Improper Authentication in Zoom Clients
* **CVE-2024-24696**–  Improper Input Validation in Zoom Desktop Client, Zoom VDI Client, and Zoom Meeting SDK for Windows
* **CVE-2024-24695** – Improper Input Validation in Zoom Desktop Client, Zoom VDI Client, and Zoom Meeting SDK for Windows


Zoom [doesn’t disclose](https://www.zoom.com/en/trust/security-bulletin/) that any of these vulnerabilities have been used in malicious attacks. Thus, the company advises users to update their apps to the most recent available versions as soon as possible.





## Tags:
***CVE's***: CVE-2024-24696 CVE-2024-24697 CVE-2024-24690 CVE-2024-24695 CVE-2024-24698 CVE-2024-24699 CVE-2024-24691

### Autogenerated tags:
[[windows]] [[vdi]] [[sdk]]
