# Okta: Credential-Stuffing Attacks Spike via Proxy Networks
## Okta warns users that the attack requests are made through an anonymizing service like Tor or various commercial proxy networks.
## Information:

+ Link: https://www.darkreading.com/vulnerabilities-threats/okta-credential-stuffing-attacks-spike-via-proxy-networks
+ Source: DarkReading
+ Author: Dark Reading Staff
+ Date published: 29 April 2024, 20:25
+ Date scraped: 29 April 2024, 21:08

## Article:
![Main article image](https://eu-images.contentstack.com/v3/assets/blt6d90778a997de1cd/blt75e83cdfd47111e1/6568f844f8e390040a75bbfd/Okta_Ahmed_Zaggoudi_Alamy.jpg?disable=upscale&width=1200&height=630&fit=crop)

[Credential-stuffing attacks](https://www.darkreading.com/cyberattacks-data-breaches/jason-s-deli-accounts-compromised-by-credential-stuffing-)targeting online services are spiking due to the accessibility of residential proxy services,[stolen credentials](https://www.darkreading.com/threat-intelligence/sale-of-stolen-credentials-and-initial-access-dominate-dark-web-markets), and scripting tools, Okta is warning its users.

From April 19 through April 26, Okta's researchers observed an increase in credential-stuffing attacks against Okta accounts.

Moussa Diallo and Brett Winterford, researchers at Okta Security, note that all recent attacks share a common denominator: The requests are made largely through an anonymizing device such as Tor.

In addition to this, the researchers found that millions of requests were routed through various residential proxies such as NSOCKS, Luminati, and Datalmpulse. These residential proxies are "networks of legitimate user devices that route traffic on behalf of a paid subscriber." The researchers recently have observed a significant number of mobile devices used in[proxy networks](https://www.darkreading.com/cyber-risk/bulletproof-proxy-providers-try-to-hide-botnet-ip-address-needles-in-haystacks)where the user has a downloaded app on their device using compromised software developer kits (SDKs).

"Effectively, the developers of these apps have consented to or have been tricked into using an SDK that enrolls the device of any user running the app in a residential proxy network,"[the researchers wrote](https://sec.okta.com/blockanonymizers). "The net sum of this activity is that most of the traffic in these credential-stuffing attacks appear to originate from the mobile devices and browsers of everyday users."

Okta has released a capability into the Workforce Identity Cloud (WIC) and Customer Identity Solution (CIS) that blocks requests from anonymizing services. This feature can be turned on in the settings of the Okta Admin Console. Organizations that want to block access from specific anonymizers must be licensed to use Dynamic Zones, an Adaptive MFA feature.

Okta also recommends that its users shore up best-practice defense measures to prevent account takeovers from credential-stuffing attacks.

"Defense in-depth measures, such as utilizing multifactor authentication on externally available employee access portals as well as sensitive internal systems, are needed here," said Thomas Richards, principal consultant at Synopsys Software Integrity Group, in an emailed statement to Dark Reading. "Additionally, there are anomalous behavior detection systems that can identify if a user is logging in at an unusual time, physical location, or source IP address."




## Tags:


### Autogenerated tags:
[[credential-stuffing]]
