# Google prevented 2.28 million policy-violating apps from being published on Google Play in 2023
## Google announced they have prevented 2.28 million policy-violating apps from being published in the official Google Play.
## Information:

+ Link: https://securityaffairs.com/162528/mobile-2/google-play-malicious-app-2023.html
+ Source: Security Affairs
+ Author: Pierluigi Paganini
+ Date published: 29 April 2024, 20:24
+ Date scraped: 29 April 2024, 21:10

## Article:
![Main article image](https://securityaffairs.com/wp-content/uploads/2022/02/Android-security.png)



Google announced that in 2023, they have prevented 2.28 million policy-violating apps from being published on Google Play. This amazing result was possible thanks to the introduction of enhanced security features, policy updates, and advanced machine learning and app review processes.


Additionally, Google Play strengthened its developer onboarding and review procedures, requesting a more accurate identification during account setup. These efforts resulted in the ban of 333,000 accounts for confirmed malware and repeated severe policy breaches.



Google also rejected or remediated approximately 200K app submissions to ensure proper use of sensitive permissions such as background location or SMS access. Google has closely worked with SDK providers to protect users’ privacy and prevent sensitive data access and sharing. Over 31 SDKs have enhanced their posture impacting 790K+ apps.


*“We also significantly expanded the [Google Play SDK Index](https://play.google.com/sdks), which now covers the SDKs used in almost 6 million apps across the Android ecosystem.” [states Google](https://security.googleblog.com/2024/04/how-we-fought-bad-apps-and-bad-actors-in-2023.html). “This valuable resource helps developers make better SDK choices, boosts app quality and minimizes integration risks.”*



Google continues to work on improving the Android environment. In November, 2023, it [moved](https://security.googleblog.com/2023/11/evolving-app-defense-alliance.html) the App Defense Alliance (ADA) under the umbrella of the Linux Foundation, with Meta, Microsoft, and Google as founding steering members. The Alliance encourages widespread adoption of best practices and guidelines for app security across the industry, while also developing countermeasures to address emerging security threats.


Google enhanced Google Play Protect’s security capabilities to provide stronger protection for users installing apps from outside the Play Store. The company implemented [real-time scanning](https://thehackernews.com/2023/10/google-play-protect-introduces-real.html) at the code-level to detect new malicious apps. The company revealed that this measure has already identified over 5 million new malicious apps outside of the Play Store, enhancing Android users’ global security.


[**Pierluigi Paganini**](http://www.linkedin.com/pub/pierluigi-paganini/b/742/559)


Follow me on Twitter: [**@securityaffairs**](https://twitter.com/securityaffairs) and [**Facebook**](https://www.facebook.com/sec.affairs) and [Mastodon](https://infosec.exchange/@securityaffairs)


**(**[**SecurityAffairs**](http://securityaffairs.co/wordpress/)**–** **hacking, [Google Play](https://securityaffairs.com/149274/malware/google-play-43-rogue-android.html))**





---




---





## Tags:


### Autogenerated tags:
[[google]] [[apps]] [[sdk]] [[android]]
