# Google Unveils KataOS 'Verifiably-Secure' Operating System for Embedded Devices
## Google has announced KataOS, a security-focused and open source operating system for embedded devices running Ambient ML applications.
## Information:

+ Link: https://www.securityweek.com/google-unveils-kataos-verifiably-secure-operating-system-embedded-devices
+ Source: SecurityWeek
+ Author: Eduard Kovacs
+ Date published: 19 October 2022, 11:01
+ Date scraped: 19 October 2022, 11:01

## Article:
![Main article image](https://www.securityweek.com//favicon.ico)


The project’s goal is designing intelligent ambient ML systems that are secure and trustworthy.


The project is named [Sparrow](https://opensource.googleblog.com/2022/10/announcing-kataos-and-sparrow.html) and it revolves around a new operating system named KataOS, for which several components have already been open sourced by Google.


“KataOS provides a verifiably-secure platform that protects the user's privacy because it is logically impossible for applications to breach the kernel's hardware security protections and the system components are verifiably secure,” Google explained.


The tech giant pointed out that KataOS is mostly developed in Rust, which makes it more secure because it eliminates buffer overflows and other classes of bugs.


Sparrow is the reference implementation for KataOS. It combines the new operating system, which provides a logically-secure kernel, with a secured hardware platform that provides a logically-secure root of trust leveraging the OpenTitan project on a RISC-V architecture.


“The KataOS components are based on an augmented version of seL4's CAmkES framework. Critical system services are CAmkES components that are statically configured. Applications are developed using an AmbiML-focused SDK and dynamically loaded by the system services,” KataOS developers explained.


Google says its goal is to open source the entire Sparrow project, including all hardware and software designs. For now it has open sourced some components and invites others to contribute.


[Source code and technical details](https://github.com/AmbiML) for Sparrow and [KataOS](https://github.com/AmbiML/sparrow-kata) are available on GitHub.






 


## Tags:


### Autogenerated tags:
[[kataos]] [[google]]
