# Malicious PyPI Module Poses as SentinelOne SDK
## Developers warned of a malicious Python package that pretends to be a software development kit (SDK) from cybersecurity firm SentinelOne.
## Information:

+ Link: https://www.securityweek.com/malicious-pypi-module-poses-sentinelone-sdk
+ Source: SecurityWeek
+ Author: Ionut Arghire
+ Date published: 19 December 2022, 18:00
+ Date scraped: 19 December 2022, 18:00

## Article:
![Main article image](https://www.securityweek.com//favicon.ico)


The Python package was first uploaded on December 11 and received roughly 20 updates within the next two days. The module is completely unrelated to the legitimate threat detection firm, but abuses its brand reputation to attract unsuspecting victims.


Seemingly a fully-functional SentinelOne client – the malicious SDK appears built on top of legitimate SentinelOne code – the package contains backdoor code meant for data theft.


“This PyPI package is intended to serve as an SDK to abstract the access to SentinelOne’s APIs and make programmatic consumption of the APIs simpler,” ReversingLabs, which calls the attack ‘[SentinelSneak](https://blog.reversinglabs.com/blog/sentinelsneak-malicious-pypi-module-poses-as-security-sdk)’, notes.


The malicious package contains two api.py files that engage in suspicious behavior such as enumerating files in a directory, executing a file, deleting a file/directory, and spawning a new process.


An analysis of the updates that the package received over the course of two days showed that only api.py files were modified. These are the only package modules to contain the malicious code.


The backdoor was designed to exfiltrate data specific to development environments, such as shell command execution history and the contents of the SSH folder, which stores SSH keys and configuration information, including login credentials for Git, Kubernetes, and AWS services.


The malware also lists folders in the root directory and sends all collected data to the command-and-control (C&C) server.


The modifications made to the package show that the attackers attempted to adapt to targets by fine-tuning the backdoor to better work on multiple operating systems.


ReversingLabs says it observed five additional packages with similar naming variations, but those did not contain api.py files with malicious functionality. These packages were seen prior to December 11 and were likely meant for testing purposes.


“The malicious code appears designed to siphon sensitive information from development environments. Based on our analysis of the malware and the associated C&C infrastructure, it is unclear if this package was or is being used in active attacks against development environments, due to a lack of evidence found. The download stats suggest that the package has been downloaded more than 1,000 times,” ReversingLabs warns.





 


## Tags:


### Autogenerated tags:
[[sentinelone]] [[reversinglabs]] [[api.py]]
