# Apple Sets New Rules for Developers to Prevent Fingerprinting and Data Misuse
## Apple announces a crucial update requiring developers to provide reasons for using certain APIs in their apps.
## Information:

+ Link: https://thehackernews.com/2023/07/apple-sets-new-rules-for-developers-to.html
+ Source: The Hacker News
+ Author: THN
+ Date published: 29 July 2023, 11:00
+ Date scraped: 29 July 2023, 06:01

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEhlaEYWw1DKMH2QbGKtDnK2Ytiq1Uu3aQdh45741rthE6sPp5j1kAFxWTENjVWexPzxn-dAq04uSAx6Hz89SlubQmk_z6Cphx0-awFd3cPyiiAhbChdvIFBchzf8sglMtnUW91yII3ahA9621p5rVn2hTB_b-g450f37ZmBekFtEcPY8qe0I7TZK1rk0u-_/s728-e3650/app-security.jpg)


Apple has announced plans to require developers to submit reasons to use certain APIs in their apps starting later this year with the release of iOS 17, iPadOS 17, macOS Sonoma, tvOS 17, and watchOS 10 to prevent their abuse for data collection.


"This will help ensure that apps only use these APIs for their intended purpose," the company [said](https://developer.apple.com/news/?id=z6fu1dcu) in a statement. "As part of this process, you'll need to select one or more approved reasons that accurately reflect how your app uses the API, and your app can only use the API for the reasons you've selected."


The APIs that [require](https://developer.apple.com/documentation/bundleresources/privacy_manifest_files/describing_use_of_required_reason_api) reasons for use relate to the following -


* File timestamp APIs
* System boot time APIs
* Disk space APIs
* Active keyboard APIs, and
* User defaults APIs


The iPhone maker said it's making the move to ensure that such APIs are not abused by app developers to collect device signals to carry out [fingerprinting](https://thehackernews.com/2022/06/researchers-find-bluetooth-signals-can.html), which could be employed to [uniquely identify users](https://www.nytimes.com/2019/07/03/technology/personaltech/fingerprinting-track-devices-what-to-do.html) across different apps and websites for other purposes such as targeted advertising.


UPCOMING WEBINAR[Shield Against Insider Threats: Master SaaS Security Posture Management](https://thn.news/I26t1VFD)Worried about insider threats? We've got you covered! Join this webinar to explore practical strategies and the secrets of proactive security with SaaS Security Posture Management.

[Supercharge Your Skills](https://thn.news/I26t1VFD)
The policy enforcement, which goes live in Fall 2023 and also extends to visionOS, will require developers submitting new apps or app updates to declare the reasons for using these "required reason APIs" in their app's privacy manifest. Starting Spring 2024, apps that don't describe their use of the APIs in their privacy manifest file will be rejected.


"Regardless of whether a user gives your app [permission to track](https://thehackernews.com/2023/02/google-rolling-out-privacy-sandbox-beta.html), fingerprinting is not allowed," Apple [explicitly cautions](https://developer.apple.com/documentation/bundleresources/privacy_manifest_files/describing_use_of_required_reason_api) in its developer documentation. "Your app or third-party SDK must declare one or more approved reasons that accurately reflect your use of each of these APIs and the data derived from their use."


"You may use these APIs and the data derived from their use for the declared reasons only. These declared reasons must be consistent with your app's functionality as presented to users, and you may not use the APIs or derived data for tracking."



  





## Tags:


### Autogenerated tags:
[[apps]]
