# FTC Bans InMarket for Selling Precise User Location Without Consent
## FTC clamps down on InMarket for selling precise location data without consent
## Information:

+ Link: https://thehackernews.com/2024/01/ftc-bans-inmarket-for-selling-precise.html
+ Source: The Hacker News
+ Author: The Hacker News
+ Date published: 22 January 2024, 12:32
+ Date scraped: 22 January 2024, 08:01

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEiMtuIFG6TWKAUIUVCALzj8140e5dWMPoFtYloUGAr-SKKwfl0Cyp_iSjyuxbGqjN7n8h4Av8py68NEqjMPLTh9ppQrUwcYgAS0pcbnfJn7CCzqrgUJHjjnPdQTJCOz6lYYojfY_0gv1I6onPw5f0cYUw5p5D_2RZ-oILZNQ1y9LEqp56dnSuRVzS5IPTuc/s728-rw-ft-e30/IMG-20240122-WA0001.jpg)


The U.S. Federal Trade Commission (FTC) is continuing to clamp down on data brokers by prohibiting InMarket Media from selling or licensing precise location data.


The settlement is part of allegations that the Texas-based company did not inform or seek consent from consumers before using their location information for advertising and marketing purposes.


"InMarket will also be prohibited from selling, licensing, transferring, or sharing any product or service that categorizes or targets consumers based on sensitive location data," the FTC [said](https://www.ftc.gov/news-events/news/press-releases/2024/01/ftc-order-will-ban-inmarket-selling-precise-consumer-location-data) last week.


In addition, it has been ordered to destroy all the location data it previously collected subject to users' assent, as well as provide a mechanism for consumers to withdraw their consent and request for deletion of the information previously collected.


The development makes InMarket the second data aggregator to face a ban in as many weeks after Outlogic (formerly X-Mode Social), which [faced accusations](https://thehackernews.com/2024/01/ftc-bans-outlogic-x-mode-from-selling.html) that it had sold location information that could be used to track users' visits to medical and reproductive health clinics, places of religious worship, and domestic abuse shelters.


Like Outlogic, InMarket is said to harvest location information from its own proprietary apps like CheckPoints and ListEase, and more than 300 other third-party applications that incorporate its software development kit (SDK). These apps have been downloaded onto over 420 million unique devices since 2017.


"If the user allows access, InMarket SDK receives the device's precise latitude and longitude, along with a timestamp and a unique mobile device identifier, as often as the mobile device's operating system provides it — ranging from almost no collection when the device is idle, to every few seconds when the device is actively moving — and transmits it directly to [InMarket's] servers," the FTC complaint read.


This historical data is then used to slot consumers into nearly 2,000 segments based on the locations visited and serve tailored ads on apps that include the SDK. It also offers a product that pushes ads to consumers based on their current whereabouts, serving ads related to medicines, for example, when a person is within 200 meters of a pharmacy.


The company, which was [previously exposed](https://themarkup.org/privacy/2021/09/30/theres-a-multibillion-dollar-market-for-your-phones-location-data) by The Markup in September 2021, claims to provide its "customers with access to the most accurate and precise, permission-based, SDK-derived location data available today."


The FTC further said InMarket did little to ensure that third-party apps that embed the company's SDK have obtained users' express consent, noting that it failed to notify third-party apps that the location data provided through its SDK will be combined with other data points to create profiles of consumers.


To make matters worse, the company's five-year data retention policy was described as "unnecessary to carry out the purposes for which it was collected," and that it put customers at risk by exposing the information to other kinds of misuse.


As mitigations, InMarket "will be required to create a sensitive location data program to prevent the company from using, selling, licensing, transferring, or otherwise sharing any products or services that categorize or target consumers based on sensitive location data."


The disclosure comes as a joint study published by [Consumer Reports](https://www.consumerreports.org/electronics/privacy/each-facebook-user-is-monitored-by-thousands-of-companies-a5824207467/) and [The Markup](https://themarkup.org/privacy/2024/01/17/each-facebook-user-is-monitored-by-thousands-of-companies-study-indicates) found that Meta-owned Facebook gets data on individual users from thousands of companies.


On average, the company received data from 2,230 different companies for each of the 709 volunteers, with some identified by more than 7,000 companies. In all, the participants had their data shared by a whopping 186,892 companies.


One of those participants had their information coming from nearly 48,000 different companies, suggesting "unusual app usage habits" or possibly an appealing candidate for microtargeted advertising.


"The company that shared data on the largest number of participants was LiveRamp, a data broker, which shared data on 679, or about 96%, of study participants," the study said. "A large percentage of the approximately 186,000 companies that appeared in our data appeared to be either small retailers or non-national brands (or were unidentifiable by name)."



  





## Tags:


### Autogenerated tags:
[[inmarket]] [[apps]] [[sdk]] [[ftc]] [[third-party]]
