# Google Bringing Privacy Sandbox to Android to Limit Sharing of User Data
## Google bringing Privacy Sandbox to Android to expand its privacy-focused but also less disruptive advertising technology beyond the desktop web.
## Information:

+ Link: https://thehackernews.com/2022/02/google-bringing-privacy-sandbox-to.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 17 February 2022, 13:21
+ Date scraped: 17 February 2022, 14:00

## Article:
![Main article image](https://thehackernews.com/new-images/img/a/AVvXsEhJMlq8NaIONk-9GDA2VHF7gZEPrA1TumK_YoNgW52d4ckfX8bNrmZaOin7sIsH6y_yc64PyNRHc-9wPbwLKFHUCDoNAu79syQypCzBwyIbLCRg0a_60yD1Op_KIiIjSmxJhH_-ndXEe2a-lbZRiFy7Xqp_n0NUEsWS4C3x8sRc1gQRRiLsro_oP49r)


Google on Wednesday announced plans to bring its Privacy Sandbox initiatives to Android in a bid to expand its privacy-focused, but also less disruptive, advertising technology beyond the desktop web.


To that end, the internet giant said it will work towards building solutions that prevent cross-app tracking à la Apple's App Tracking Transparency ([ATT](https://developer.apple.com/app-store/user-privacy-and-data-use/)) framework, effectively limiting sharing of user data with third-parties as well as eliminating identifiers such as advertising IDs on mobile devices.


"The Privacy Sandbox on Android builds on our existing efforts on the web, providing a clear path forward to improve user privacy without putting access to free content and services at risk," Anthony Chavez, vice president of product management for Android security and privacy, [said](https://blog.google/products/android/introducing-privacy-sandbox-android/).


[Privacy Sandbox](https://privacysandbox.com/), launched in 2019, is Google's umbrella term for a set of technologies that will phase out third-party cookies and curb covert tracking, like [fingerprinting](https://thehackernews.com/2022/01/your-graphics-card-fingerprint-can-be.html), by reducing the amount of information sites can access in order to keep tabs on users' online activities.


But unlike Apple's ATT, which requires all apps to ask for user's explicit consent before tracking them across other apps and websites, the new multi-year project aims to strike a balance by offering privacy-preserving ways to enable mobile advertising while simultaneously adopting restrictions to curtail tracking across apps.


Apple's anti-tracking changes on iOS and iPadOS are expected to cost ad-driven companies like Meta Platforms $10 billion in revenue in 2022, with the social media firm [calling](https://www.cnbc.com/2022/02/02/facebook-says-apple-ios-privacy-change-will-cost-10-billion-this-year.html) it a "pretty significant headwind for our business." Google also dubbed ATT as a "blunt" approach that can be ineffective and could "lead to worse outcomes for user privacy and developer businesses."


That said, the Alphabet-owned company said it intends to support the existing identifier-based ads platform for at least two more years and give the industry substantial notice prior to any future changes. A beta version is scheduled for release by the end of the year.


The development comes as Google last year [tightened its policies](https://thehackernews.com/2021/06/google-to-let-android-users-opt-out-to.html) surrounding the use of advertising ID, rendering it unavailable to developers should users opt out of receiving interest-based ads or ads personalization. The change is [expected to roll out](https://support.google.com/googleplay/android-developer/answer/6048248) to all Android phones on April 1, 2022 via a Google Play Services update.


The identifier is a unique, user-resettable string of digits that's connected to an individual device, permitting ad-tech companies to infer users' interests from their online behaviors and activities across different apps.


In addition, Google will require that apps declare the "com.google.android.gms.permission.AD\_ID" permission to query the advertising identifier on devices running versions Android 12 and above, at the same putting it out of reach of apps that target children.


The new system is also expected to include a [FLEDGE API](https://developer.android.com/design-for-safety/ads/fledge) for Android that tracks users' behavior inside an app and slots them into groups for "custom audience targeting." Furthermore, Google is debuting what it calls the [SDK Runtime](https://developer.android.com/design-for-safety/ads/sdk-runtime) to "reduce undisclosed access and sharing" of a user's app data and usage by third-party SDKs.


The ad-tech overhaul arrives a week after the U.K. Competition and Markets Authority (CMA) [gave](https://blog.google/around-the-globe/google-europe/path-forward-privacy-sandbox/) its [stamp](https://www.gov.uk/cma-cases/investigation-into-googles-privacy-sandbox-browser-changes) of [approval](https://www.gov.uk/government/news/cma-to-keep-close-eye-on-google-as-it-secures-final-privacy-sandbox-commitments) to the company's efforts to develop the Privacy Sandbox initiative across the web and apps on Android and design it in a manner that addresses competition concerns and benefits consumers.


Google's sweeping change for app-tracking replacement on mobile is similar to its proposal to drop third-party cookies on the web, in a shift mirroring that of Apple Safari and Mozilla Firefox, both of which have blocked third-party cookies by default in recent years.


But the move attracted [significant opposition](https://thehackernews.com/2021/06/mozilla-says-googles-new-ad.html) from [regulators](https://ec.europa.eu/commission/presscorner/detail/en/IP_21_3143) and privacy advocates alike for being too opaque, prompting the company to delay the change to late 2023 and discontinue its controversial [FLoC](https://thehackernews.com/2021/03/google-will-use-floc-for-ad-targeting.html)-based approach for interest-based advertising in favor of a new [Topics API](https://thehackernews.com/2022/01/google-drops-floc-and-introduces-topics.html).


"With the Topics API proposal, the browser would [infer topics](https://github.com/jkarlin/topics/blob/main/taxonomy_v1.md) for a user based on their browsing activity during a period of time known as an epoch, currently proposed to be one week," the company [said](https://developer.chrome.com/docs/privacy-sandbox/topics/). "The topic selected for each epoch would be randomly selected from the user's top five topics for that time period."


Thus when users visit a site that supports the Topics API for ad purposes, the browser will share a rotating subset of three topics they are interested in — one for each of the three last weeks — selected randomly from the pool of top five topics, which can then be shared by the website with its advertising partners to serve relevant ads.


Topics also addresses one of the biggest issues with FLoC by not only preventing ad providers from knowing which sites users have browsed, but also from leaking more information than the current third-party cookie system by enabling marketers identify users through other means like IP address and log their cohort participation over time.


Google said its goal with Privacy Sandbox on Android is to create "privacy enhancing advertising solutions, where users know their information is protected, and developers and businesses have the tools to succeed on mobile."


  






## Tags:


### Autogenerated tags:
[[google]] [[android]] [[apps]] [[third-party]] [[api]]
