# Google Prevented 2.28 Million Malicious Apps from Reaching Play Store in 2023
## Google reveals a staggering 200,000 app submissions were rejected or remediated from the Play Store last year due to issues with sensitive data access
## Information:

+ Link: https://thehackernews.com/2024/04/google-prevented-228-million-malicious.html
+ Source: The Hacker News
+ Author: The Hacker News
+ Date published: 29 April 2024, 22:37
+ Date scraped: 29 April 2024, 18:09

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEi_DasP12b7drEpQERA4AwBEHeIyvjyMXKnSwdhjuvKpUdqmuVxtwOunO82C6W6Qycj8LrexG63f9f5pXOdh13c9RAeLEERsZXgWYJkwnmeS1xdtdUaiOCCK9APZghrApgreOPCjlEUToF5FqRV3l7tFXj-LPQ9DwKjo3Szj1n4NY8G6gOkAkzBt_LS6faA/s728-rw-e365/play.png)


Google on Monday revealed that almost 200,000 app submissions to its Play Store for Android were either rejected or remediated to address issues with access to sensitive data such as location or SMS messages over the past year.


The tech giant also said it blocked 333,000 bad accounts from the app storefront in 2023 for attempting to distribute malware or for repeated policy violations.


"In 2023, we prevented 2.28 million policy-violating apps from being published on Google Play in part thanks to our investment in new and improved security features, policy updates, and advanced machine learning and app review processes," Google's Steve Kafka, Khawaja Shams, and Mohet Saxena [said](https://security.googleblog.com/2024/04/how-we-fought-bad-apps-and-bad-actors-in-2023.html).


"To help safeguard user privacy at scale, we partnered with SDK providers to limit sensitive data access and sharing, enhancing the privacy posture for over 31 SDKs impacting 790K+ apps."


[![Cybersecurity](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEiuUUskkMH9dUT3LF77_Q_irGuaE4LGjp-Am2Ls_UzGJ5EBnZHfuFiSvKs4OPE5KmfedBHcuZZVHS4Bh48UJx8brpwtg6Vr2Gepbaw-lGMIm9HjUhyphenhyphen2W5DVm5-ymwPS691Ie32TrCqFIv6SxNRA-jOKCKZrOB5dV7BfL0zVAhOO0neNkP9yv-XePBU1hN_0/s728-e365/wing-d.png)](https://thehackernews.uk/third-party-risk-management-saas)
In comparison, Google [fended off 1.43 million bad apps](https://thehackernews.com/2023/05/google-blocks-143-million-malicious.html) from being published to the Play Store in 2022, alongside banning 173,000 bad accounts over the same time period.


In addition, the Mountain View-based firm said it strengthened its developer onboarding and review processes, [requiring them](https://support.google.com/googleplay/android-developer/answer/6112435?hl=en#zippy=%2Cstep-verify-your-developer-identity-information) to furnish more identity information and complete a verification process when setting up their Play Console developer accounts.


This, the company noted, enables it to better understand the developer community and root out bad actors from gaming the system to propagate malicious apps.


The development comes as Google is taking a [series](https://thehackernews.com/2023/04/google-mandates-android-apps-to-offer.html) of [steps](https://thehackernews.com/2023/07/new-android-malware-cherryblos.html) to secure the Android ecosystem. Last November, it [moved](https://security.googleblog.com/2023/11/evolving-app-defense-alliance.html) the App Defense Alliance ([ADA](https://appdefensealliance.dev/)), which it launched in November 2019, under the Linux Foundation umbrella, with Meta and Microsoft joining as the founding steering members.


Around the same time, the company also rolled out [real-time scanning at the code level](https://thehackernews.com/2023/10/google-play-protect-introduces-real.html) to tackle novel Android malware and an "Independent security review" badge in the Play Store's Data safety section for VPN apps that have undergone a Mobile Application Security Assessment ([MASA](https://thehackernews.com/2023/11/google-play-store-introduces.html)) audit.


[![Cybersecurity](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEj9LS2CMV85AM5f2fKKl2aPAnQ1iZEQKbHh7hRbW3rn3MowE5BXNOrNlHsrMYRMndplTjEmzciLAj6jVsDkRJI2IdSfFXSXuSlMn6gSgmzjKktBgyRTJsC-MayMQq8Z580Hjp8oCv0WoplbNRKlOEzR3RqajPwbLY2JzbQpwEIaW6u2UDkYmcWPO_Mmzq-X/s728-e365/cis-d.png)](https://thehackernews.uk/cis-controls-guide-sme)
On the user-facing side of things, Google has also taken the step of taking down approximately 1.5 million applications from the Play Store that do not target the most recent APIs.


Google's ongoing fight to tackle malicious actors on Android coincides with a lawsuit filed by the company in the U.S. against [two China-based fraudsters](https://thehackernews.com/2024/04/google-sues-app-developers-over-fake.html) who are alleged to have engaged in an international online consumer investment fraud scheme and tricked users into downloading fake apps from the Play Store and other sources and ultimately stealing their funds.



  





## Tags:


### Autogenerated tags:
[[google]] [[apps]] [[android]]
