# Google Releases First Developer Preview of Privacy Sandbox on Android 13
## Google has officially released the first developer preview for the Privacy Sandbox on Android 13.
## Information:

+ Link: https://thehackernews.com/2022/05/google-releases-first-developer-preview.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 02 May 2022, 06:06
+ Date scraped: 02 May 2022, 07:00

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEgSrOuiC-FrM8o3nOXyRuTa-hWmIQ1g0TrcmhuSBQDXPbf--NLO48w8lAWjuFPb8z8Z5ZSQGpESR_1YEMIEamwKoJ7HZvSISCGhG-dHujY7CZoGqd3o9ur7qiK1-cszQyxqMjVWxzqBeHSZjI_c7NM-Ra27ROxE4YfyXu74NdfkL1UhGrwn9mjPfykA/s728-e1000/android-privacy-sandbox.jpg)


Google has officially [released](https://android-developers.googleblog.com/2022/04/first-preview-privacy-sandbox-android.html) the first developer preview for the **Privacy Sandbox** on Android 13, offering an "early look" at the SDK Runtime and Topics API to boost users' privacy online.


"The Privacy Sandbox on Android Developer Preview program will run over the course of 2022, with a beta release planned by the end of the year," the search giant [said](https://developer.android.com/design-for-safety/privacy-sandbox/program-overview) in an overview.


A "multi-year effort," [Privacy Sandbox](https://privacysandbox.com/) on Android aims to create technologies that's both privacy-preserving as well as keep online content and services free without having to resort to opaque methods of digital advertising.


The idea is to limit sharing of user data with third-parties and operate without cross-app identifiers, including advertising ID, a unique, user-resettable string of letters and digits that can be used to track users as they move between apps.


Google originally [announced](https://thehackernews.com/2022/02/google-bringing-privacy-sandbox-to.html) its plans to bring Privacy Sandbox to Android earlier this February, following the footsteps of Apple's App Tracking Transparency ([ATT](https://developer.apple.com/app-store/user-privacy-and-data-use/)) framework.


Integral to the proposed initiative are two key solutions —


* [**SDK Runtime**](https://developer.android.com/design-for-safety/privacy-sandbox/guides/sdk-runtime), which runs third-party code in mobile apps such as software development kits (SDKs), including those for ads and analytics, in a dedicated sandbox, and


* [**Topics API**](https://developer.android.com/design-for-safety/privacy-sandbox/guides/topics), which gleans "coarse-grained" [interest signals](https://thehackernews.com/2022/01/google-drops-floc-and-introduces-topics.html) on-device based on a user's app usage that are then shared with advertisers to serve tailored ads without cross-site and cross-app tracking


To address criticisms that the model could possibly give Google an unfair advantage, the tech behemoth noted that the privacy-oriented systems will be developed as part of the Android Open Source Project ([AOSP](https://source.android.com)) to ensure transparency into the design and implementation of these solutions. 


"Android will collaborate with the entire industry and app ecosystem on the journey to a more privacy-first mobile platform, and one which supports a rich diversity of value-exchange that benefits users, developers, and advertisers," the company [said](https://developer.android.com/design-for-safety/privacy-sandbox/introduction).


  





## Tags:


### Autogenerated tags:
[[android]] [[google]]
