# Google Simplifies 2-Factor Authentication Setup (It's More Important Than Ever)
## Google has made enabling two-factor authentication (2FA) easier for personal and Workspace accounts.
## Information:

+ Link: https://thehackernews.com/2024/05/google-simplifies-2-factor.html
+ Source: The Hacker News
+ Author: The Hacker News
+ Date published: 07 May 2024, 15:32
+ Date scraped: 07 May 2024, 11:10

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEhts8IRNt2lxOZ9dY9XPz7jMaACPUzRvigd7tqCinb8wiH2wSR3E4FZsKfkjtwLLp1cXJJWmnA3GekpLpUXNu5aCTz89_QtbKtYuE96g9_-KBO8FRVkE-KTSqIhiLI7jhUUhc0t8T9iX_Xf5FskuLpgpljGnDU-9NLfNsmMTtiNzkTQuMP7H2ETPUpYbINx/s728-rw-e365/google.png)


Google on Monday announced that it's simplifying the process of enabling two-factor authentication (2FA) for users with personal and Workspace accounts.


Also called, 2-Step Verification ([2SV](https://support.google.com/accounts/answer/185839)), it aims to add an extra layer of security to users' accounts to prevent takeover attacks in case the passwords are stolen.


The new change entails adding a second step method, such as an authenticator app or a hardware security key, before turning on 2FA, thus eliminating the need for using the less secure SMS-based authentication.


"This is particularly helpful for organizations using Google Authenticator (or other equivalent time-based one-time password (TOTP) apps)," the company [said](https://workspaceupdates.googleblog.com/2024/05/updates-for-configuring-two-step-verification-for-your-google-account.html). "Previously, users had to enable 2SV with a phone number before being able to add Authenticator."


Users with hardware security keys have two options to add them to their accounts, including by registering a FIDO1 credential on the hardware key or by assigning a passkey (i.e., a FIDO2 credential) to one.


[![Cybersecurity](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEiuUUskkMH9dUT3LF77_Q_irGuaE4LGjp-Am2Ls_UzGJ5EBnZHfuFiSvKs4OPE5KmfedBHcuZZVHS4Bh48UJx8brpwtg6Vr2Gepbaw-lGMIm9HjUhyphenhyphen2W5DVm5-ymwPS691Ie32TrCqFIv6SxNRA-jOKCKZrOB5dV7BfL0zVAhOO0neNkP9yv-XePBU1hN_0/s728-e365/wing-d.png)](https://thehackernews.uk/third-party-risk-management-saas)
Google notes that Workspace accounts may still be required to enter their passwords alongside their passkey if the admin policy for "[Allow users to skip passwords at sign-in by using passkeys](https://support.google.com/a/answer/13529161)" is turned off.


In another noteworthy update, users who opt to turn off 2FA from their account settings will now no longer have their enrolled second steps automatically removed.


"When an administrator turns off 2SV for a user from the Admin console or via the Admin SDK, the second factors will be removed as before, to ensure user off-boarding workflows remain unaffected," Google said.


The development comes as the search giant [said](https://thehackernews.com/2024/05/google-announces-passkeys-adopted-by.html) over 400 million Google accounts have started using passkeys over the past year for passwordless authentication.


Modern authentication methods and standards like FIDO2 are designed to [resist phishing and session hijacking attacks](https://thehackernews.com/2023/10/google-adopts-passkeys-as-default-sign.html) by leveraging cryptographic keys generated by and linked to smartphones and computers in order to verify users as opposed to a password that can be easily stolen via credential harvesting or stealer malware.


[![](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEi8mcoBSCUpsRB3ubd7S5Z-kJA4CTMZ5-hNFgnR5H5mJ6vP2_v3bJfT-8ygCuzFozlhG-IDJPK7CW17CoaFZIm4A_3ob4aI3RpPBr0UDK8UzDLvOdgYSVD3zWbQXx7t4z5JRDdw1FQRXGOdznkKj0_78k7osLvbygz1o49QsdDiZGmN5WuqkOSyKzuk1fC_/s728-rw-e365/image-3-1536x864.png)](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEi8mcoBSCUpsRB3ubd7S5Z-kJA4CTMZ5-hNFgnR5H5mJ6vP2_v3bJfT-8ygCuzFozlhG-IDJPK7CW17CoaFZIm4A_3ob4aI3RpPBr0UDK8UzDLvOdgYSVD3zWbQXx7t4z5JRDdw1FQRXGOdznkKj0_78k7osLvbygz1o49QsdDiZGmN5WuqkOSyKzuk1fC_/s728-rw-e365/image-3-1536x864.png)
However, new research from Silverfort has found that a threat actor could get around FIDO2 by staging an adversary-in-the-middle (AitM) attack that can hijack user sessions in applications that use single sign-on (SSO) solutions like Microsoft Entra ID, PingFederate, and Yubico.


"A successful MitM attack exposes the entire request and response content of the authentication process," security researcher Dor Segal said[said](https://www.silverfort.com/blog/using-mitm-to-bypass-fido2/).


"When it ends, the adversary can acquire the generated state cookie and hijack the session from the victim. Put simply, there is no validation by the application after the authentication ends."


[![Cybersecurity](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEg_WRs2jRYPNRPdVnIJ52g0Zo3TY_c0FSwk8ZZN085hqm-nXig4b7WIZCpqdHexadU4EmZ402vX1EghcAxIZGa9lwLkWAPPYzPbg1gc5UZCbvTtOHQ3ozwiQAgJ1ahKFoOp8SZl-JN8_URGwiu9aTe5U2wiVHGEetM-S7kKkmgPMNdL_83d5HTJrLm7iBp6/s728-e365/cis-d.png)](https://thehackernews.uk/cis-hardened-images)
The attack is made possible owing to the fact that most applications do not protect the session tokens created after authentication is successful, thus permitting a bad actor to gain unauthorized access.


What's more, there is no validation carried out on the device that requested the session, meaning any device can use the cookie until it expires. This makes it possible to bypass the authentication step by acquiring the cookie by means of an AitM attack.


To ensure that the authenticated session is used solely by the client, it's advised to adopt a technique known as [token binding](https://en.wikipedia.org/wiki/Token_Binding), which allows applications and services to cryptographically bind their security tokens to the Transport Layer Security (TLS) protocol layer.


While the token binding is limited to Microsoft Edge, Google last month announced a new feature in Chrome called Device Bound Session Credentials ([DBSC](https://thehackernews.com/2024/04/google-chrome-beta-tests-new-dbsc.html)) to help protect users against session cookie theft and hijacking attacks.


  





## Tags:


### Autogenerated tags:
[[google]] [[2fa]] [[2sv]] [[fido2]]
