# Hackers Hijack GitHub Accounts in Supply Chain Attack Affecting Top-gg and Others
## Sophisticated attack targets Discord bot site Top.gg + devs. Attackers stole browser cookies, pushed malicious code, and created fake Python packages.
## Information:

+ Link: https://thehackernews.com/2024/03/hackers-hijack-github-accounts-in.html
+ Source: The Hacker News
+ Author: The Hacker News
+ Date published: 25 March 2024, 17:28
+ Date scraped: 25 March 2024, 12:08

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEjpmVPj3iZtxIPrDtaAJ9i0mFrwRvEMGm_Nh_xssF2yrpU7cNtBhyphenhyphen4bzfu5JukG2siwNcpIABLejE8xDi_qh83rVsE8MBqrk2GbIDG6UMMeSJeBGwPBUDvhGAqab4tVhvzL8HYq-4c4N8QZnmN-w2SvErPtY8f8iSaO19zKcKfxklB_3TAT2H7reJufw7IW/s728-rw-e365/code.jpg)


Unidentified adversaries orchestrated a sophisticated attack campaign that has impacted several individual developers as well as the GitHub organization account associated with Top.gg, a Discord bot discovery site.


"The threat actors used multiple TTPs in this attack, including account takeover via stolen browser cookies, contributing malicious code with verified commits, setting up a custom Python mirror, and publishing malicious packages to the PyPI registry," Checkmarx [said](https://checkmarx.com/blog/over-170k-users-affected-by-attack-using-fake-python-infrastructure/) in a technical report shared with The Hacker News.


The software supply chain attack is said to have led to the theft of sensitive information, including passwords, credentials, and other valuable data. Some aspects of the campaign were [previously](https://medium.com/@demonia/discovering-malwares-in-public-github-repositories-3e080f030ecc) [disclosed](https://medium.com/@demonia/lets-dig-deep-into-pypihosted-malware-part-1-94ada4737442) at the start of the month by an Egypt-based developer named Mohammed Dief.


It chiefly entailed setting up a clever typosquat of the official PyPI domain known as "files.**python**hosted[.]org," giving it the name "files.**pypi**hosted[.]org" and using it to host trojanized versions of well-known packages like colorama. Cloudflare has since taken down the domain.


"The threat actors took Colorama (a highly popular tool with 150+ million monthly downloads), copied it, and inserted malicious code," Checkmarx researchers said. "They then concealed the harmful payload within Colorama using space padding and hosted this modified version on their typosquatted-domain fake-mirror."


[![Cybersecurity](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEhdKpsEk81OwnOikxTKgpp0fKbGZ8sQlNdSutORGiIEXk9d78hZvEjybZ6zrdTr1E7zwHJVO7UGpf4_43SChOFcGBzABAYAbQwH8FEP-ZRNRH9Ik3ir0NSuFJVjuXV6rXxAIlVoF1myDrQoCsLZxwXdXv1Q_PfzZiXxNdXvhk6hfq1slZqAtCfryyb9Wz8T/s728-e365/app-d.png)](https://thehackernews.uk/EUN089)
These rogue packages were then propagated via GitHub repositories such as github[.]com/maleduque/Valorant-Checker and github[.]com/Fronse/League-of-Legends-Checker that contained a [requirements.txt file](https://pip.pypa.io/en/stable/reference/requirements-file-format/), which serves as the list of Python packages to be installed by the pip package manager.


One repository that continues to remain active as of writing is [github[.]com/whiteblackgang12/Discord-Token-Generator](https://github.com/whiteblackgang12/Discord-Token-Generator/blob/main/requirements.txt), which includes a reference to the malicious version of colorama hosted on "files.pypihosted[.]org."


[![Supply Chain Attack](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEjPIik5OP7wy42HxPx6D9yTf1kcv-vJeyQVmMfI0E3VBY1Q3Rk-QUrMeKV0Xrpa9KG84_inP_3sgjt1pcveVpU7lj9GiQcsqEVo9kgNSmAw3s-zMYJsiDRSOfngtmMRdAqQxOP8EXX39XW0X3iokFoF5ILTnYsLcNL3iH15UiEiGALSLLCHd9hdxwYWRDV2/s728-rw-e365/chain.jpg)](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEjPIik5OP7wy42HxPx6D9yTf1kcv-vJeyQVmMfI0E3VBY1Q3Rk-QUrMeKV0Xrpa9KG84_inP_3sgjt1pcveVpU7lj9GiQcsqEVo9kgNSmAw3s-zMYJsiDRSOfngtmMRdAqQxOP8EXX39XW0X3iokFoF5ILTnYsLcNL3iH15UiEiGALSLLCHd9hdxwYWRDV2/s728-rw-e365/chain.jpg)
Also altered as part of the campaign is the [requirements.txt file](https://github.com/top-gg/python-sdk/issues/76) associated with Top.gg's [python-sdk](https://github.com/top-gg/python-sdk) by an account named editor-syntax on February 20, 2024. The issue has been addressed by the repository maintainers.


It's worth noting that the "editor-syntax" account is a legitimate maintainer of the Top.gg GitHub organization and has written permissions to Top.gg's repositories, indicating that the threat actor managed to hijack the verified account in order to commit a [malicious commit](https://github.com/top-gg/python-sdk/commit/ecb87731286d72c8b8172db9671f74bd42c6c534).


"The GitHub account of 'editor-syntax' was likely hijacked through stolen cookies," Checkmarx noted.


"The attacker gained access to the account's session cookies, allowing them to bypass authentication and perform malicious activities using the GitHub UI. This method of account takeover is particularly concerning, as it does not require the attacker to know the account's password."


What's more, the threat actors behind the campaign are said to have pushed multiple changes to the rogue repositories in one single commit, altering as many as 52 files in one instance in an effort to conceal the changes to the requirements.txt file.


[![Cybersecurity](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEiq3FD_K5jS19OiNrl_zJkHFPA5uRlxhWj-jrr23FY6-XPfhWmbo9d2hGEAU7haozVp8oJP6WDTShcroe-tunJMeq5PVdoOrePEC_-bzW8DlT4Dpp7r5CvIyQxabciMuLITAu8SQT6OeFR8bKOS4GQ32wteZFU8KG6c8a54AY-I7hO5w6Pc-Fzeun9pPY4w/s728-rw-e3650/cis-d.png)](https://thehackernews.uk/cis-hardened-images-platforms)
The malware embedded in the counterfeit colorama package activates a multi-stage infection sequence that leads to the execution of Python code from a remote server, which, in turn, is capable of establishing persistence on the host via Windows Registry changes and stealing data from web browsers, crypto wallets, Discord tokens, and sessions tokens related to Instagram and Telegram.


"The malware includes a file stealer component that searches for files with specific keywords in their names or extensions," the researchers said. "It targets directories such as Desktop, Downloads, Documents, and Recent Files."


The captured data is ultimately transferred to the attackers via anonymous file-sharing services like GoFile and Anonfiles. Alternately, the data is also sent to the threat actor's infrastructure using HTTP requests, alongside the hardware identifier or IP address to track the victim machine.


"This campaign is a prime example of the sophisticated tactics employed by malicious actors to distribute malware through trusted platforms like PyPI and GitHub," the researcher concluded.


"This incident highlights the importance of vigilance when installing packages and repositories even from trusted sources. It is crucial to thoroughly vet dependencies, monitor for suspicious network activity, and maintain robust security practices to mitigate the risk of falling victim to such attacks."


  





## Tags:
***urls***: http://files.pythonhosted.org http://github.com/maleduque/Valorant-Checker http://github.com/whiteblackgang12/Discord-Token-Generator http://files.pypihosted.org http://github.com/Fronse/League-of-Legends-Checker

### Autogenerated tags:
[[github]] [[colorama]] [[top.gg]] [[pypi]] [[checkmarx]] [[requirements.txt]] [[malware]]
