# Industry 4.0: CNC Machine Security Risks Part 2
## This three-part blog series explores the risks associated with CNC machines
## Information:

+ Link: https://www.trendmicro.com/en_us/research/22/l/cnc-machine-security-risks-part-2.html
+ Source: Trend Micro
+ Author: Trend Micro
+ Date published: 30 November 2022, 23:00
+ Date scraped: 02 December 2022, 01:00

## Article:
![Main article image](https://www.trendmicro.com/content/dam/trendmicro/global/en/research/thumbnails/22/cnc-machine-security-risks-part-2.png)






[In part one](https://www.trendmicro.com/en_us/research/22/k/cnc-machine-security-risks-part-1.html), we discussed what numerical control machines do and their basic concepts. These concepts are important to understand the machines better, offering a wider view of their operations. We also laid out how [we evaluated the chosen vendors for our research](https://www.trendmicro.com/vinfo/tmr/?/ph/security/news/internet-of-things/uncovering-security-weak-spots-in-industry-4-0-cnc-machines).


For this blog, we will continue discussing our evaluated vendors and highlighting findings that we discovered during our research.


Haas






![haas-simulator](https://www.trendmicro.com/content/dam/trendmicro/global/en/research/22/l/the-security-risks-faced-by-cnc-machines-in-industry-4-0-part-2/the-haas-simulator.png)
Figure 1. The Haas simulator we used for preliminary testing (left) and the Haas CNC machine (Super Mini Mill 2) by Celada we used for verification (right)







Haas was the first vendor we focused on because of the fast availability of its controller. We began our analysis by conducting port scanning on the controller simulator and identifying the protocols exposed by the controller. After that, we evaluated the options with which an attacker could abuse the protocols to perform attacks aimed at the security of the machine and verified these attacks in practice on a real-world machine installation.


Okuma






![okuma-simulator](https://www.trendmicro.com/content/dam/trendmicro/global/en/research/22/l/the-security-risks-faced-by-cnc-machines-in-industry-4-0-part-2/the-okuma-simulator.png)
Figure 2. The Okuma simulator we used for the development of the malicious application and during the initial testing






Okuma stands out in the market of CNC controllers for one interesting feature: the modularity of its controller. While the vendor offers in the device’s simplest form a tiny controller, it also provides a mechanism, called THINC API, to highly customize the functionalities of the controller. With this technology, any developer can implement a program that, once installed, runs in the context of the controller, in the form of an extension. This approach is very similar to how a mobile application, once installed, can extend a smartphone’s functionalities.


Heidenhain






![the-hardford-5a-65e-machine](https://www.trendmicro.com/content/dam/trendmicro/global/en/research/22/l/the-security-risks-faced-by-cnc-machines-in-industry-4-0-part-2/the-hartfor-5a-65e-machine.png)
Figure 3. The Hartford 5A-65E machine, running on a Heidenhain TNC 640 controller, that we used in our experiments at Celada






In the spirit of the Industry 4.0 paradigm, Heidenhain offers the Heidenhain DNC interface to integrate machines on modern, digital shop floors. Among the many scenarios, Heidenhain DNC enables the automatic exchange of data with machine and production data acquisition (MDA/PDA) systems, higher level enterprise resource planning (ERP) and manufacturing execution systems (MESs), inventory management systems, computer-aided design and manufacturing (CAD/CAM) systems, production activity control systems, simulation tools, and tool management systems


In our evaluation, we had access to the library provided by Heidenhain to the integrators to develop interfaces for the controller. The manufacturer provides this library, called RemoTools SDK,35 to selected partners only.


Fanuc






![the-yasuda-ymc](https://www.trendmicro.com/content/dam/trendmicro/global/en/research/22/l/the-security-risks-faced-by-cnc-machines-in-industry-4-0-part-2/the-yasuda-ymc.png)
Figure 4. The Yasuda YMC 430 + RT10 machine, running on a Fanuc controller, that we used in our experiments at the Polytechnic University of Milan






Like Heidenhain, Fanuc offers an interface, called FOCAS,36 for the integration of CNC machines in smart network environments. Even though this technology offers a restricted set of remote-call possibilities compared with the other vendors’ (that is, a limited number of management features), our experiments showed that a miscreant could potentially conduct attacks like damage, DoS, and hijacking.


What we found


As our evaluation identified 18 different attacks (or variations), we grouped them into five classes: compromise, damage, and denial of service (DoS):






![summary-of-the-attack](https://www.trendmicro.com/content/dam/trendmicro/global/en/research/22/l/the-security-risks-faced-by-cnc-machines-in-industry-4-0-part-2/a-summary-of-the-attack.png)
Table 1. A summary of the attacks we identified in our research






Controller manufacturers like Haas, Okuma, and Heidenhain have been found to have a similar number of issues, around 15. Fanuc had 10 confirmed attacks. Unfortunately, our research shows that this domain lacks awareness concerning security and privacy. This creates serious and compelling problems.


The need for automation-facing features like remote configuration of tool geometry or parametric programming with values determined by networked resources is becoming more common in manufacturing.


With these findings, we determined countermeasures that enterprises can do to mitigate such risks, which we’ll discuss in our final installation. [In the last part](https://www.trendmicro.com/en_us/research/22/l/cnc-machine-security-risks-part-3.html), we’ll also discuss our responsible disclosure process.








## Tags:


### Autogenerated tags:
[[heidenhain]] [[haas]] [[okuma]] [[fanuc]] [[cnc]]
