# Android security: We stopped billions of harmful app downloads, says Google | ZDNet
## Here's what Google is doing to protect Android users from fraud and malware when installing apps from the Google Play store.
## Information:

+ Link: https://www.zdnet.com/article/android-security-we-stopped-billions-of-harmful-app-downloads-says-google/
+ Source: ZDNet
+ Author: Liam Tung
+ Date published: 28 April 2022, 09:03
+ Date scraped: 28 April 2022, 15:28

## Article:
![Main article image](https://www.zdnet.com/a/img/resize/83860a08f1989d1d8c46d001ce5bd49dc18691d7/2020/10/02/bcc67951-053c-4453-b4e9-830b5b674356/play-store-android-google.jpg?width=770&height=578&fit=crop&auto=webp)




* 
* 
* 
* 
* 
* 
* 





[![Liam Tung](https://www.zdnet.com/a/img/resize/edd135640c2822791e2a2387e6b68798e65dbe9b/2014/07/22/b17789dd-1174-11e4-9732-00505685119a/liam-tung.jpg?width=50&height=50&fit=crop&auto=webp)](/meet-the-team/eu/liam-tung/)



 
 Written by

 
 [Liam Tung](/meet-the-team/eu/liam-tung/), Contributor


[![Liam Tung](https://www.zdnet.com/a/img/resize/cc3ee0705a7b41f052c8bf433cd85acb0d9f043e/2014/07/22/b17789dd-1174-11e4-9732-00505685119a/liam-tung.jpg?width=70&height=70&fit=crop&auto=webp)](/meet-the-team/eu/liam-tung/)
[Liam Tung](/meet-the-team/eu/liam-tung/)
[Contributor](/meet-the-team/eu/liam-tung/)
Liam Tung is a full-time freelance technology journalist who writes for several Australian publications.


[Full Bio](/meet-the-team/eu/liam-tung/)



 
 on April 28, 2022
| Topic: [Smartphones](/topic/smartphones/)



{
 "@context": "https:\/\/schema.org",
 "@type": "BreadcrumbList",
 "itemListElement": [
 {
 "@type": "ListItem",
 "position": 1,
 "name": "Topic",
 "item": "https:\/\/www.zdnet.com\/topic\/"
 },
 {
 "@type": "ListItem",
 "position": 2,
 "name": "Smartphones",
 "item": "https:\/\/www.zdnet.com\/topic\/smartphones\/"
 },
 {
 "@type": "ListItem",
 "position": 3,
 "name": "Android security: We stopped billions of harmful app downloads, says Google"
 }
 ]
}

Google says it blocked 1.2 million apps from being published to the Google Play store because the company detected policy violations in its app review processes, preventing "preventing billions of harmful installations" on Android devices.  

Google's Play Store reviews have often been seen as less strict than those in Apple's App Store. However, Google is making bigger efforts to protect the privacy and security of people using the [three billion active Android devices in use today](https://www.zdnet.com/article/google-android-just-hit-this-huge-milestone/) and it has stopped 1.2 million policy violating apps from being distributed on the Play store through its app review process.  

Google says it also banned 190,000 bad accounts in 2021 as part of its efforts to hinder malicious and spammer developers. It also closed 500,00 inactive or abandoned developer accounts. 


"Last year we introduced multiple privacy focused features, enhanced our protections against bad apps and developers, and improved [SDK](https://en.wikipedia.org/wiki/Software_development_kit) data safety. In addition, Google Play Protect continues to scan billions of installed apps each day across billions of devices to keep people safe from malware and unwanted software," [Google's Android and Privacy teams said in a blogpost](https://security.googleblog.com/2022/04/how-we-fought-bad-apps-and-developers.html). 

**SEE:** [**Google: We're spotting more zero-day bugs than ever. But hackers still have it too easy**](https://www.zdnet.com/article/google-were-spotting-more-zero-day-bugs-than-ever-but-hackers-still-have-it-too-easy/#link=%7B%22linkText%22:%22Google:%20We're%20spotting%20more%20zero-day%20bugs%20than%20ever.%20But%20hackers%20still%20have%20it%20too%20easy%22,%22target%22:%22_blank%22,%22href%22:%22https://www.zdnet.com/article/google-were-spotting-more-zero-day-bugs-than-ever-but-hackers-still-have-it-too-easy/%22,%22role%22:%22standard%22,%22absolute%22:%22%22%7D)

Google's initiatives in 2021 aimed to strike a balance between end-user safety and convenience for the developers whose work drives the Play Store, which had about 3.5 million apps available for download. 

The volume of transactions on Apple's and Google's app stores is staggering. [According to mobile ad analytics firm App Annie](https://www.data.ai/en/insights/market-data/state-of-mobile-2022/), consumers spent $170 billion on mobile apps in 2021, with [roughly 65% share of revenues going to Apple's App Store](https://www.zdnet.com/article/smartphone-app-spending-is-rocketing-heres-what-is-driving-it/) and 35% going to Google Play. Consumers downloaded 230 billion new apps in 2021, or about 435,000 apps per minute. But 98.3 billion of those downloads were by users in China where Google Play is not available, while US consumers accounted for 12 billion of the total.  

In an effort to improve transparency for end users, Google introduced a data safety program last May that requires developers to give users details about the types of data collected by an app, the use of encryption, and how data is used. Google requires developers to fix any detected violations of policy. They risk further enforcement if they don't comply with Google's requested fixes. Developers [have until July 20](https://android-developers.googleblog.com/2021/05/new-safety-section-in-google-play-will.html) to declare to Play store users information required in the data safety initiative.  

Google also [regularly removes](https://www.zdnet.com/article/over-half-a-million-users-been-infected-with-joker-malware-after-downloading-this-android-app-from-google-play/) malicious apps [from the Play store](https://www.zdnet.com/article/google-removes-android-app-with-100000-downloads-from-play-store-over-password-stealing-malware/) after they're discovered by third-party researchers, who still manage to find them on a reasonably regular basis. 

To help developers manage rejections during the review process, Google has added a [Policy and Programs](https://play.google.com/console/about/policystatus/) section to the Google Play console for developers. It also has a page to appeal decisions and [track the status](https://support.google.com/googleplay/android-developer/answer/9842754?hl=en) of a submission.   

The benefits of these initiatives are greater for those who've upgraded to the latest versions of Android. 

"As a result of new platform protections and [policies](https://support.google.com/googleplay/android-developer/answer/10467955), developer collaboration and education, 98% of apps migrating to Android 11 or higher have reduced their access to sensitive APIs and user data," Google claims. 

"We've also significantly reduced the unnecessary, dangerous, or disallowed use of [Accessibility APIs](https://support.google.com/googleplay/android-developer/answer/10964491?hl=en#:~:text=Google%20Play%20permits%20the%20use,that%20they%20are%20accessibility%20tools.) in apps migrating to Android 12, while preserving the functionality of legitimate use cases."

**SEE: [The best Android phones: Better than the iPhone?](https://www.zdnet.com/article/best-android-phone/)**

Google also noted that it disallowed the collection of Advertising ID (AAID) and other device identifiers from all users in apps solely targeting children. These [included](https://support.google.com/googleplay/android-developer/answer/11043825?hl=en) identifiers such as the SIM Serial number, MAC address, SSID, IMEI, and IMSI. It also gave all users the ability to delete their Advertising ID entirely, regardless of the app. 

Google Pixel is a small share of the overall Android market, but these users gained a [new Security hub](https://security.googleblog.com/2021/10/pixel-6-setting-new-standard-for-mobile.html), or a single page to manage all security settings. 





## Tags:


### Autogenerated tags:
[[google]] [[apps]] [[android]] [[liam]]
