# Microsoft warns: This forgotten open-source web server could let hackers 'silently' gain access to your system
## Users of affected network gateway appliances likely don't even know their router is running a web server that was discontinued 17 years ago.
## Information:

+ Link: https://www.zdnet.com/article/microsoft-warns-this-forgotten-open-source-web-server-could-let-hackers-silently-gain-access-to-your-system/
+ Source: ZDNet
+ Author: Liam Tung
+ Date published: 23 November 2022, 13:09
+ Date scraped: 28 November 2022, 09:00

## Article:
![Main article image](https://www.zdnet.com/a/img/resize/9eaa2aee24160949377a1e6266ee7bf2dd05230b/2021/01/13/ac3ead8f-9a31-459c-af68-486b5325209c/istock-1172964252.jpg?auto=webp&fit=crop&height=675&width=1200)

Microsoft has raised an alarm about a peculiar cybersecurity threat that serves as a warning to all enterprises about open-source software (OSS) supply chain security.

The Microsoft Threat Intelligence Center (MSTIC) kicked off its own investigation into an [April 2022 report](https://go.recordedfuture.com/hubfs/reports/ta-2022-0406.pdf) by security vendor Recorded Future about a "likely Chinese state-sponsored" threat actor targeting the Indian power sector for the past two years. 

Recorded Future listed over a dozen network indicators of compromise (IOCs) it had observed between late 2021 and Q1 2022 that were used in 38 intrusions against multiple organisations in India's energy sector.

Microsoft notes the latest related activity was in October 2022, and says its researchers identified a "vulnerable component on all the IP addresses published as IOCs" by Record Future and that it found evidence of a "supply chain risk that may affect millions of organizations and devices."

"We assessed the vulnerable component to be the Boa web server, which is often used to access settings and management consoles and sign-in screens in devices. Despite being discontinued in 2005, the Boa web server continues to be implemented by different vendors across a variety of IoT devices and popular software development kits (SDKs). Without developers managing the Boa web server, its known vulnerabilities could allow attackers to silently gain access to networks by collecting information from files," Microsoft said.

**Also:** [**Cybersecurity jobs: Five ways to help you build your career**](https://www.zdnet.com/article/cybersecurity-jobs-five-ways-to-help-you-build-your-career/)

The Boa web server, an open-source software project, was abandoned in 2005, but 17 years later still ships in a variety of IoT devices and popular software development kits (SDKs), [according to MSTIC](https://www.microsoft.com/en-us/security/blog/2022/11/22/vulnerable-sdk-components-lead-to-supply-chain-risks-in-iot-and-ot-environments/).

"Microsoft assesses that Boa servers were running on the IP addresses on the list of IOCs published by Recorded Future at the time of the report's release and that the electrical grid attack targeted exposed IoT devices running Boa," Microsoft says.

The Boa web server is often used to access settings and management consoles and sign-in screens in devices.

But since Boa is not maintained anymore, devices or software development kits (SDKs) that still use it will harbour any known vulnerabilities since the date it was abandoned.

**Also:** [**What, exactly, is cybersecurity? And why does it matter?**](https://www.zdnet.com/education/computers-tech/what-is-cybersecurity-and-why-cybersecurity-matters/)

Microsoft suspects Boa remains popular in IoT devices because of its presence in popular SDKs that contain functions that operate on system on chip (SOC) in microchips, used in low-powered devices like routers.

A case in point is RealTek SDKs, which are used in SOCs and provided to firms that manufacture network gateways such as routers, access points and repeaters. A critical flaw [CVE-2021-35395](https://nvd.nist.gov/vuln/detail/CVE-2021-35395) concerned RealTek's Jungle SDK, which included a management interface based on Boa. While RealTek did release patches for the SDK, some manufacturers might not have included them in firmware updates. Hence, there's a supply chain risk that Microsoft is concerned about. 

Attackers could exploit vulnerabilities in the web server to access networks by collecting information from files, according to Microsoft. Also, organisations may be using networked devices and be unaware that they're running services using Boa.

"While patches for the RealTek SDK vulnerabilities are available, some vendors may not have included them in their device firmware updates, and the updates do not include patches for Boa vulnerabilities. Boa servers are affected by several known vulnerabilities, including arbitrary file access ([CVE-2017-9833](https://nvd.nist.gov/vuln/detail/CVE-2017-9833)) and information disclosure ([CVE-2021-33558](https://nvd.nist.gov/vuln/detail/CVE-2021-33558))," Microsoft notes. 

"These vulnerabilities may allow attackers to execute code remotely after gaining device access by reading the "passwd" file from the device or accessing sensitive URIs in the web server to extract a user's credentials. Moreover, these vulnerabilities require no authentication to exploit, making them attractive targets."

#### More Microsoft

   [![win1022h2isout]()

 Microsoft starts rolling out the annual Windows 10 feature update, Windows 10 22H2](/article/microsoft-starts-rolling-out-the-annual-windows-10-feature-update-windows-10-22h2/)  [![scottguthriemicrosoft]()

 Microsoft Cloud and AI chief Scott Guthrie on what's new and next for Microsoft Cloud customers](/article/microsoft-cloud-and-ai-chief-scott-guthrie-on-whats-new-and-next-for-microsoft-cloud-customers/)  [![security-team-develops-engineers-tech-workers-collaboration]()

 Microsoft warns over unusual ransomware attacks](/article/microsoft-warns-over-unusual-ransomware-attacks/)  [![Azure Kubernetes Arc Microsoft]()

 Microsoft readies Kubernetes public preview for Windows, IoT devices](/article/microsoft-readies-kubernetes-public-preview-for-windows-iot-devices/)  [![tabbedfileexplorerwin11preview]()

 Microsoft makes Tabbed File Explorer, additional Windows 11 22H2 features available in preview](/article/microsoft-makes-tabbed-file-explorer-additional-windows-11-22h2-features-available-in-preview/)  



 



  * [![win1022h2isout]()

 Microsoft starts rolling out the annual Windows 10 feature update, Windows 10 22H2](/article/microsoft-starts-rolling-out-the-annual-windows-10-feature-update-windows-10-22h2/)
* [![scottguthriemicrosoft]()

 Microsoft Cloud and AI chief Scott Guthrie on what's new and next for Microsoft Cloud customers](/article/microsoft-cloud-and-ai-chief-scott-guthrie-on-whats-new-and-next-for-microsoft-cloud-customers/)
* [![security-team-develops-engineers-tech-workers-collaboration]()

 Microsoft warns over unusual ransomware attacks](/article/microsoft-warns-over-unusual-ransomware-attacks/)
* [![Azure Kubernetes Arc Microsoft]()

 Microsoft readies Kubernetes public preview for Windows, IoT devices](/article/microsoft-readies-kubernetes-public-preview-for-windows-iot-devices/)
* [![tabbedfileexplorerwin11preview]()

 Microsoft makes Tabbed File Explorer, additional Windows 11 22H2 features available in preview](/article/microsoft-makes-tabbed-file-explorer-additional-windows-11-22h2-features-available-in-preview/)



## Tags:
***CVE's***: CVE-2021-33558 CVE-2017-9833 CVE-2021-35395

### Autogenerated tags:
[[microsoft]] [[windows]] [[iot]] [[sdks]] [[realtek]] [[22h2]] [[cloud]] [[sdk]]
