# Android malware found embedded in APKPure store application
## Security researchers found malware embedded within the official application of APKPure, a popular third-party Android app store and an alternative to Google's official Play Store.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/android-malware-found-embedded-in-apkpure-store-application/
+ Source: Bleeping Computer
+ Author: Sergiu Gatlan
+ Date published: 10 April 2021, 10:40
+ Date scraped: 12 December 2023, 14:41

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2021/03/09/Android.jpg)



Security researchers found malware embedded within the official application of APKPure, a popular third-party Android app store and an alternative to Google's official Play Store.


Android users use the application to install apps and games hosted on APKPure's platform, supposedly identical to those available through the Play Store.


The malware was discovered by [Kaspersky](https://www.kaspersky.com/blog/infected-apkpure/39273/) and [Dr.Web](https://news.drweb.com/show/?i=14188&lng=en&c=5) malware analysts embedded within an advertisement SDK included with APKPure version 3.7.18.


As they discovered, it looks like a variant of the [Triada](https://malpedia.caad.fkie.fraunhofer.de/details/apk.triada) trojan first spotted by Kaspersky in 2016 [[1](http://www.kaspersky.com/blog/triada-trojan/11481/), [2](http://securelist.com/everyone-sees-not-what-they-want-to-see/74997/)], capable of spamming users of infected devices with ads and deliver additional malware.



![APKPure interface](https://www.bleepstatic.com/images/news/u/1109292/2021/APKPure.jpg)**APKPure interface**


"The identified malicious code embedded in APKPure operates in the following way: upon launch of the application, the payload is decrypted and launched," Kaspersky said. "It then collects information about the user device and sends it to the C&C server."


"Then, a Trojan is loaded that has much in common with the notorious Triada malware, in that it can perform a range of actions - from displaying and clicking ads to signing up for paid subscriptions and downloading other malware."


Next, depending on its operators' instructions and monetizing scheme (ads or pay-per-install), it will:


* show ads every time the Android device is unlocked,
* repeatedly open web pages containing ads,
* click the ads to sign up for paid subscriptions,
* install other payloads or potentially malicious software without the users' consent.

The damage inflicted by this trojan varies depending on the Android version running on the compromised devices, ranging from being signed up for paid subscriptions and seeing intrusive ads on current versions to having unremovable malware like [xHelper](https://www.bleepingcomputer.com/tag/xhelper/) deployed on the system partition.



![Device information collected by the malware](https://www.bleepstatic.com/images/news/u/1109292/2021/APKPUre-info-collection(1).png)**Device information collected by the malware** (*Kaspersky*)


While no official download stats are available for the APKPure app, Kaspersky says that it has so far blocked the malware on the devices of 9,380 Android users running its security solutions on their devices.


Both Kaspersky and Dr.Web reported their findings to APKPure's developers, who have released APKPure 3.17.19 today without the malicious code.


*Indicators of compromise, including APKpure app, payload, and malware sample hashes, are available at the end of [Kaspersky's report](https://securelist.com/apkpure-android-app-store-infected/101845/).*


BleepingComputer has reached out to APKPure's development team for more information but has not heard back.





## Tags:


### Autogenerated tags:
[[malware]] [[apkpure]] [[kaspersky]] [[android]]
