# CISA warns of Android bug exploited by Chinese app to spy on users
## The U.S. Cybersecurity and Infrastructure Security Agency (CISA) warned today of a high-severity Android vulnerability believed to have been exploited by a Chinese e-commerce app Pinduoduo as a zero-day to spy on its users.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/cisa-warns-of-android-bug-exploited-by-chinese-app-to-spy-on-users/
+ Source: Bleeping Computer
+ Author: Sergiu Gatlan
+ Date published: 16 April 2023, 14:08
+ Date scraped: 16 April 2023, 16:00

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2021/12/14/CISA.jpg)



The U.S. Cybersecurity and Infrastructure Security Agency (CISA) warned today of a high-severity Android vulnerability believed to have been exploited by a Chinese e-commerce app Pinduoduo as a zero-day to spy on its users.


This Android Framework security flaw (tracked as [CVE-2023-20963](https://nvd.nist.gov/vuln/detail/CVE-2023-20963)) allows attackers to escalate privileges on unpatched Android devices without requiring user interaction.


"Android Framework contains an unspecified vulnerability that allows for privilege escalation after updating an app to a higher Target SDK with no additional execution privileges needed," CISA [explains](https://www.cisa.gov/known-exploited-vulnerabilities-catalog).


Google addressed the bug in security updates released in early March, [saying](https://source.android.com/docs/security/bulletin/2023-03-01) that "there are indications that CVE-2023-20963 may be under limited, targeted exploitation."


On March 21, Google [suspended](https://techcrunch.com/2023/03/20/google-flags-apps-made-by-popular-chinese-e-commerce-giant-as-malware/) the official shopping app of Chinese online retailer giant Pinduoduo (which claims to have [over 750 million](https://investor.pddholdings.com/news-releases/news-release-details/pinduoduo-announces-first-quarter-2022-unaudited-financial) monthly active users) from the Play Store after discovering malware in off-Play versions of the app, tagging it as a harmful app and warning users that it could allow "unauthorized access" to their data or device.


Days later, Kaspersky researchers also revealed they had found versions of the app exploiting Android vulnerabilities (one of them CVE-2023-20963 according to [Ars Technica](https://arstechnica.com/information-technology/2023/03/android-app-from-china-executed-0-day-exploit-on-millions-of-devices/)) for privilege escalation and installing additional modules designed to spy on users.


"Some versions of the Pinduoduo app contained malicious code, which exploited known Android vulnerabilities to escalate privileges, download and execute additional malicious modules, some of which also gained access to users' notifications and files," Kaspersky security researcher Igor Golovin [told Bloomberg](https://www.bloomberg.com/news/articles/2023-03-27/pinduoduo-app-malware-detailed-by-cybersecurity-researchers?leadSource=uverify%20wall#:~:text=Some%20versions%20of%20the%20Pinduoduo%20app%20contained%20malicious%20code).


## Federal agencies ordered to patch within three weeks


U.S. Federal Civilian Executive Branch Agencies (FCEB) agencies have until May 4th to secure their devices against the CVE-2023-20963 vulnerability added by CISA to its list of Known Exploited Vulnerabilities on Thursday.


According to the [binding operational directive](https://www.bleepingcomputer.com/news/security/cisa-orders-federal-agencies-to-fix-hundreds-of-exploited-security-flaws/) (BOD 22-01) from November 2021, federal agencies must check and fix their networks for all security flaws included in CISA's KEV catalog.


Even if the catalog is mainly aimed at U.S. federal agencies, it is strongly advised that private companies also treat vulnerabilities in CISA's catalog with priority.


"These types of vulnerabilities are frequent attack vectors for malicious cyber actors and pose significant risks to the federal enterprise," the U.S. cybersecurity agency [said](https://www.cisa.gov/news-events/alerts/2023/04/13/cisa-adds-two-known-exploited-vulnerabilities-catalog).


On Monday, CISA also [ordered](https://www.bleepingcomputer.com/news/security/cisa-orders-govt-agencies-to-update-iphones-macs-by-may-1st/) federal agencies to patch iPhones and Macs against two security vulnerabilities exploited in the wild as zero-day by May 1st.





## Tags:
***CVE's***: CVE-2023-20963
***email-adresses***: mainlyaimed@u.s

### Autogenerated tags:
[[cisa]] [[android]] [[u.s]] [[cve-2023-20963]] [[pinduoduo]]
