# Google banned 173K developer accounts to block malware, fraud rings
## Google says it banned 173,000 developer accounts in 2022 to block malware operations and fraud rings from infecting Android users' devices with malicious apps.
## Information:

+ Link: https://www.bleepingcomputer.com/news/google/google-banned-173k-developer-accounts-to-block-malware-fraud-rings/
+ Source: Bleeping Computer
+ Author: Sergiu Gatlan
+ Date published: 27 April 2023, 17:13
+ Date scraped: 27 April 2023, 18:00

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2023/04/27/Google.jpg)



Google says it banned 173,000 developer accounts in 2022 to block malware operations and fraud rings from infecting Android users' devices with malicious apps.


The company revealed in its "bad apps" yearly report that it also prevented almost 1.5 million apps linked to various privacy policy violations from reaching the Google Play Store.


The Google Play Commerce security team also blocked fraudulent and abusive transactions that could've led to more than $2 billion in losses.


"In 2022, we prevented 1.43 million policy-violating apps from being published on Google Play in part due to new and improved security features and policy enhancements — in combination with our continuous investments in machine learning systems and app review processes," the Google Security team [said](https://security.googleblog.com/2023/04/how-we-fought-bad-apps-and-bad-actors.html).


"We also continued to combat malicious developers and fraud rings, banning 173K bad accounts, and [preventing over $2 billion](https://android-developers.googleblog.com/2023/03/play-commerce-prevented-fraudulent-and-abusive-transactions-in-2022.html) in fraudulent and abusive transactions."


Google also implemented additional requirements for developers seeking to join the Play Store ecosystem, including phone and email identity verification. This resulted in a decline in the number of accounts used to disseminate apps violating Google Play policies.


Furthermore, it collaborated with software development kit (SDK) providers to curtail access to sensitive data and prevent its sharing, ensuring that more than 1 million apps on the official Android store have a better "privacy posture."



![Google Play 2022 "bad apps" report](https://www.bleepstatic.com/images/news/u/1109292/2023/Google_Play_2022_bad_apps_report.png)*Google Play 2022 "bad apps" report (Google)*


​In all, over the past three years, the company says that its efforts to further bolster Android platform protections and policies helped prevent roughly 500,000 apps submitted for inclusion into the Google Play Store from requesting and accessing sensitive permissions.


[Throughout 2021](https://security.googleblog.com/2022/04/how-we-fought-bad-apps-and-developers.html), Google blocked 1.2 million policy-violating apps, banned 190,000 accounts linked to malicious and spammy devs, and closed approximately 500,000 inactive or abandoned developer accounts.


"As the Android ecosystem expands, it’s critical for us to work closely with the developer community to ensure they have the tools, knowledge, and support to build secure and trustworthy apps that respect user data security and privacy," Google said.


"We will keep working closely with SDK providers to improve app and SDK safety, limit how user data is shared, and improve lines of communication with app developers."


One year ago, Google Play was also updated to include a [Data safety section](https://blog.google/products/google-play/data-safety/) that details how apps collect, share, and secure the users' data.


More recently, in February 2023, Google [revealed](https://www.bleepingcomputer.com/news/security/android-14-to-block-malware-from-abusing-sensitive-permissions/) that the next major version of the world's most popular mobile operating system, [Android 14](https://developer.android.com/about/versions/14) (now in Beta), will block malware from abusing sensitive permissions by targeting older API levels (Android versions).





## Tags:


### Autogenerated tags:
[[google]] [[apps]] [[android]] [[sdk]]
