# Google rejected 2.28 million risky apps from Play Store in 2023
## Google blocked 2.28 million apps from being published on Google Play after finding various policy violations that could threaten the security of Android users.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/google-rejected-228-million-risky-apps-from-play-store-in-2023/
+ Source: Bleeping Computer
+ Author: Bill Toulas
+ Date published: 29 April 2024, 12:00
+ Date scraped: 29 April 2024, 16:03

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2023/09/15/Google.jpg)



Google blocked 2.28 million apps from being published on Google Play after finding various policy violations that could threaten the security of Android users.


Additionally, the tech giant reports that it identified and blocked 333,000 Google Play accounts that uploaded malware, fraudulent apps, or engaged in repeated grave policy violations.


For comparison, in 2022, Google [blocked 1.5 million "bad" apps](https://www.bleepingcomputer.com/news/google/google-banned-173k-developer-accounts-to-block-malware-fraud-rings/#google_vignette) and suspended 173,000 developer accounts for severe violations of the store's policies. 


Last year's enforcement was part of Google's effort to safeguard Android's official app store, which billions of people use to source software that makes their devices more useful.


This effort is based on the so-called 'SAFE' principles, which Google highlights as: (S)afeguard Users, (A)dvocate for Developer Protection, (F)oster Responsible Innovation, (E)volve Platform Defenses.


The identification of malicious submissions and removal of risky content already available on Google Play was bolstered by recently-introduced reviewing and security initiatives, including:


* More stringent developer registration and [ID verification process](https://www.bleepingcomputer.com/news/google/google-play-will-enforce-business-checks-to-curb-malware-submissions/).
* Introduction of independent security reviews and [badges for Android VPN apps](https://www.bleepingcomputer.com/news/security/google-play-adds-security-audit-badges-for-android-vpn-apps/).
* Addition of [real-time scanning](https://www.bleepingcomputer.com/news/security/google-play-protect-adds-real-time-scanning-to-fight-android-malware/) to block malware from executing.
* [Firmware hardening](https://www.bleepingcomputer.com/news/security/google-will-boost-android-security-through-firmware-hardening/) to make SoC-level flaws harder to exploit.
* Expansion of the [SDK index](https://play.google.com/sdks) (now covers 6 million apps) to help developers pick safe SDKs for their projects.

In addition to blocking nearly 2.3 million apps and suspending 333,000 offending publishers, Google has rejected or remediated 200,000 app submissions requesting access to risky permissions such as SMS content and background location data without a good reason.


Finally, Google has partnered with 31 SDK providers to ensure that only a minimal amount of sensitive information is collected and shared from devices where apps utilizing these SDKs are installed.


The tech firm says this initiative directly impacts 790,000 apps available on Google Play, which translates to potentially tens of millions of users or possibly more.


Just last month, [researchers found 17 "free" VPN apps on Google Play](https://www.bleepingcomputer.com/news/security/free-vpn-apps-on-google-play-turned-android-phones-into-proxies/) that used a malicious monetization SDK that hijacked Android devices to act as unwitting residential proxies, likely used for cybercrime and shopping bots.


Although Google Play [isn't completely immune](https://www.bleepingcomputer.com/news/security/google-explains-how-android-malware-slips-onto-google-play-store/) to malware, spyware, and adware apps, Google's and its partners' efforts at the App Defense Alliance to tackle the problem make it increasingly harder to sneak malware onto the store and keep it undetected for long.


That being said, Android users are recommended to source their apps only from Google Play and avoid installing software from APK apps downloaded from poorly vetted third-party stores.


Also, regularly check that Play Protect is active on the device, periodically review background power and data consumption to identify suspicious processes, and remove permissions granted to apps that aren't needed for their core functions.





## Tags:


### Autogenerated tags:
[[google]] [[apps]] [[android]] [[malware]] [[sdk]]
