# Microsoft June 2023 Patch Tuesday fixes 78 flaws, 38 RCE bugs
## Today is Microsoft's June 2023 Patch Tuesday, with security updates for 78 flaws, including 38 remote code execution vulnerabilities.
## Information:

+ Link: https://www.bleepingcomputer.com/news/microsoft/microsoft-june-2023-patch-tuesday-fixes-78-flaws-38-rce-bugs/
+ Source: Bleeping Computer
+ Author: Lawrence Abrams
+ Date published: 13 June 2023, 13:28
+ Date scraped: 13 June 2023, 18:05

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2022/12/13/patch-tuesday-header.jpg)



.crit {
font-weight:bold;
color:red;
}
.article\_section td {
 font-size: 14px!important;
}
Today is Microsoft's June 2023 Patch Tuesday, with security updates for 78 flaws, including 38 remote code execution vulnerabilities.


While thirty-eight RCE bugs were fixed, Microsoft only listed six flaws as 'Critical,' including denial of service attacks, remote code execution, and privilege elevation.


The number of bugs in each vulnerability category is listed below:


* 17 Elevation of Privilege Vulnerabilities
* 3 Security Feature Bypass Vulnerabilities
* 32 Remote Code Execution Vulnerabilities
* 5 Information Disclosure Vulnerabilities
* 10 Denial of Service Vulnerabilities
* 10 Spoofing Vulnerabilities
* 1 Edge - Chromium Vulnerabilities

This list does not include sixteen Microsoft Edge vulnerabilities previously fixed on June 2nd, 2023.


This Patch Tuesday does not fix any zero-day vulnerabilities or actively exploited bugs, relieving some of the pressure usually felt by Windows admins during this day.


## Notable vulnerabilities


While there are no zero-day vulnerabilities in the June 2023 Patch Tuesday, there are some notable flaws listed below:



**[CVE-2023-29357](https://msrc.microsoft.com/update-guide/en-US/vulnerability/CVE-2023-29357) - Microsoft SharePoint Server Elevation of Privilege Vulnerability**


Microsoft has fixed a privilege elevation vulnerability in Microsoft SharePoint that could allow attackers to assume the privileges of other users, including administrators.


"An attacker who has gained access to spoofed JWT authentication tokens can use them to execute a network attack which bypasses authentication and allows them to gain access to the privileges of an authenticated user." reads Microsoft's advisory.


While Microsoft reports that the bug is actively exploited, there are no details on how it was abused.


Microsoft says that [Jang (Nguyễn Tiến Giang)](https://twitter.com/testanull) of StarLabs SG discovered the vulnerability.


**[CVE-2023-32031](https://msrc.microsoft.com/update-guide/en-US/vulnerability/CVE-2023-32031) - Microsoft Exchange Server Remote Code Execution Vulnerability**


Microsoft has fixed a Microsoft Exchange vulnerability that allows authenticated, remote code execution.


"The attacker for this vulnerability could target the server accounts in an arbitrary or remote code execution. As an authenticated user, the attacker could attempt to trigger malicious code in the context of the server's account through a network call," reads Microsoft's advisory.



Microsoft has also released numerous Microsoft Office updates for vulnerabilities, allowing threat actors to use malicious crafted Excel and OneNote documents to perform remote code execution.


These vulnerabilities are tracked as [CVE-2023-33133](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-33133) (Excel), [CVE-2023-33133](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-33133) (Excel), [CVE-2023-33137](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-33137) (Excel), [CVE-2023-33140](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-33140) (OneNote), [CVE-2023-33131](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-33131) (Outlook).


The OneNote and Outlook flaws require a user to click on a link in the malicious file or email.


## Recent updates from other companies


Other vendors who released updates or advisories in June 2023 include:


* **Cisco**[released security updates](https://sec.cloudapps.cisco.com/security/center/publicationListing.x) for [Cisco AnyConnect](https://www.bleepingcomputer.com/news/security/cisco-fixes-anyconnect-bug-giving-windows-system-privileges/) and other products.
* **Fortinet** [released new FortiOS firmware](https://www.fortiguard.com/psirt/FG-IR-23-097) to fix an [actively exploited Fortigate RCE zero-day](https://www.bleepingcomputer.com/news/security/fortinet-fixes-critical-rce-flaw-in-fortigate-ssl-vpn-devices-patch-now/).
* **Google** [released security updates](https://www.bleepingcomputer.com/news/security/google-fixes-new-chrome-zero-day-flaw-with-exploit-in-the-wild/) for Google Chrome to fix an actively exploited zero-day and the [Android June 2023 updates](https://source.android.com/docs/security/bulletin/2023-06-01).
* **MOVEit** [released security updates](https://community.progress.com/s/article/MOVEit-Transfer-Critical-Vulnerability-31May2023) for a zero-day actively [exploited by the Clop ransomware gang](https://www.bleepingcomputer.com/news/security/clop-ransomware-claims-responsibility-for-moveit-extortion-attacks/) in data theft attacks. A week later, they [released another update](https://www.bleepingcomputer.com/news/security/new-moveit-transfer-critical-flaws-found-after-security-audit-patch-now/) for an RCE flaw found by Huntress Labs.
* **SAP** has released its [June 2023 Patch Day](https://dam.sap.com/mac/app/e/pdf/preview/embed/ucQrx6G?ltr=a&rc=10) updates.
* **VMware** [released VMware ESXi updates](https://www.vmware.com/security/advisories/VMSA-2023-0013.html) to fix an [actively exploited zero-day](https://www.bleepingcomputer.com/news/security/chinese-hackers-used-vmware-esxi-zero-day-to-backdoor-vms/) tracked as CVE-2023-20867.

## The June 2023 Patch Tuesday Security Updates


Below is the complete list of resolved vulnerabilities in the June 2023 Patch Tuesday updates.


To access the full description of each vulnerability and the systems it affects, you can view the [full report here](https://www.bleepingcomputer.com/microsoft-patch-tuesday-reports/June-2023.html).





| Tag | CVE ID | CVE Title | Severity |
| --- | --- | --- | --- |
| .NET and Visual Studio | [CVE-2023-24895](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-24895) | .NET, .NET Framework, and Visual Studio Remote Code Execution Vulnerability | Important |
| .NET and Visual Studio | [CVE-2023-33126](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-33126) | .NET and Visual Studio Remote Code Execution Vulnerability | Important |
| .NET and Visual Studio | [CVE-2023-24936](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-24936) | .NET, .NET Framework, and Visual Studio Elevation of Privilege Vulnerability | Moderate |
| .NET and Visual Studio | [CVE-2023-33135](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-33135) | .NET and Visual Studio Elevation of Privilege Vulnerability | Important |
| .NET and Visual Studio | [CVE-2023-32032](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-32032) | .NET and Visual Studio Elevation of Privilege Vulnerability | Important |
| .NET and Visual Studio | [CVE-2023-32030](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-32030) | .NET and Visual Studio Denial of Service Vulnerability | Important |
| .NET and Visual Studio | [CVE-2023-33128](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-33128) | .NET and Visual Studio Remote Code Execution Vulnerability | Important |
| .NET and Visual Studio | [CVE-2023-24897](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-24897) | .NET, .NET Framework, and Visual Studio Remote Code Execution Vulnerability | Critical |
| .NET Core | [CVE-2023-29331](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-29331) | .NET, .NET Framework, and Visual Studio Denial of Service Vulnerability | Important |
| .NET Framework | [CVE-2023-29326](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-29326) | .NET Framework Remote Code Execution Vulnerability | Important |
| ASP .NET | [CVE-2023-33141](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-33141) | Yet Another Reverse Proxy (YARP) Denial of Service Vulnerability | Important |
| Azure DevOps | [CVE-2023-21569](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-21569) | Azure DevOps Server Spoofing Vulnerability | Important |
| Azure DevOps | [CVE-2023-21565](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-21565) | Azure DevOps Server Spoofing Vulnerability | Important |
| Microsoft Dynamics | [CVE-2023-24896](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-24896) | Dynamics 365 Finance Spoofing Vulnerability | Important |
| Microsoft Edge (Chromium-based) | [CVE-2023-2941](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-2941) | Chromium: CVE-2023-2941 Inappropriate implementation in Extensions API | Unknown |
| Microsoft Edge (Chromium-based) | [CVE-2023-33145](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-33145) | Microsoft Edge (Chromium-based) Information Disclosure Vulnerability | Important |
| Microsoft Edge (Chromium-based) | [CVE-2023-2937](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-2937) | Chromium: CVE-2023-2937 Inappropriate implementation in Picture In Picture | Unknown |
| Microsoft Edge (Chromium-based) | [CVE-2023-2936](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-2936) | Chromium: CVE-2023-2936 Type Confusion in V8 | Unknown |
| Microsoft Edge (Chromium-based) | [CVE-2023-2935](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-2935) | Chromium: CVE-2023-2935 Type Confusion in V8 | Unknown |
| Microsoft Edge (Chromium-based) | [CVE-2023-2940](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-2940) | Chromium: CVE-2023-2940 Inappropriate implementation in Downloads | Unknown |
| Microsoft Edge (Chromium-based) | [CVE-2023-2939](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-2939) | Chromium: CVE-2023-2939 Insufficient data validation in Installer | Unknown |
| Microsoft Edge (Chromium-based) | [CVE-2023-2938](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-2938) | Chromium: CVE-2023-2938 Inappropriate implementation in Picture In Picture | Unknown |
| Microsoft Edge (Chromium-based) | [CVE-2023-2931](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-2931) | Chromium: CVE-2023-2931 Use after free in PDF | Unknown |
| Microsoft Edge (Chromium-based) | [CVE-2023-2930](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-2930) | Chromium: CVE-2023-2930 Use after free in Extensions | Unknown |
| Microsoft Edge (Chromium-based) | [CVE-2023-2929](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-2929) | Chromium: CVE-2023-2929 Out of bounds write in Swiftshader | Unknown |
| Microsoft Edge (Chromium-based) | [CVE-2023-2934](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-2934) | Chromium: CVE-2023-2934 Out of bounds memory access in Mojo | Unknown |
| Microsoft Edge (Chromium-based) | [CVE-2023-2933](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-2933) | Chromium: CVE-2023-2933 Use after free in PDF | Unknown |
| Microsoft Edge (Chromium-based) | [CVE-2023-2932](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-2932) | Chromium: CVE-2023-2932 Use after free in PDF | Unknown |
| Microsoft Edge (Chromium-based) | [CVE-2023-3079](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-3079) | Chromium: CVE-2023-3079 Type Confusion in V8 | Unknown |
| Microsoft Edge (Chromium-based) | [CVE-2023-29345](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-29345) | Microsoft Edge (Chromium-based) Security Feature Bypass Vulnerability | Low |
| Microsoft Edge (Chromium-based) | [CVE-2023-33143](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-33143) | Microsoft Edge (Chromium-based) Elevation of Privilege Vulnerability | Moderate |
| Microsoft Exchange Server | [CVE-2023-32031](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-32031) | Microsoft Exchange Server Remote Code Execution Vulnerability | Important |
| Microsoft Exchange Server | [CVE-2023-28310](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-28310) | Microsoft Exchange Server Remote Code Execution Vulnerability | Important |
| Microsoft Office | [CVE-2023-33146](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-33146) | Microsoft Office Remote Code Execution Vulnerability | Important |
| Microsoft Office Excel | [CVE-2023-33133](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-33133) | Microsoft Excel Remote Code Execution Vulnerability | Important |
| Microsoft Office Excel | [CVE-2023-32029](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-32029) | Microsoft Excel Remote Code Execution Vulnerability | Important |
| Microsoft Office Excel | [CVE-2023-33137](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-33137) | Microsoft Excel Remote Code Execution Vulnerability | Important |
| Microsoft Office OneNote | [CVE-2023-33140](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-33140) | Microsoft OneNote Spoofing Vulnerability | Important |
| Microsoft Office Outlook | [CVE-2023-33131](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-33131) | Microsoft Outlook Remote Code Execution Vulnerability | Important |
| Microsoft Office SharePoint | [CVE-2023-33142](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-33142) | Microsoft SharePoint Server Elevation of Privilege Vulnerability | Important |
| Microsoft Office SharePoint | [CVE-2023-33129](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-33129) | Microsoft SharePoint Denial of Service Vulnerability | Important |
| Microsoft Office SharePoint | [CVE-2023-33130](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-33130) | Microsoft SharePoint Server Spoofing Vulnerability | Important |
| Microsoft Office SharePoint | [CVE-2023-33132](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-33132) | Microsoft SharePoint Server Spoofing Vulnerability | Important |
| Microsoft Office SharePoint | [CVE-2023-29357](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-29357) | Microsoft SharePoint Server Elevation of Privilege Vulnerability | Critical |
| Microsoft Power Apps | [CVE-2023-32024](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-32024) | Microsoft Power Apps Spoofing Vulnerability | Important |
| Microsoft Printer Drivers | [CVE-2023-32017](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-32017) | Microsoft PostScript Printer Driver Remote Code Execution Vulnerability | Important |
| Microsoft WDAC OLE DB provider for SQL | [CVE-2023-29372](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-29372) | Microsoft WDAC OLE DB provider for SQL Server Remote Code Execution Vulnerability | Important |
| Microsoft Windows Codecs Library | [CVE-2023-29370](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-29370) | Windows Media Remote Code Execution Vulnerability | Important |
| Microsoft Windows Codecs Library | [CVE-2023-29365](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-29365) | Windows Media Remote Code Execution Vulnerability | Important |
| NuGet Client | [CVE-2023-29337](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-29337) | NuGet Client Remote Code Execution Vulnerability | Important |
| Remote Desktop Client | [CVE-2023-29362](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-29362) | Remote Desktop Client Remote Code Execution Vulnerability | Important |
| Remote Desktop Client | [CVE-2023-29352](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-29352) | Windows Remote Desktop Security Feature Bypass Vulnerability | Important |
| Role: DNS Server | [CVE-2023-32020](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-32020) | Windows DNS Spoofing Vulnerability | Important |
| SysInternals | [CVE-2023-29353](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-29353) | Sysinternals Process Monitor for Windows Denial of Service Vulnerability | Low |
| Visual Studio | [CVE-2023-29007](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-29007) | GitHub: CVE-2023-29007 Arbitrary configuration injection via `git submodule deinit` | Important |
| Visual Studio | [CVE-2023-33139](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-33139) | Visual Studio Information Disclosure Vulnerability | Important |
| Visual Studio | [CVE-2023-25652](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-25652) | GitHub: CVE-2023-25652 "git apply --reject" partially-controlled arbitrary file write | Important |
| Visual Studio | [CVE-2023-25815](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-25815) | GitHub: CVE-2023-25815 Git looks for localized messages in an unprivileged place | Important |
| Visual Studio | [CVE-2023-27911](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-27911) | AutoDesk: CVE-2023-27911 Heap buffer overflow vulnerability in Autodesk® FBX® SDK 2020 or prior | Important |
| Visual Studio | [CVE-2023-27910](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-27910) | AutoDesk: CVE-2023-27910 stack buffer overflow vulnerability in Autodesk® FBX® SDK 2020 or prior | Important |
| Visual Studio | [CVE-2023-29011](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-29011) | GitHub: CVE-2023-29011 The config file of `connect.exe` is susceptible to malicious placing | Important |
| Visual Studio | [CVE-2023-29012](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-29012) | GitHub: CVE-2023-29012 Git CMD erroneously executes `doskey.exe` in current directory, if it exists | Important |
| Visual Studio | [CVE-2023-27909](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-27909) | AutoDesk: CVE-2023-27909 Out-Of-Bounds Write Vulnerability in Autodesk® FBX® SDK 2020 or prior | Important |
| Visual Studio Code | [CVE-2023-33144](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-33144) | Visual Studio Code Spoofing Vulnerability | Important |
| Windows Authentication Methods | [CVE-2023-29364](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-29364) | Windows Authentication Elevation of Privilege Vulnerability | Important |
| Windows Bus Filter Driver | [CVE-2023-32010](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-32010) | Windows Bus Filter Driver Elevation of Privilege Vulnerability | Important |
| Windows Cloud Files Mini Filter Driver | [CVE-2023-29361](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-29361) | Windows Cloud Files Mini Filter Driver Elevation of Privilege Vulnerability | Important |
| Windows Collaborative Translation Framework | [CVE-2023-32009](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-32009) | Windows Collaborative Translation Framework Elevation of Privilege Vulnerability | Important |
| Windows Container Manager Service | [CVE-2023-32012](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-32012) | Windows Container Manager Service Elevation of Privilege Vulnerability | Important |
| Windows CryptoAPI | [CVE-2023-24937](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-24937) | Windows CryptoAPI Denial of Service Vulnerability | Important |
| Windows CryptoAPI | [CVE-2023-24938](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-24938) | Windows CryptoAPI Denial of Service Vulnerability | Important |
| Windows DHCP Server | [CVE-2023-29355](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-29355) | DHCP Server Service Information Disclosure Vulnerability | Important |
| Windows Filtering | [CVE-2023-29368](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-29368) | Windows Filtering Platform Elevation of Privilege Vulnerability | Important |
| Windows GDI | [CVE-2023-29358](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-29358) | Windows GDI Elevation of Privilege Vulnerability | Important |
| Windows Geolocation Service | [CVE-2023-29366](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-29366) | Windows Geolocation Service Remote Code Execution Vulnerability | Important |
| Windows Group Policy | [CVE-2023-29351](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-29351) | Windows Group Policy Elevation of Privilege Vulnerability | Important |
| Windows Hello | [CVE-2023-32018](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-32018) | Windows Hello Remote Code Execution Vulnerability | Important |
| Windows Hyper-V | [CVE-2023-32013](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-32013) | Windows Hyper-V Denial of Service Vulnerability | Critical |
| Windows Installer | [CVE-2023-32016](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-32016) | Windows Installer Information Disclosure Vulnerability | Important |
| Windows iSCSI | [CVE-2023-32011](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-32011) | Windows iSCSI Discovery Service Denial of Service Vulnerability | Important |
| Windows Kernel | [CVE-2023-32019](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-32019) | Windows Kernel Information Disclosure Vulnerability | Important |
| Windows NTFS | [CVE-2023-29346](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-29346) | NTFS Elevation of Privilege Vulnerability | Important |
| Windows ODBC Driver | [CVE-2023-29373](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-29373) | Microsoft ODBC Driver Remote Code Execution Vulnerability | Important |
| Windows OLE | [CVE-2023-29367](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-29367) | iSCSI Target WMI Provider Remote Code Execution Vulnerability | Important |
| Windows PGM | [CVE-2023-29363](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-29363) | Windows Pragmatic General Multicast (PGM) Remote Code Execution Vulnerability | Critical |
| Windows PGM | [CVE-2023-32014](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-32014) | Windows Pragmatic General Multicast (PGM) Remote Code Execution Vulnerability | Critical |
| Windows PGM | [CVE-2023-32015](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-32015) | Windows Pragmatic General Multicast (PGM) Remote Code Execution Vulnerability | Critical |
| Windows Remote Procedure Call Runtime | [CVE-2023-29369](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-29369) | Remote Procedure Call Runtime Denial of Service Vulnerability | Important |
| Windows Resilient File System (ReFS) | [CVE-2023-32008](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-32008) | Windows Resilient File System (ReFS) Remote Code Execution Vulnerability | Important |
| Windows Server Service | [CVE-2023-32022](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-32022) | Windows Server Service Security Feature Bypass Vulnerability | Important |
| Windows SMB | [CVE-2023-32021](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-32021) | Windows SMB Witness Service Security Feature Bypass Vulnerability | Important |
| Windows TPM Device Driver | [CVE-2023-29360](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-29360) | Windows TPM Device Driver Elevation of Privilege Vulnerability | Important |
| Windows Win32K | [CVE-2023-29371](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-29371) | Windows GDI Elevation of Privilege Vulnerability | Important |
| Windows Win32K | [CVE-2023-29359](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-29359) | GDI Elevation of Privilege Vulnerability | Important |





## Tags:
***CVE's***: CVE-2023-29372 CVE-2023-21565 CVE-2023-32015 CVE-2023-32014 CVE-2023-29362 CVE-2023-27909 CVE-2023-32013 CVE-2023-32018 CVE-2023-32022 CVE-2023-2930 CVE-2023-32019 CVE-2023-33140 CVE-2023-2932 CVE-2023-32020 CVE-2023-2933 CVE-2023-29369 CVE-2023-33131 CVE-2023-32021 CVE-2023-29370 CVE-2023-24897 CVE-2023-29361 CVE-2023-25652 CVE-2023-29345 CVE-2023-29346 CVE-2023-33142 CVE-2023-32010 CVE-2023-29371 CVE-2023-32012 CVE-2023-32029 CVE-2023-29012 CVE-2023-33133 CVE-2023-29337 CVE-2023-25815 CVE-2023-29359 CVE-2023-24936 CVE-2023-24895 CVE-2023-29331 CVE-2023-29007 CVE-2023-29358 CVE-2023-29357 CVE-2023-2938 CVE-2023-29011 CVE-2023-29365 CVE-2023-33143 CVE-2023-33126 CVE-2023-29364 CVE-2023-29363 CVE-2023-32032 CVE-2023-29360 CVE-2023-28310 CVE-2023-29326 CVE-2023-2934 CVE-2023-33145 CVE-2023-29353 CVE-2023-20867 CVE-2023-33146 CVE-2023-32008 CVE-2023-32031 CVE-2023-32017 CVE-2023-21569 CVE-2023-32024 CVE-2023-33132 CVE-2023-29352 CVE-2023-27910 CVE-2023-33144 CVE-2023-33137 CVE-2023-27911 CVE-2023-29351 CVE-2023-2940 CVE-2023-2939 CVE-2023-24896 CVE-2023-33139 CVE-2023-33141 CVE-2023-2935 CVE-2023-32030 CVE-2023-2929 CVE-2023-32016 CVE-2023-33128 CVE-2023-33135 CVE-2023-32011 CVE-2023-29373 CVE-2023-29367 CVE-2023-33130 CVE-2023-32009 CVE-2023-29366 CVE-2023-24938 CVE-2023-2941 CVE-2023-2931 CVE-2023-2936 CVE-2023-33129 CVE-2023-3079 CVE-2023-24937 CVE-2023-2937 CVE-2023-29368 CVE-2023-29355

### Autogenerated tags:
[[microsoft]] [[windows]] [[chromium-based]] [[sharepoint]] [[zero-day]] [[pgm]] [[onenote]] [[github]] [[.net]] [[devops]]
