# Critical SAP Vulnerabilities Let Attackers Inject Code & Execute Commands
## SAP provided security fixes for 19 vulnerabilities, five of which were classified as critical, affecting SAP Business Objects Business Intelligence Platform (CMC) and SAP NetWeaver.
## Information:

+ Link: https://cybersecuritynews.com/?p=14795
+ Source: Cyber Security News
+ Author: Guru
+ Date published: 15 March 2023, 16:04
+ Date scraped: 15 March 2023, 17:00

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEjh2JZRzM2k_KXEnAq1dXcY_lR3o8cqN_Vwz6iRZF5rZFCNGPssfFfyU4swHnQY8IdZ36VZ1OxJpZIVT7NPldTiKPxdJaRhplC8tgfJGusEGGNhmacHCSgG77cTliIF7qFSmCeqSq9smws9TPXnrpafblYiXgedQtNBNgvSux-JuI-eLgeruXndO74lwg/s16000/SAP%20Security%20Update.png)


SAP provided security fixes for 19 vulnerabilities, five of which were classified as critical, affecting SAP Business Objects Business Intelligence Platform (CMC) and SAP NetWeaver. To reduce the dangers involved, the administrators should apply the patch immediately.





The company has released security patches to address vulnerabilities in the SAP Business Objects Business Intelligence Platform (CMC) and SAP NetWeaver Application Server (CVE-2023-25616, CVE-2023-23857, CVE-2023-27269, CVE-2023-27500, and CVE-2023-25617).


Also, SAP’s monthly security patch addressed four high-severity issues and ten medium-severity vulnerabilities.


## **Specifics of the Five Issues That Were Fixed**


1. **[CVE-2023-25616](https://nvd.nist.gov/vuln/detail/CVE-2023-25616):**


A code injection vulnerability in the SAP Business Intelligence Platform with a critical severity (CVSS v3: 9.9) that allows an attacker to access resources only accessible to privileged users. Versions 420 and 430 are affected by the bug.


2. **[CVE-2023-23857](https://nvd.nist.gov/vuln/detail/CVE-2023-23857):**


Critical severity (CVSS v3: 9.8) information disclosure, data manipulation, and DoS bug affecting SAP NetWeaver AS for Java, version 7.50. By attaching to an open interface and gaining access to services via the directory API, the flaw enables an unauthenticated attacker to carry out unauthorized actions.


3. **[CVE-2023-27269](https://nvd.nist.gov/vuln/detail/CVE-2023-27269):**


Directory traversal issue with critical severity (CVSS v3: 9.6) affecting SAP NetWeaver Application Server for ABAP. A non-admin user can overwrite system files due to a bug. Versions 700, 701, 702, 731, 740, 750, 751, 752, 753, 754, 755, 756, and 791 are affected.


4. **[CVE-2023-27500](https://nvd.nist.gov/vuln/detail/CVE-2023-27500):**


Directory traversal with a critical severity (CVSS v3: 9.6) in SAP NetWeaver AS for ABAP. By utilizing the SAPRSBRO bug to overwrite system files, an attacker can harm the susceptible endpoint. Version 700, 701, 702, 731, 740, 750, 751, 752, 753, 754, 755, and 757 are affected.


5. **[CVE-2023-25617](https://nvd.nist.gov/vuln/detail/CVE-2023-25617):**


Command execution vulnerability in SAP Business Objects Business Intelligence Platform, versions 420 and 430, with Critical severity (CVSS v3: 9.0). In certain circumstances, the vulnerability enables a remote attacker to execute arbitrary commands on the OS using the BI Launchpad, Central Management Console, or a customized application built using the public Java SDK.


**Recommendation:**


“SAP strongly recommends that the customer visits the Support Portal and applies patches on priority to protect their SAP landscape,” [says the company](https://dam.sap.com/mac/app/e/pdf/preview/embed/ucQrx6G?ltr=a&rc=10).


Because SAP’s products are used by large companies around the world and can serve as access points to valuable systems, they are a good target for threat actors.


Users and administrators of the affected SAP products are urged to update to the latest versions immediately.






## Tags:
***CVE's***: CVE-2023-27269 CVE-2023-27500 CVE-2023-25616 CVE-2023-23857 CVE-2023-25617

### Autogenerated tags:
[[netweaver]] [[cvss]] [[v3]]
