# Critical Zoom Clients Flaw Let Attackers Escalate Privileges
## A vulnerability classified as improper input validation was found in Zoom Desktop Client for Windows, Zoom VDI Client for Windows, and Zoom
## Information:

+ Link: https://cybersecuritynews.com/?p=59853
+ Source: Cyber Security News
+ Author: Raga Varshini
+ Date published: 18 March 2024, 12:56
+ Date scraped: 18 March 2024, 13:05

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEiOU6IQERh4eyjftsdm66RZ9lQ6wBGj26cxLBBi0hblYB1VcTmUATeRwwd6eiVXQxz6jqtIvAdnp5rh9vq1ScFO0dR_kiT2g6KxKD3YtUqoqK09a8KjHKR5RA1XhJTTKP3sq97kPXjuZ-Hi7FEAdBFV6Fv288KwxYu_miX0teCurB6VuRMiuWWEBCcab7kN/s16000/Zoom%20Privilege%20Escalation%20Flaw.webp)


A vulnerability classified as improper input validation was found in Zoom Desktop Client for Windows, Zoom VDI Client for Windows, and Zoom Meeting SDK for Windows that could potentially allow an authenticated attacker to gain access to sensitive information on the system through the network.


Zoom Desktop Client for Windows, Zoom VDI Client for Windows, and Zoom Meeting SDK for Windows contains a critical privilege escalation vulnerability ([CVE-2024-24691](https://nvd.nist.gov/vuln/detail/CVE-2024-24691)) with a CVSS score of 9.6. 


According to the findings of Zoom Offensive Security, the vulnerability is extremely serious and may be exploited with a relatively simple level of complexity.


The CVSS vector string (CVSS:3.1/AV:N/AC:L/PR:N/UI:R/S:C/C:H/I:H/A:H) provides more information about the vulnerability, including the fact that an unauthenticated attacker with low privileges can remotely exploit it and that it has a significant impact on the system’s [confidentiality](https://cybersecuritynews.com/network-security-solutions-for-cso/), integrity, and availability.


It stems from the application’s failure to validate user inputs, and malicious actors properly can exploit this weakness by sending specially crafted data packets over the network.


Suppose the application processes this data without proper validation. In that case, it can trigger unintended actions and potentially allow attackers to escalate their privileges, which could grant attackers complete control over the compromised system.


With this level of access, attackers could steal sensitive data, install malicious software, disrupt critical operations, or even use the compromised system as a launchpad for further attacks.


**Affected Products:**
----------------------


[Zoom](https://www.zoom.com/en/trust/security-bulletin/zsb-24008/) warns users of a critical vulnerability (CVE-2024-24691) in [Zoom Desktop Client](https://cybersecuritynews.com/zoom-desktop-flaws/) and Zoom VDI Client for Windows. Versions prior to 5.16.5 for Desktop Client and those before 5.16.10 for VDI Client (excluding specific exceptions) are susceptible. 


It allows unauthenticated attackers on the network to escalate privileges, potentially compromising the entire system, as an immediate upgrade to versions 5.16.5 (Desktop) or 5.16.10 (VDI, excluding the mentioned exceptions) is essential using the [link](https://zoom.us/download?_ga=2.121334159.644731349.1710738218-743359305.1710738218&_ics=1710738231874&irclickid=~6ZOHJNFKFExmnuyoqryEvlmgmgmnpumg86X34UVSOKCvmkda2SPG). 


Zoom also identified a critical vulnerability (CVE-2024-24691) in the Zoom Rooms Client for Windows versions older than 5.17.0 and the Zoom Meeting SDK for Windows versions before 5.16.5.


Vulnerability originates from search pathways that cannot be trusted, rendering it possible for malicious actors on the network to execute code that is not authorized.


It is severe because it grants attackers the ability to take complete control of affected systems, potentially leading to data breaches, malware installations, or disruptions to critical Zoom functionalities.


With [Perimeter81 malware protection](https://www.perimeter81.com/malware-protection?utm_source=gbhackers&utm_medium=affiliate&utm_campaign=top_articles_gbchakers_cisos_wp&a_aid=2428), you can block malware, including Trojans, ransomware, spyware, rootkits, worms, and zero-day exploits. All are incredibly harmful and can wreak havoc on your network.





## Tags:
***CVE's***: CVE-2024-24691

### Autogenerated tags:
[[windows]] [[vdi]] [[sdk]] [[cve-2024-24691]] [[malware]]
