# CISA: Patch Bug Exploited by Chinese E-commerce App
## Zero-day was linked to malicious Pinduoduo apps
## Information:

+ Link: https://www.infosecurity-magazine.com/news/cisa-patch-bug-exploited-chinese/
+ Source: Infosecurity News
+ Author: Phil Muncaster
+ Date published: 17 April 2023, 08:00
+ Date scraped: 17 April 2023, 10:00

## Article:
![Main article image](https://assets.infosecurity-magazine.com/webpage/og/08e3d3f4-52d1-4104-b8e0-e8df0f693ffe.png)

A leading US security agency has given the government until May 4 to patch a zero-day vulnerability which was allegedly exploited by an e-commerce app to eavesdrop on users.


The US Cybersecurity and Infrastructure Security Agency ([CISA](https://www.cisa.gov/)) added [CVE-2023-20963](https://nvd.nist.gov/vuln/detail/CVE-2023-20963) to its Known Exploited Vulnerabilities Catalog late last week.


The high severity vulnerability was patched by Google last month [after the firm said](https://source.android.com/docs/security/bulletin/2023-03-01) it may be under “limited, targeted exploitation.”


[*Read more on malicious Android apps here: Malicious Android Apps Sold For Up to $20,000 on Darknet.*](https://www.infosecurity-magazine.com/news/malicious-android-apps-sold/)


CISA explained that the bug enables attackers to escalate privileges on targeted devices without user interaction.


“Android Framework contains an unspecified vulnerability that allows for privilege escalation after updating an app to a higher Target SDK with no additional execution privileges needed,” [it noted.](https://www.cisa.gov/known-exploited-vulnerabilities-catalog)


Mobile security company [Lookout](https://www.lookout.com/) [confirmed](https://twitter.com/LookoutThreats/status/1640407674197245957?cxt=HHwWioDQtdSF88MtAAAA) late last month that the vulnerability, which has a CVSS score of 7.8, was being exploited by malicious versions of the Pinduoduo Android app. At least two versions of the popular Chinese e-commerce app available from third-party app stores were to blame.


Researchers said this could have enabled threat actors to covertly and remotely control millions of devices, to steal data and install additional malware.


With over 750 million monthly [active users](https://investor.pddholdings.com/news-releases/news-release-details/pinduoduo-announces-first-quarter-2022-unaudited-financial), Pinduoduo is one of the world’s most popular destinations for online shopping. The firm has denied its software is malicious, even though the two apps analyzed by researchers were apparently signed with an official key.


The Pinduoduo app has been temporarily pulled from the official Play store, but most Chinese consumers rely on third-party app stores to source their Android downloads.


Although the CISA catalog of known vulnerabilities is designed to force federal government agencies to improve patching processes, it is also strongly recommended that private enterprises use the same tool to help prioritize their efforts in this area.





## Tags:
***CVE's***: CVE-2023-20963

### Autogenerated tags:
[[android]] [[cisa]] [[apps]] [[pinduoduo]]
