# Code Execution Vulnerabilities Fixed In DaVinci Resolve Video Editor
## Blackmagic fixed the two vulnerabilities with DaVinci Resolve version 17.4.3. Users should upgrade now to receive the patches.
## Information:

+ Link: https://latesthackingnews.com/2021/12/28/code-execution-vulnerabilities-fixed-in-davinci-resolve-video-editor/
+ Source: Latest Hacking News
+ Author: Abeerah Hashim
+ Date published: 27 December 2021, 23:00
+ Date scraped: 28 December 2021, 13:00

## Article:
![Main article image](https://latesthackingnews.com/wp-content/uploads/2021/12/DaVinci-Resolve.jpg)

## Article:
![Article Image](https://latesthackingnews.com/wp-content/uploads/2021/12/DaVinci-Resolve.jpg)
 The popular software editor DaVinci Resolve had some serious security vulnerabilities leading to code execution. Following the researchers’ report, the vendors patched the flaws.

 DaVinci Resolve Code Execution Vulnerability
--------------------------------------------

 Researchers from Cisco Talos have shared a detailed [advisory](https://blog.talosintelligence.com/2021/12/vuln-spotlight-davinci-resolve.html) about two different vulnerabilities affecting DaVinci Resolve. Both the bugs received critical severity ratings with a CVSS score of 9.8.

 The Australian firm Blackmagic Design’s DaVinci Resolve is a freemium [video](https://latesthackingnews.com/2020/05/31/vivavideo-and-other-apps-with-over-157-million-installs-spy-on-users/) editing software bearing color grading, mixing/effects, and other visual effects functionalities.

 The researchers found the vulnerabilities in the DPDecoder service of the tool. The first of these (CVE-2021-40417) is an integer overflow vulnerability that could lead to code execution. Describing the bug in an [advisory](https://talosintelligence.com/vulnerability_reports/TALOS-2021-1426), Cisco stated,

 
> When parsing a file that is submitted to the DPDecoder service as a job, the service will use the combination of decoding parameters that were submitted with the job along with fields that were parsed for the submitted video by the R3D SDK to calculate the size of a heap buffer. Due to an integer overflow with regards to this calculation, this can result in an undersized heap buffer being allocated.
> 
> 

 The second vulnerability (CVE-2021-40418) could also lead to code execution due to the use of uninitialized variable. As stated in the [advisory](https://talosintelligence.com/vulnerability_reports/TALOS-2021-1427),

 
> When parsing a file that is submitted to the DPDecoder service as a job, the R3D SDK will mistakenly skip over the assignment of a property containing an object referring to a UUID that was parsed from a frame within the video container. Upon destruction of the object that owns it, the uninitialized member will be dereferenced and then destroyed using the object’s virtual destructor.
> 
> 

 The researchers found these bugs while analyzing version 17.3.1.0005. Blackmagic has fixed them with the release of DaVinci resolve [version 17.4.3](https://www.blackmagicdesign.com/support/readme/263d62f31cbb49e0868005059abcb0c9). Hence, users should now ensure upgrading to this version to receive the fixes.

   




## Tags:
***CVE's***: CVE-2021-40418 CVE-2021-40417

### Autogenerated tags:
[[davinci]] [[dpdecoder]]
