# Multiple Codesys PLC Vulnerabilities Could Risk Numerous Power Plants
## Microsoft researchers discovered numerous vulnerabilities affecting Codesys PLC that risked power plants' security with various attacks, such as shutdowns. Codesys released the patches for the flaws following the vulnerability disclosure. Microsoft Reports Severe Codesys PLC Vulnerabilities According
## Information:

+ Link: https://latesthackingnews.com/2023/08/14/multiple-codesys-plc-vulnerabilities-could-risk-numerous-power-plants/
+ Source: Latest Hacking News
+ Author: Abeerah Hashim
+ Date published: 14 August 2023, 17:08
+ Date scraped: 14 August 2023, 19:01

## Article:
![Main article image](https://latesthackingnews.com/wp-content/uploads/2018/04/cooling-tower-power-plant-energy-industry-162646-1.jpeg)

 *2* Microsoft researchers discovered numerous vulnerabilities affecting Codesys PLC that risked power plants’ security with various attacks, such as shutdowns. Codesys released the patches for the flaws following the vulnerability disclosure.

 ## Microsoft Reports Severe Codesys PLC Vulnerabilities

 According to a recent report, Microsoft researcher Vladimir Tokarev identified fifteen security vulnerabilities affecting Codesys programmable logic controllers (PLC).

 These vulnerabilities have received CVE numbers CVE-2022-47379 through CVE-2022-47393, all achieving a CVSS score of 8.8, leaving CVE-2022-47391 that appeared relatively less severe (CVSS 7.5). Exploiting these flaws could allow denial-of-service (DoS) attacks on vulnerable systems, which could eventually trigger power plant shutdowns. In addition, an attacker may achieve remote code execution, planting backdoors to steal data or meddle with devices’ operations.

 However, Microsoft explained that exploiting these vulnerabilities in real-time required the attacker to have authenticated access and sound knowledge about the CODESYS V3 protocols and the structures using it.

 The tech giant has listed and described these vulnerabilities in a separate [post](https://www.microsoft.com/en-us/security/blog/2023/08/10/multiple-high-severity-vulnerabilities-in-codesys-v3-sdk-could-lead-to-rce-or-dos/), besides sharing [technical stuff on GitHub](https://github.com/microsoft/CoDe16). In addition, they have demonstrated vulnerability exploitation in [this video](https://www.microsoft.com/en-us/videoplayer/embed/RW19KAB).

 ## Codesys Patched The Flaws

 Microsoft discovered the Codesys vulnerabilities while analyzing Schneider Electric Modicon TM251 and WAGO PFC200 PLCs. Following this discovery, Microsoft reported the vulnerabilities to Codesys in September 2022. In response, Codesys patched the vulnerabilities with the [latest firmware releases](https://store.codesys.com/en/engineering/codesys.html).

 [Codesys](https://latesthackingnews.com/2020/03/30/highly-critical-and-easily-exploitable-vulnerability-found-in-codesys-web-server/) boasts a wide range of users in its customer base looking for industrial automation, including energy automation, factory automation, process automation, and more. Hence, any vulnerabilities affecting Codesys PLC SDK mean a huge security risk to a large number of industries globally.

 Now that the flaws have received the patches, users must ensure updating their systems with the latest updates to remain safe. Besides, Microsoft also advises users to disconnect critical devices, such as PLCs, from the internet, limit authorized access, and deploy segmentation with unique credentials for specified and authorized user access.

 Let us know your thoughts in the comments.

   


## Tags:
***CVE's***: CVE-2022-47391 CVE-2022-47379 CVE-2022-47393

### Autogenerated tags:
[[codesys]] [[microsoft]] [[plc]]
