# Zoom Patched Multiple Security Vulnerabilities With Latest Update
## The latest Zoom release addressed numerous security vulnerabilities in the software, including a critical flaw. Users should ensure to update their devices with the latest releases to avoid potential threats. Critical Zoom Flaw Patched With Other
## Information:

+ Link: https://latesthackingnews.com/2024/02/20/zoom-patched-multiple-security-vulnerabilities-with-latest-update/
+ Source: Latest Hacking News
+ Author: Abeerah Hashim
+ Date published: 20 February 2024, 08:51
+ Date scraped: 20 February 2024, 10:03

## Article:
![Main article image](https://latesthackingnews.com/wp-content/uploads/2020/04/zoom.jpg)

 *1* The latest Zoom release addressed numerous security vulnerabilities in the software, including a critical flaw. Users should ensure to update their devices with the latest releases to avoid potential threats.

 Critical Zoom Flaw Patched With Other Security Vulnerabilities
--------------------------------------------------------------

 According to the latest [security bulletin](https://www.zoom.com/en/trust/security-bulletin/), at least seven different vulnerabilities existed in the [video conferencing software Zoom](https://latesthackingnews.com/tag/zoom-vulnerability/). These vulnerabilities affected different Zoom clients, exposing users to global security threats.

 These vulnerabilities even include a critical security fix for a privilege escalation flaw. Identified as [CVE-2024-24691](https://www.zoom.com/en/trust/security-bulletin/ZSB-24008/) (CVSS 9.6), Zoom described this vulnerability as an improper input validation that could allow an unauthenticated adversary to gain elevated privileges via network access. It affected the Zoom Desktop Client for Windows, Zoom VDI Client for Windows, Zoom Rooms Client for Windows, and Zoom Meeting SDK for Windows.

 The other six vulnerabilities include the following.

 * **[CVE-2024-24697](https://www.zoom.com/en/trust/security-bulletin/ZSB-24004/) (high severity; CVSS 7.2):** This vulnerability affected Zoom 32-bit Windows clients, letting an authenticated adversary gain elevated privileges via local access by exploiting an untrusted search path.
* **[CVE-2024-24696](https://www.zoom.com/en/trust/security-bulletin/ZSB-24003/) (medium severity; CVSS 6.8):** Improper input validation with Zoom in-meeting chat could lead to information disclosure to an authenticated attacker via network access.
* **[CVE-2024-24699](https://www.zoom.com/en/trust/security-bulletin/ZSB-24006/) (medium severity; CVSS 6.5):** Business login error with Zoom clients’ in-meeting chat. Exploiting the flaw could result in information disclosure to an authenticated adversary.
* **[CVE-2024-24690](https://www.zoom.com/en/trust/security-bulletin/ZSB-24007/) (medium severity; CVSS 5.4):** A denial of service vulnerability due to improper input validation.
* **[CVE-2024-24698](https://www.zoom.com/en/trust/security-bulletin/ZSB-24005/) (medium severity; CVSS 4.9):** An information disclosure flaw that existed due to improper authentication, facilitating a privileged user with local access.

 Zoom patched these vulnerabilities with different software releases, addressing some with Zoom version 5.16.5 and the rest with version 5.17.0. Given that the recent release, at the time of writing this story, is Zoom [version 5.17.7](https://zoom.us/download), users should consider updating their systems with this release to receive all security fixes.

 Besides, users must always ensure they use the latest software releases for any product to avoid exploits.

 Let us know your thoughts in the comments.

   


## Tags:
***CVE's***: CVE-2024-24696 CVE-2024-24697 CVE-2024-24690 CVE-2024-24698 CVE-2024-24699 CVE-2024-24691

### Autogenerated tags:
[[cvss]] [[windows]] [[severity;]]
