# Multiple flaws in CODESYS V3 SDK could lead to RCE or DoS￼
## 16 vulnerabilities in Codesys products could result in remote code execution and DoS attacks exposing OT environments to hacking. Microsoft Threat Intelligence researchers discovered 16 high-severity vulnerabilities, collectively tracked as CoDe16, in the CODESYS V3 software development kit (SDK). An attacker can trigger the flaw to gain remote code execution and conduct denial-of-service attacks under specific conditions, […]
## Information:

+ Link: https://securityaffairs.com/149474/security/codesys-v3-sdk-rce-dos.html
+ Source: Security Affairs
+ Author: Pierluigi Paganini
+ Date published: 13 August 2023, 17:29
+ Date scraped: 13 August 2023, 18:00

## Article:
![Main article image](https://i0.wp.com/securityaffairs.com/wp-content/uploads/2022/06/CODESYS.jpg?resize=300%2C300&ssl=1)



## 16 vulnerabilities in Codesys products could result in remote code execution and DoS attacks exposing OT environments to hacking.


Microsoft Threat Intelligence researchers discovered 16 high-severity vulnerabilities, collectively tracked as [CoDe16](https://github.com/microsoft/CoDe16), in the [CODESYS](https://securityaffairs.com/132685/security/codesys-ics-automation-software-flaws.html) V3 software development kit (SDK). An attacker can trigger the flaw to gain remote code execution and conduct denial-of-service attacks under specific conditions, exposing operational technology (OT) environments to hacking.


The CVE-2022-47391 received a severity rating of 7.5, while the remaining ones received a CVSS score of 8.8.


*“Exploitation of the discovered vulnerabilities, which affect all versions of CODESYS V3 prior to version 3.5.19.0, could put operational technology (OT) infrastructure at risk of attacks, such as remote code execution (RCE) and denial of service (DoS).” reads the [**advisory**](https://www.microsoft.com/en-us/security/blog/2023/08/10/multiple-high-severity-vulnerabilities-in-codesys-v3-sdk-could-lead-to-rce-or-dos/) published by Microsoft. “The discovery of these vulnerabilities highlights the critical importance of ensuring the security of industrial control systems and underscores the need for continuous monitoring and protection of these environments.”*


The researchers explained that an attacker can carry out a DoS attack against a device using a vulnerable version of CODESYS to shut down a power plant. The exploitation of remote code execution issue could allow attackers to set up a backdoor for devices and taking over them. The experts pointed out that the exploiting the vulnerabilities requires user authentication, as well as deep knowledge of the proprietary protocol of CODESYS V3 and the structure of the different services that the protocol uses.


*“We were able to apply 12 of the buffer overflow vulnerabilities to gain RCE of PLCs. Exploiting the vulnerabilities requires user authentication as well as bypassing the Data Execution Prevention (DEP) and Address Space Layout Randomization (ASLR) used by both the PLCs. To overcome the user authentication, we used a known vulnerability, [CVE-2019-9013](https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-9013), which allows us to perform a replay attack against the PLC using the unsecured username and password’s hash that were sent during the sign-in process**,**allowing us to bypass the user authentication process.” continues the report.*


The researchers also shared a video PoC of an attack to bypass the ASLR.


Below are the recommendations provided by Microsoft:


* Apply patches to affected devices in your network. Check with the device manufacturers for available patches and [update the device firmware](https://www.codesys.com/download)to version to 3.5.19.0 or above.
* Make sure all critical devices, such as PLCs, routers, PCs, etc., are disconnected from the internet and segmented, regardless of whether they run CODESYS.
* Limit access to CODESYS devices to authorized components only.
* Due to the nature of the CVEs, which still require a username and password, if prioritizing patching is difficult, reduce risk by ensuring proper segmentation, requiring unique usernames and passwords, and reducing users that have writing authentication.


Codesys published an advisory for these flaws, the document is available [**here**](https://customers.codesys.com/index.php?eID=dumpFile&t=f&f=17554&token=5444f53b4c90fe37043671a100dffa75305d1825&download=).


Follow me on Twitter: [**@securityaffairs**](https://twitter.com/securityaffairs) and [**Facebook**](https://www.facebook.com/sec.affairs) and [**Mastodon**](https://infosec.exchange/@securityaffairs)


[**Pierluigi Paganini**](http://www.linkedin.com/pub/pierluigi-paganini/b/742/559)


**(**[**SecurityAffairs**](http://securityaffairs.co/wordpress/)**–** **hacking, OT)**



  


---


  




## Tags:
***CVE's***: CVE-2022-47391 CVE-2019-9013
***ipv4-adresses***: 3.5.19.0

### Autogenerated tags:
[[codesys]] [[microsoft]] [[v3]] [[plcs]]
