# PoC exploit code for critical Realtek RCE flaw released online
## Exploit code for a critical vulnerability affecting networking devices using Realtek RTL819x system on a chip released online. The PoC exploit code for a critical stack-based buffer overflow issue, tracked as CVE-2022-27255 (CVSS 9.8), affecting networking devices using Realtek’s RTL819x system on a chip was released online. The issue resides in the Realtek’s SDK for […]
## Information:

+ Link: https://securityaffairs.co/wordpress/134515/breaking-news/realtek-rce-poc-exploit.html
+ Source: Security Affairs
+ Author: Pierluigi Paganini
+ Date published: 18 August 2022, 07:10
+ Date scraped: 18 August 2022, 08:00

## Article:
![Main article image](https://i0.wp.com/securityaffairs.co/wordpress/wp-content/uploads/2022/08/Realtek.jpg?resize=300%2C159&ssl=1)


The [PoC exploit code](https://github.com/infobyte/cve-2022-27255/tree/main/exploits_nexxt) for a critical stack-based buffer overflow issue, tracked as [CVE-2022-27255](https://nvd.nist.gov/vuln/detail/CVE-2022-27255) (CVSS 9.8), affecting networking devices using Realtek’s RTL819x system on a chip was released online. The issue resides in the Realtek’s SDK for the open-source eCos operating system, it was discovered by researchers from cybersecurity firm Faraday Security


*“On Realtek eCos SDK-based routers, the ‘SIP ALG’ module is vulnerable to buffer overflow. The root cause of the vulnerability is insufficient validation on the received buffer, and unsafe calls to strcpy. The ‘SIP ALG’ module calls strcpy to copy some contents of SIP packets to a predefined fixed buffer and does not check the length of the copied contents.” reads the [advisory](https://www.realtek.com/images/safe-report/Realtek_APRouter_SDK_Advisory-CVE-2022-27255.pdf) published by Realtek, which published the issue in March 2022. “A remote attacker can exploit the vulnerability through a WAN interface by crafting arguments in SDP data or the SIP header to make a specific SIP packet, and the successful exploitation would cause a crash or achieve the remote code execution.”*


Millions of devices, including routers and access points, are exposed to hacking.


The experts ([Octavio Gianatiempo](https://twitter.com/ogianatiempo), [Octavio Galland](https://twitter.com/GallandOctavio), [Emilio Couto](https://twitter.com/ekio_jp), [Javier Aguinaga](https://twitter.com/pastaCLS)) [disclosed](https://forum.defcon.org/node/241835) technical details of the flaw at the DEFCON hacker conference last week.


A remote attacker can exploit the flaw to execute arbitrary code without authentication by sending to the vulnerable devices specially crafted SIP packets with malicious SDP data.


The issue is very dangerous because the exploitation doesn’t require user interaction.


The PoC code developed by the experts works against Nexxt Nebula 300 Plus routers.


*“This repository contains the materials for the talk “Exploring the hidden attack surface of OEM IoT devices: pwning thousands of routers with a vulnerability in Realtek’s SDK for eCos OS.”, which was presented at [DEFCON30](https://forum.defcon.org/node/241835).” reads the [description](https://github.com/infobyte/cve-2022-27255/blob/main/README.md) provided with the exploit code on GitHub.*


The repo includes:


* *analysis*: Automated firmware analysis to detect the presence of CVE-2022-27255 (Run `analyse_firmware.py`).
* *exploits\_nexx*t: PoC and exploit code. The PoC should work on every affected router, however the exploit code is specific for the Nexxt Nebula 300 Plus router.
* *ghidra\_scripts*: Vulnerable function call searching script and CVE-2022-27255 detection script.
* *DEFCON*: Slide deck & poc video.


Johannes Ullrich, Dean of Research at SANS shared a [Snort rule](https://isc.sans.edu/diary/Realtek+SDK+SIP+ALG+Vulnerability%3A+A+Big+Deal%2C+but+not+much+you+can+do+about+it.+CVE+2022-27255/28940) that can be used to detect PoC exploit attempt.


*“The rule looks for “INVITE” messages that contain the string “m=audio “. It triggers if there are more than 128 bytes following the string (128 bytes is the size of the buffer allocated by the Realtek SDK) and if none of those bytes is a carriage return. The rule may even work sufficiently well without the last content match. Let me know if you see any errors or improvements.” [wrote](https://isc.sans.edu/diary/Realtek+SDK+SIP+ALG+Vulnerability%3A+A+Big+Deal%2C+but+not+much+you+can+do+about+it.+CVE+2022-27255/28940) the expert.*


Slides for the DEFCON presentation along with exploits, and a detection script for CVE-2022-27255 are [available in this GitHub repository](https://github.com/infobyte/cve-2022-27255).


Follow me on Twitter: [**@securityaffairs**](https://twitter.com/securityaffairs) and [**Facebook**](https://www.facebook.com/sec.affairs)




|  |  |
| --- | --- |
|  |  |




[**Pierluigi Paganini**](http://www.linkedin.com/pub/pierluigi-paganini/b/742/559)


**(**[**SecurityAffairs**](http://securityaffairs.co/wordpress/)**–** **hacking, Realtek)**


 
  


---


  




## Tags:
***CVE's***: CVE-2022-27255

### Autogenerated tags:
[[realtek]] [[poc]] [[cve-2022-27255]] [[sdk]] [[ecos]]
