# Zoom fixed critical flaw CVE-2024-24691 in Windows software
## Zoom addressed seven vulnerabilities in its desktop and mobile applications, including a critical flaw affecting the Windows software.
## Information:

+ Link: https://securityaffairs.com/159121/security/zoom-crirical-cve-2024-24691.html
+ Source: Security Affairs
+ Author: Pierluigi Paganini
+ Date published: 14 February 2024, 15:33
+ Date scraped: 14 February 2024, 17:02

## Article:
![Main article image](https://securityaffairs.com/wp-content/uploads/2020/06/zoom-logo-999x666-1.jpg)


The popular Video messaging giant Zoom released security updates to address seven vulnerabilities in its desktop and mobile applications, including a critical issue, tracked as CVE-2024-24691 (CVSS score of 9.6), in Windows software.


The vulnerability CVE-2024-24691 is an improper input validation bug that could be exploited by an attacker with network access to escalate privileges.



*“Improper input validation in Zoom Desktop Client for Windows, Zoom VDI Client for Windows, and Zoom Meeting SDK for Windows may allow an unauthenticated user to conduct an escalation of privilege via network access.” reads the [advisory](https://www.zoom.com/en/trust/security-bulletin/ZSB-24008/).*


The vulnerability impacts the following products:


* Zoom Desktop Client for Windows before version 5.16.5
* Zoom VDI Client for Windows before version 5.16.10 (excluding 5.14.14 and 5.15.12)
* Zoom Rooms Client for Windows before version 5.17.0
* Zoom Meeting SDK for Windows before version 5.16.5


The company also addressed a high-severity escalation of privilege vulnerability, tracked as CVE-2024-24697, impacting Windows software.


*“Untrusted search path in some Zoom 32 bit Windows clients may allow an authenticated user to conduct an escalation of privilege via local access.” [reads the advisory](https://www.zoom.com/en/trust/security-bulletin/ZSB-24004/).*


The issue impacts the following products:


* Zoom Desktop Client for Windows before version 5.17.0
* Zoom VDI Client for Windows before version 5.17.5 (excluding 5.15.15 and 5.16.12)
* Zoom Meeting SDK for Windows before version 5.17.0
* Zoom Rooms Client for Windows before version 5.17.0


The video messaging company also resolved a high-severity escalation of privilege defect in these Windows applications, noting that it can be exploited locally, without authentication.


Tracked as CVE-2024-24697 and described as an untrusted search path issue, the vulnerability impacts Desktop Client before version 5.17.0, VDI Client before version 5.17.5 (excluding 5.15.15 and 5.16.12), Meeting SDK before version 5.17.0, and Rooms Client before version 5.17.0.


Below is the [complete list](https://www.zoom.com/en/trust/security-bulletin/) of the addressed issues:




| ZSB | Title | Severity | CVE | Date Published | Date Updated |
| --- | --- | --- | --- | --- | --- |
| [ZSB-24008](https://www.zoom.com/en/trust/security-bulletin/ZSB-24008/) | Zoom Desktop Client for Windows, Zoom VDI Client for Windows, and Zoom Meeting SDK for Windows – Improper Input Validation | Critical | CVE-2024-24691 | 02/13/2024 | 02/13/2024 |
| [ZSB-24007](https://www.zoom.com/en/trust/security-bulletin/ZSB-24007/) | Zoom Clients – Improper Input Validation | Medium | CVE-2024-24690 | 02/13/2024 | 02/13/2024 |
| [ZSB-24006](https://www.zoom.com/en/trust/security-bulletin/ZSB-24006/) | Zoom Clients – Business Logic Error | Medium | CVE-2024-24699 | 02/13/2024 | 02/13/2024 |
| [ZSB-24005](https://www.zoom.com/en/trust/security-bulletin/ZSB-24005/) | Zoom Clients – Improper Authentication | Medium | CVE-2024-24698 | 02/13/2024 | 02/13/2024 |
| [ZSB-24004](https://www.zoom.com/en/trust/security-bulletin/ZSB-24004/) | Zoom Clients – Untrusted Search Path | High | CVE-2024-24697 | 02/13/2024 | 02/13/2024 |
| [ZSB-24003](https://www.zoom.com/en/trust/security-bulletin/ZSB-24003/) | Zoom Desktop Client for Windows, Zoom VDI Client for Windows, and Zoom Meeting SDK for Windows – Improper Input Validation | Medium | CVE-2024-24696 | 02/13/2024 | 02/13/2024 |
| [ZSB-24002](https://www.zoom.com/en/trust/security-bulletin/ZSB-24002/) | Zoom Desktop Client for Windows, Zoom VDI Client for Windows, and Zoom Meeting SDK for Windows – Improper Input Validation | Medium | CVE-2024-24695 | 02/13/2024 | 02/13/2024 |




It’s unclear if one of the above vulnerabilities has been actively exploited in the wild.


[Zoom](https://securityaffairs.com/155011/hacking/critical-zoom-room-bug.html) recommends its users to update their applications to the latest available releases as soon as possible.


In November 2023, the company [**fixed**](https://securityaffairs.com/155011/hacking/critical-zoom-room-bug.html) a critical vulnerability in Zoom Room allowed threat actors to take over meetings and steal sensitive data.


Follow me on Twitter: [**@securityaffairs**](https://twitter.com/securityaffairs) and [**Facebook**](https://www.facebook.com/sec.affairs) and [**Mastodon**](https://infosec.exchange/@securityaffairs)


[**Pierluigi Paganini**](http://www.linkedin.com/pub/pierluigi-paganini/b/742/559)


**(**[**SecurityAffairs**](http://securityaffairs.co/wordpress/)**–** **hacking,Zoom)**




---




---





## Tags:
***CVE's***: CVE-2024-2469002 CVE-2024-24697 CVE-2024-2469502 CVE-2024-2469602 CVE-2024-2469702 CVE-2024-2469802 CVE-2024-2469102 CVE-2024-24691 CVE-2024-2469902

### Autogenerated tags:
[[windows]] [[vdi]] [[sdk]]
