# ICS Patch Tuesday: Critical CodeMeter Vulnerability Impacts Several Siemens Products
## ICS Patch Tuesday: Siemens has released 7 new advisories and Schneider Electric has released 1 new advisory.
## Information:

+ Link: https://www.securityweek.com/ics-patch-tuesday-critical-codemeter-vulnerability-impacts-several-siemens-products/
+ Source: SecurityWeek
+ Author: Eduard Kovacs
+ Date published: 12 September 2023, 12:26
+ Date scraped: 12 September 2023, 13:00

## Article:
![Main article image](https://www.securityweek.com/wp-content/uploads/2023/08/ICS-Patch-Tuesday1.png)


Siemens and Schneider Electric’s Patch Tuesday advisories for September 2023 have been published.

**Siemens** 


[Siemens](https://new.siemens.com/global/en/products/services/cert.html#SecurityPublications) has published seven new advisories covering a total of 45 vulnerabilities affecting the company’s industrial products. 


One of the advisories describes CVE-2023-3935, a critical vulnerability affecting Wibu Systems’ CodeMeter software licensing and protection technology, which is used by several Siemens products, including PSS, SIMATIC, SIMIT, SINEC and SINEMA.

The flaw can be exploited by a remote, unauthenticated attacker for arbitrary code execution if the CodeMeter Runtime is configured as a server. If CodeMeter Runtime is configured as a client, the bug can allow an authenticated local attacker to escalate privileges to root.

QMS Automotive is affected by 10 medium- and high-severity vulnerabilities, including ones that allow session hijacking, malicious file uploads, information exposure, DoS attacks, and arbitrary code execution.

The RUGGEDCOM APE1808 product family is affected by nearly two dozen medium- and high-severity vulnerabilities affecting the BIOS provided by Insyde.


Parasolid, Teamcenter Visualization, and JT2Go are affected by remote code execution vulnerabilities that can be exploited using specially crafted files.

Many SIMATIC and SIPLUS products are impacted by an ANSI C OPC UA SDK vulnerability that could allow an unauthenticated, remote attacker to cause a DoS condition using a specially crafted certificate.

Siemens has also informed customers about the impact of the Intel CPU vulnerability named [Downfall](https://www.securityweek.com/companies-respond-to-downfall-intel-cpu-vulnerability/). The company is working on fixes for affected SIMATIC industrial PCs.   


**Schneider Electric**


Schneider Electric has only released one new [advisory](https://download.schneider-electric.com/files?p_Doc_Ref=SEVD-2023-255-01&p_enDocType=Security+and+Safety+Notice&p_File_Name=SEVD-2023-255-01.pdf), to inform customers about a high-severity vulnerability patched in its IGSS (Interactive Graphical SCADA System) product.


The flaw, which the company describes as a missing authentication issue, could “allow a local attacker to change update source, potentially leading to remote code execution when the attacker forces an update containing malicious content”.

**Related**: [ICS Patch Tuesday: Siemens Fixes 7 Vulnerabilities in Ruggedcom Products](https://www.securityweek.com/ics-patch-tuesday-siemens-fixes-7-vulnerabilities-in-ruggedcom-products/)


**Related**: [ICS Patch Tuesday: Siemens, Schneider Electric Fix 50 Vulnerabilities](https://www.securityweek.com/ics-patch-tuesday-siemens-schneider-electric-fix-50-vulnerabilities/)


**Related**: [ICS Patch Tuesday: Siemens Addresses Over 180 Third-Party Component Vulnerabilities](https://www.securityweek.com/ics-patch-tuesday-siemens-addresses-over-180-third-party-component-vulnerabilities/)





## Tags:
***CVE's***: CVE-2023-3935

### Autogenerated tags:
[[codemeter]] [[simatic]] [[high-severity]] [[ics]]
