# Intel Addresses 80 Firmware, Software Vulnerabilities
## Intel has addressed 80 vulnerabilities affecting its products, including 18 high-severity privilege escalation and DoS flaws.
## Information:

+ Link: https://www.securityweek.com/intel-addresses-80-firmware-software-vulnerabilities/
+ Source: SecurityWeek
+ Author: Eduard Kovacs
+ Date published: 09 August 2023, 11:41
+ Date scraped: 09 August 2023, 12:00

## Article:
![Main article image](https://www.securityweek.com/wp-content/uploads/2023/01/Cybersecurity_News-SecurityWeek.jpg)


**Intel on Tuesday released a total of 46 new security advisories to inform customers about 80 vulnerabilities affecting the company’s firmware and software.**


The most serious of [the flaws](https://www.intel.com/content/www/us/en/security-center/default.html), based on their CVSS score, are 18 high-severity issues allowing privilege escalation or, in a few cases, denial-of-service (DoS) attacks. 


The vulnerabilities impact processor BIOS, chipset firmware, NUC BIOS, Unison, Manageability Commander, NUC Kit and Mini PC BIOS, Driver and Support Assistant (DSA), AI Hackathon, PROSet/Wireless Wi-Fi and Killer WiFi, NUC Pro Software Suite, Easy Streaming Wizard, Virtual RAID on CPU (VROC), SGX and TDX for some Xeon Processors, and Unite products.

Medium-severity vulnerabilities have been addressed in processors, RealSense SDKs and ID software, ITS, Unite Android app, NUC BIOS firmware, PSR SDK, SDP tool, Server Board BMC video drivers, Unison, oneAPI, Hyperscan Library, DTT, Support Android app, Agilex (Quartus Prime Pro Edition for Linux), ISPC, and Advanced Link Analyzer Standard Edition.

Bugs with a ‘medium severity’ rating have also been resolved in VCUST Tool, Distribution of OpenVINO Toolkit, Optimization for TensorFlow, Ethernet controllers and adapters, System Firmware Update Utility for Server Boards and Server System, NUC ITE Tech, Arc graphics cards, SSD Tools, PCSD, Ethernet Controller RDMA driver for Linux, and RST products.

These mostly allow a local attacker to escalate privileges, and some can lead to information disclosure or DoS attacks.

A vast majority of the flaws disclosed on Tuesday have received patches, but some of the impacted products have been discontinued.


Intel has also published an advisory for the [Downfall](https://www.securityweek.com/downfall-new-intel-cpu-attack-exposing-sensitive-information/) vulnerability disclosed on Tuesday by Google researchers. 


**Related**: [Intel, AMD Address Many Vulnerabilities With Patch Tuesday Advisories](https://www.securityweek.com/intel-amd-address-many-vulnerabilities-patch-tuesday-advisories/)


**Related**: [Intel Paid Out Over $4.1 Million via Bug Bounty Program Since 2017](https://www.securityweek.com/intel-paid-out-over-4-1-million-via-bug-bounty-program-since-2017/)


**Related**: [Chipmaker Patch Tuesday: Intel, AMD Address Over 100 Vulnerabilities](https://www.securityweek.com/chipmaker-patch-tuesday-intel-amd-address-over-100-vulnerabilities/)





## Tags:


### Autogenerated tags:
[[nuc]]
