# Intel Publishes 41 Security Advisories for Over 90 Vulnerabilities
## Intel has published 41 new May 2024 Patch Tuesday advisories covering a total of more than 90 vulnerabilities.
## Information:

+ Link: https://www.securityweek.com/intel-publishes-41-security-advisories-for-over-90-vulnerabilities/
+ Source: SecurityWeek
+ Author: Eduard Kovacs
+ Date published: 15 May 2024, 13:58
+ Date scraped: 15 May 2024, 14:01

## Article:
![Main article image](https://www.securityweek.com/wp-content/uploads/2023/03/Intel-CPU-vPro-security.jpg)


**This Patch Tuesday, Intel published 41 new security advisories covering a total of more than 90 vulnerabilities found in the company’s products.**


The chip giant has released [patches](https://www.intel.com/content/www/us/en/security-center/default.html) for a majority of these vulnerabilities, while for some it has provided mitigations. 


The most important flaw, based on its severity rating of ‘critical’ and a CVSS score of 10, is CVE-2024-22476. The security hole has been identified in Neural Compressor, an AI product that performs model optimization to reduce the model size and increase the speed of deep learning inference for deployment on CPUs or GPUs.

Intel says this critical vulnerability could allow an unauthenticated attacker to “enable escalation of privilege via remote access”.

High-severity flaws have been found in the UEFI firmware of server products, Arc & Iris Xe Graphics, PROSet/Wireless, Power Gadget, Trust Domain Extensions, Secure Device Manager, Dynamic Tuning Technology, Thunderbolt, Graphics Performance Analyzers, BIOS Guard and Platform Properties Assessment Module, and Ethernet Controller I225 Manageability products.

These flaws can allow privilege escalation, DoS attacks, or information disclosure.

Medium-severity vulnerabilities have been addressed in Data Streaming Accelerator and Analytics Accelerator, Processor Diagnostic Tool, Graphics Performance Analyzers, Extreme Tuning Utility, Computing Improvement Program, Ethernet Controller Administrative Tools, Quartus Prime, Processor Identification Utility, Programmable Gate Array, Core Ultra processor, and Advisor products.

Medium-severity issues have also been found in Inspector, Distribution for GDB, Data Center GPU Max Series, Performance Counter Monitor, VTune Profiler, Chipset Device Software, Driver & Support Assistant, Context Sensing Technology, Arc Control, Libva library, Dynamic Load Balancer, Graphics Command Center Service, Endurance Gaming Mode, Server Board onboard video driver, Media SDK, and oneAPI Video Processing Library products.


Exploitation of a majority of these flaws can lead to privilege escalation, and some can allow DoS attacks or information disclosure.

**Related**: [Companies Respond to ‘Downfall’ Intel CPU Vulnerability](https://www.securityweek.com/companies-respond-to-downfall-intel-cpu-vulnerability/) 


**Related**: [Intel, AMD, Zoom, Splunk Release Patch Tuesday Security Advisories](https://www.securityweek.com/intel-amd-zoom-splunk-release-patch-tuesday-security-advisories/)


**Related**: [Chipmaker Patch Tuesday: Intel, AMD Address New Microarchitectural Vulnerabilities](https://www.securityweek.com/chipmaker-patch-tuesday-intel-amd-address-new-microarchitectural-vulnerabilities/)





## Tags:
***CVE's***: CVE-2024-22476

### Autogenerated tags:

