# Intel Software and Firmware Updates Patch 18 High-Severity Vulnerabilities
## Many high-severity privilege escalation vulnerabilities have been patched in Intel firmware and software with the first round of security updates released in 2022.
## Information:

+ Link: https://www.securityweek.com/intel-software-and-firmware-updates-patch-18-high-severity-vulnerabilities
+ Source: SecurityWeek
+ Author: Eduard Kovacs
+ Date published: 17 February 2022, 20:00
+ Date scraped: 17 February 2022, 20:00

## Article:
![Main article image](https://www.securityweek.com//favicon.ico)


The chipmaker last week released 22 [security advisories](https://www.intel.com/content/www/us/en/security-center/default.html), including seven that have an overall severity rating of “high.”


These advisories describe 18 high-severity vulnerabilities, most of which can be exploited for privilege escalation. Others can lead to information disclosure or a denial of service (DoS) condition. Exploitation of these flaws typically requires local access to the targeted device.


One advisory informs users that the BIOS firmware for some Intel processors is affected by 10 high-severity privilege escalation vulnerabilities.


Another advisory describes one serious security flaw that has been found in the Intel chipset firmware in Server Platform Services (SPS), Active Management Technology (AMT), and Power Management Controller (PMC).


High-severity issues have also been found in the Kernelflinger open source project, Intel Quartus Prime components, PROSet/Wireless WiFi and Killer WiFi products, and the AMT SDK, Setup and Configuration Software (SCS), and Management Engine BIOS eXtensions (MEBx).


The remaining advisories describe over a dozen medium- and low-severity vulnerabilities addressed by the company this month.


Some computer vendors, such as [HPE](https://support.hpe.com/hpesc/public/docDisplay?docId=emr_na-hpesbhf04243en_us), have also released advisories to inform their customers about some of the vulnerabilities affecting Intel hardware.


On one hand, considering that Intel software and firmware is widely deployed, these types of vulnerabilities could turn out to be useful to threat actors. On the other hand, [CISA’s Known Exploited Vulnerabilities Catalog](https://www.securityweek.com/cisas-must-patch-list-puts-spotlight-vulnerability-management-processes), which includes more than 370 flaws that have been exploited in attacks over the past decade, only mentions one Intel vulnerability ([CVE-2017-5689](https://nvd.nist.gov/vuln/detail/cve-2017-5689)).


Intel last year [patched a total of 226 vulnerabilities](https://www.securityweek.com/intel-patched-226-vulnerabilities-2021) in its products, and it has paid out an average of $800,000 per year through its bug bounty program since its launch in 2018. Two of the flaws patched in 2021 were rated “critical” and 52 were rated “high severity.”





 


## Tags:
***CVE's***: CVE-2017-5689

### Autogenerated tags:
[[high-severity]]
