# Intel, AMD Address Many Vulnerabilities With Patch Tuesday Advisories
## Intel and AMD have patched many vulnerabilities in their products, including high-severity flaws, with their Patch Tuesday updates.
## Information:

+ Link: https://www.securityweek.com/intel-amd-address-many-vulnerabilities-patch-tuesday-advisories
+ Source: SecurityWeek
+ Author: Eduard Kovacs
+ Date published: 09 November 2022, 13:00
+ Date scraped: 09 November 2022, 13:00

## Article:
![Main article image](https://www.securityweek.com//favicon.ico)



[Intel](https://www.intel.com/content/www/us/en/security-center/default.html) has published 24 new advisories covering more than 50 vulnerabilities affecting the chip giant’s products.


Seven advisories describe high-severity privilege escalation flaws. This includes one in the BIOS firmware of some Intel processors, one in XMM 7560 Modem software, a dozen in NUC BIOS firmware, three in chipset firmware, one in Data Center Manager (DCM) software, two in Server Boards and Server Systems, and one impacting the Active Management Technology (AMT) SDK, Endpoint Management Assistant (EMA) and Manageability Commander.


A couple of high-severity vulnerabilities in chipset firmware can be exploited for denial-of-service (DoS) attacks.


One of the high-severity bugs, tracked as CVE-2021-33164 and discovered internally by Intel, affects BIOS firmware for some Intel NUCs and it can be exploited by a privileged user for privilege escalation.


Details of the vulnerability were disclosed by Intel employees this summer at the Black Hat hacker conference, and CERT/CC published an advisory for it on Tuesday. A type of attack dubbed [RingHopper](https://kb.cert.org/vuls/id/434994) can allow a threat actor to bypass security mechanisms, steal sensitive information, install bootkits, or brick the targeted system. CERT/CC said products from Dell, Insyde and possibly others are also impacted.


Medium- and low-severity vulnerabilities have been fixed by Intel in PROSet/Wireless WiFi, VTune Profiler, Quartus Prime, OpenVINO toolkit, PresentMon, Advanced Link Analyzer, Server Debug and Provisioning (SDP), NUC Kit Wireless Adapter driver installer, Support Android application, WLAN Authentication and Privacy Infrastructure (WAPI) Security, EMA, and the SGX SDK.


Glorp and System Studio are also affected by medium-severity flaws, but they have been discontinued and will not receive patches.



[AMD](https://www.amd.com/en/corporate/product-security/bulletin/amd-sb-1036) has published four new advisories describing a total of 10 vulnerabilities. Medium-severity issues have been found in the μProf software (DoS flaws), the Link application (information disclosure), and processors.


The processor issue, tracked as CVE-2022-23824, is related to [Spectre speculative execution attacks](https://www.securityweek.com/amd-updates-spectre-mitigations-following-intel-research).


“AMD is aware of a potential vulnerability affecting AMD CPUs where the OS relies on IBPB to flush the return address predictor. This may allow for CVE-2017-5715 (previously known as Spectre Variant 2) attacks based on RET predictions in cases where the OS relies on IBPB without the use of additional software mitigations, to flush the return address predictor,” AMD said.


The company noted that mitigations are specific to impacted hypervisor and OS vendors. [Microsoft](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2022-23824) has published its own advisory, informing customers that the latest Windows updates enable the required mitigation and provide protection.


AMD has also published an [advisory](https://www.amd.com/en/corporate/product-security/bulletin/amd-sb-1040) describing two high-severity and four medium-severity vulnerabilities affecting some graphics products. These security holes can be exploited for privilege escalation, code execution, and information disclosure.






 


## Tags:
***CVE's***: CVE-2017-5715 CVE-2021-33164 CVE-2022-23824

### Autogenerated tags:
[[amd]] [[high-severity]] [[medium-severity]]
