# Many of 13 New Mac Malware Families Discovered in 2022 Linked to China
## More than a dozen new Mac malware families were discovered in 2022, including information stealers, crypto-miners, loaders, and backdoors, and many have been linked to China.
## Information:

+ Link: https://www.securityweek.com/many-13-new-mac-malware-families-discovered-2022-linked-china
+ Source: SecurityWeek
+ Author: Eduard Kovacs
+ Date published: 06 January 2023, 16:00
+ Date scraped: 06 January 2023, 16:00

## Article:
![Main article image](https://www.securityweek.com//favicon.ico)


Mac security expert Patrick Wardle has compiled a [list of the macOS malware](https://objective-see.org/blog/blog_0x71.html) that came to light over the course of last year. The number of new malware appears to be increasing as only [eight new families](https://www.securityweek.com/eight-new-macos-malware-families-emerged-2021) were spotted in 2021.


The first malware to emerge in 2022 was SysJoker, a cross-platform backdoor used by an APT actor in targeted attacks. SysJoker, observed targeting an educational institution, can download and execute other malicious components.


The second macOS malware, [DazzleSpy](https://www.securityweek.com/new-macos-malware-dazzlespy-used-hong-kong-attacks), was used as part of a state-sponsored cyberespionage campaign aimed at pro-democracy activists in Hong Kong. The malware has been described as a backdoor and information stealer, and the main suspect behind these attacks is China.


Another new piece of malware, which may be linked to DazzleSpy, has been named VPN Trojan (Covid) and it has been described as a persistent backdoor that can download and execute second stage payloads directly from memory.


The malware named oRAT has also been linked to a Chinese APT group. The Go-written threat has a long list of espionage-related capabilities, but the analyzed sample did not have any persistence mechanism.


A Chinese cyberespionage group is also believed to be behind a macOS backdoor named [Rshell](https://www.securityweek.com/chinese-cyberspies-use-supply-chain-attack-deliver-windows-macos-malware), which has been delivered through a supply chain attack. The malware can execute commands in a shell and steal information.


The malware known as Gimmick has also been tied to Chinese cyberspies. The backdoor uses cloud providers for command and control (C&C).


China has also been mentioned in a report describing a new attack framework dubbed [Alchimist](https://www.securityweek.com/new-alchimist-attack-framework-targets-windows-linux-macos), which targets Windows, Linux and macOS devices. The remote access trojan (RAT) delivered by the attackers, named Insekt, can execute commands and collect information, but the macOS version has not been recovered so its exact capabilities are unknown.


CloudMensis has been used to steal valuable information from compromised systems, including documents, screenshots and keystrokes. The malware exploited older vulnerabilities, which suggests it has been around for several years.


Three of the new Mac malware families identified in 2022 relied on typosquatting to spread. [CrateDepression](https://www.securityweek.com/researchers-spot-supply-chain-attack-targeting-gitlab-ci-pipelines) leveraged the popularity of a Rust crate to spread and it deployed other payloads on compromised systems. [Pymafka](https://www.securityweek.com/pypi-served-malicious-version-popular-ctx-python-package) posed as a popular Python package for delivery and installed a Cobalt Strike agent. [SentinelSneak](https://www.securityweek.com/malicious-pypi-module-poses-sentinelone-sdk) was disguised as a SentinelOne SDK and attempted to exfiltrate sensitive data from infected devices.


The list of new macOS malware also includes KeySteal, a keychain stealer delivered via trojanized versions of a free app, and the cryptocurrency miner CoinMiner, which uses various open source components and I2P for stealthy communications.




 


## Tags:


### Autogenerated tags:
[[malware]] [[macos]]
