# Siemens Addresses Over 90 Vulnerabilities Affecting Third-Party Components
## Siemens this week addressed more than 100 vulnerabilities affecting its products, including over 90 flaws affecting third-party components.
## Information:

+ Link: https://www.securityweek.com/siemens-addresses-over-90-vulnerabilities-affecting-third-party-components
+ Source: SecurityWeek
+ Author: Eduard Kovacs
+ Date published: 09 March 2022, 15:00
+ Date scraped: 09 March 2022, 15:00

## Article:
![Main article image](https://www.securityweek.com//favicon.ico)


Three [advisories](https://new.siemens.com/global/en/products/services/cert.html#SecurityPublications) have an overall severity rating of “critical” and eight have a “high severity” rating. They describe vulnerabilities in Mendix, COMOS, Simcenter, SIMOTICS, SINEC, RUGGEDCOM, and SINUMERIK products.


Five of Siemens’ March 2022 Patch Tuesday advisories cover vulnerabilities affecting third-party components. One of them describes the impact on SINEC INS of 71 security holes affecting components such as Node.js, cURL, SQLite, CivetWeb and BIND.


Another advisory describes over a dozen vulnerabilities affecting COMOS, specifically the Drawings SDK used by the product. The SDK, provided by the Open Design Alliance, is affected by weaknesses that can be triggered for information disclosure and code execution using specially crafted files.


**Learn more about vulnerabilities in industrial systems at [SecurityWeek’s ICS Cyber Security Conference](https://www.icscybersecurityconference.com/)**


The other three advisories describing third-party component vulnerabilities are related to RUGGEDCOM ROX and ROS devices. The impacted components include NSS and ISC DHCP. Exploitation can lead to code execution, denial of service (DoS), or disclosure of sensitive information.


While for many of these vulnerabilities Siemens has already released patches, for some flaws the German industrial giant has only provided mitigations.


Schneider Electric released only three [new advisories](https://www.se.com/ww/en/work/support/cybersecurity/security-notifications.jsp) this Patch Tuesday, including for three serious vulnerabilities in APC Smart-UPS devices. The flaws, collectively named [TLStorm](https://www.securityweek.com/millions-apc-smart-ups-devices-can-be-remotely-hacked-damaged), can be exploited to remotely hack and damage the affected uninterruptible power supply (UPS) devices.




 


## Tags:


### Autogenerated tags:

