# Zoom Patches Critical Vulnerability in Windows Applications
## Zoom patches seven vulnerabilities in its products, including a critical-severity bug in its Windows applications.
## Information:

+ Link: https://www.securityweek.com/zoom-patches-critical-vulnerability-in-windows-applications/
+ Source: SecurityWeek
+ Author: Ionut Arghire
+ Date published: 14 February 2024, 13:22
+ Date scraped: 14 February 2024, 14:02

## Article:
![Main article image](https://www.securityweek.com/wp-content/uploads/2023/06/Zoom-Data-Security-Privacy.jpg)


**Video messaging giant Zoom on Tuesday announced patches for seven vulnerabilities in its desktop and mobile applications, including a critical-severity bug in Windows software.**


The critical issue, tracked as CVE-2024-24691 (CVSS score of 9.6), is described as an improper input validation that could allow an attacker with network access to escalate privileges.

Zoom’s Desktop Client for Windows before version 5.16.5, VDI Client for Windows before version 5.16.10 (excluding 5.14.14 and 5.15.12), Rooms Client for Windows before version 5.17.0, and Meeting SDK for Windows before version 5.16.5 are affected, the company notes in its [advisory](https://www.zoom.com/en/trust/security-bulletin/ZSB-24008/).


The video messaging company also resolved a high-severity escalation of privilege defect in these Windows applications, noting that it can be exploited locally, without authentication.

Tracked as CVE-2024-24697 and described as an untrusted search path issue, the vulnerability impacts Desktop Client before version 5.17.0, VDI Client before version 5.17.5 (excluding 5.15.15 and 5.16.12), Meeting SDK before version 5.17.0, and Rooms Client before version 5.17.0.

Two medium-severity flaws leading to information leaks were also resolved in the Desktop Client, VDI Client, and Meeting SDK for Windows.

On Tuesday, the company also warned that three medium-severity vulnerabilities in the Zoom clients for desktop and mobile platforms could be exploited to conduct denial-of-service attacks or to leak information.

Zoom users on Windows, macOS, Linux, Android, and iOS are advised to update their applications to the latest available releases.


The company makes no mention of any of these vulnerabilities being exploited in malicious attacks. Additional information on the bugs can be found on [Zoom’s security bulletins page](https://www.zoom.com/en/trust/security-bulletin/).


**Related:** [Intel, AMD, Zoom, Splunk Release Patch Tuesday Security Advisories](https://www.securityweek.com/intel-amd-zoom-splunk-release-patch-tuesday-security-advisories/)


**Related:** [Zoom Unveils Open Source Vulnerability Impact Scoring System](https://www.securityweek.com/zoom-unveils-open-source-vulnerability-impact-scoring-system/)


**Related:** [Zoom Patches High Risk Flaws on Windows, MacOS Platforms](https://www.securityweek.com/zoom-patches-high-risk-flaws-windows-macos-platforms/)





## Tags:
***CVE's***: CVE-2024-24691 CVE-2024-24697

### Autogenerated tags:
[[windows]] [[vdi]] [[sdk]]
