# ÆPIC Leak: Architectural Bug in Intel CPUs Exposes Protected Data
## Researchers disclose the details of ÆPIC Leak, an architectural bug in Intel CPUs that exposes data protected by SGX.
## Information:

+ Link: https://www.securityweek.com/aepic-leak-architectural-bug-intel-cpus-exposes-protected-data
+ Source: SecurityWeek
+ Author: Eduard Kovacs
+ Date published: 09 August 2022, 18:00
+ Date scraped: 09 August 2022, 18:00

## Article:
![Main article image](https://www.securityweek.com//favicon.ico)


The research was conducted by researchers from the Sapienza University of Rome, the Graz University of Technology, the CISPA Helmholtz Center for Information Security, and Amazon Web Services.


The attack method has been dubbed [AEPIC Leak](https://aepicleak.com/) — spelled ÆPIC Leak — and it’s related to the Advanced Programmable Interrupt Controller (APIC). This integrated CPU component is responsible for accepting, prioritizing, and dispatching interrupts to processors. When it’s in xAPIC mode, the APIC registers are accessed through a memory-mapped I/O (MMIO) page.![AEPIC Leak attack on Intel CPUs](https://www.securityweek.com/sites/default/files/images/AEPIC_Leak.png "AEPIC Leak attack on Intel CPUs")


In order to conduct an ÆPIC Leak attack, an attacker requires privileged access — administrator or root access — to the APIC MMIO. According to the researchers, ÆPIC Leak poses a significant risk to applications that rely on the Intel Software Guard Extensions (SGX) technology, which is designed to protect data from privileged attackers.


The researchers who identified this attack method have been involved in the discovery of several side-channel techniques affecting various processors, including the notorious Meltdown and Spectre attacks and their variants.


However, the researchers pointed out that unlike Meltdown and Spectre, which are transient execution attacks, AEPIC Leak exists due to an architectural bug, which leads to the disclosure of sensitive data without leveraging any side channel. They described it as “the first CPU bug able to architecturally disclose sensitive data.”


One of the researchers told *SecurityWeek* that since it does not rely on a side channel, the attack is extremely reliable.


“It is sufficient to load an enclave application in memory to be able to leak its contents. AEPIC Leaks can precisely target an application and fully dumps its memory in less than a second,” explained Pietro Borrello of the Sapienza University of Rome.


ÆPIC Leak, officially tracked as CVE-2022-21233, has been described as an uninitialized memory read issue that affects Intel CPUs.


Intel, which described it as a medium-severity issue related to improper isolation of shared resources, published an [advisory](https://www.intel.com/content/www/us/en/security-center/advisory/intel-sa-00657.html) on Tuesday and provided a list of impacted products.


The researchers noted that users whose systems are powered by a recent Intel CPU are likely affected by the vulnerability, but those who don’t use SGX do not have to be concerned.


“We believe that ÆPIC Leak is only relevant to Intel SGX enclaves. ÆPIC Leak requires access to the physical APIC MMIO page that can be achieved only with high privileges. Traditional applications do not have to worry about ÆPIC Leak,” the experts said.


In addition, virtual machines are not affected either, as they do not have access to physical memory. Intel APICv has been checked by the researchers, who found that it’s not impacted.


Mitigations rolled out for recent side-channel attacks do not protect systems against ÆPIC Leak attacks. Instead, Intel is making available microcode updates and SGX SDK patches that address the vulnerability.


The researchers said the vulnerability has likely not been exploited in the wild, but noted that exploitation might not leave any traces in traditional log files.


A research paper detailing ÆPIC Leak is available, as well as a [dedicated website](https://aepicleak.com/) summarizing the findings. [Proof-of-concept (PoC) exploit code](https://github.com/IAIK/AEPIC) has also been released.




 


## Tags:
***CVE's***: CVE-2022-21233

### Autogenerated tags:
[[æpic]] [[apic]] [[sgx]] [[aepic]] [[mmio]]
