# Critical Security Flaws Uncovered in Honeywell Experion DCS and QuickBlox Services
## Multiple vulnerabilities have been found in Honeywell Experion DCS and QuickBlox. If exploited, these flaws could lead to severe compromise of affecte
## Information:

+ Link: https://thehackernews.com/2023/07/critical-security-flaws-uncovered-in.html
+ Source: The Hacker News
+ Author: THN
+ Date published: 14 July 2023, 20:11
+ Date scraped: 14 July 2023, 16:01

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEjgm1-6zs8Kn8AjrlkQgInmquW4XeJ5Y8r4aJ2qiB2fu6cOeSz4fRW2YppjT9S8y6nAkmpCgplxe96yqWYWdFfOIOhFXZwfzQ_6D3QFZGxpCsp6cMmLaC2zXaUv9C2PCwHGQ6o6y9d8eqaA2sR0vIlFG3azYrb2uZhduRPD7DQABeqN8r2IA9f1bZXGfJ4f/s728-e3650/email.jpg)

 Multiple security vulnerabilities have been discovered in various services, including Honeywell Experion distributed control system (DCS) and QuickBlox, that, if successfully exploited, could result in severe compromise of affected systems.


Dubbed Crit.IX, the nine flaws in the Honeywell Experion DCS platform allow for "unauthorized remote code execution, which means an attacker would have the power to take over the devices and alter the operation of the DCS controller, whilst also hiding the alterations from the engineering workstation that manages the controller," Armis said in a statement shared with The Hacker News.


Put differently, the issues relate to lack of encryption and adequate authentication mechanisms in a proprietary protocol called Control Data Access (CDA) that's used to communicate between Experion Servers and C300 controllers, effectively enabling a threat actor to take over the devices and alter the operation of the DCS controller.

 "As a result, anyone with access to the network is able to impersonate both the controller and the server," Tom Gol, CTO for research at Armis, [said](https://www.armis.com/blog/critix-9-vulnerabilities-discovered-in-honeywells-experionplatforms-for-distributed-control-systems-dcs/). " In addition, there are design flaws in the CDA protocol which make it hard to control the boundaries of the data and can lead to buffer overflows."


In a related development, Check Point and Claroty uncovered major flaws in a chat and video calling platform known as QuickBlox that's widely used in telemedicine, finance, and smart IoT devices. The vulnerabilities could allow attackers to leak the user database from many popular applications that incorporate QuickBlox SDK and API.


This includes Rozcom, an Israeli vendor that sells intercoms for residential and commercial use cases. A closer examination of its mobile app led to the discovery of additional bugs ([CVE-2023-31184](https://nvd.nist.gov/vuln/detail/CVE-2023-31184) and [CVE-2023-31185](https://nvd.nist.gov/vuln/detail/CVE-2023-31185)) that made it possible to download all user databases, impersonate any user, and perform full account takeover attacks.


"As a result, we were able to take over all Rozcom intercom devices, giving us full control and allowing us to access device cameras and microphones, wiretap into its feed, open doors managed by the devices, and more," the researchers [said](https://research.checkpoint.com/2023/major-security-flaws-in-popular-quickblox-chat-and-video-framework-expose-sensitive-data-of-millions/).


Also disclosed this week are remote code execution flaws impacting [Aerohive/Extreme Networks access points](https://research.aurainfosec.io/pentest/bee-yond-capacity/) running HiveOS/Extreme IQ Engine versions before 10.6r2 and the open-source Ghostscript library ([CVE-2023-36664](https://nvd.nist.gov/vuln/detail/CVE-2023-36664), CVSS score: 9.8) that could result in the execution of arbitrary commands.

 UPCOMING WEBINAR[Shield Against Insider Threats: Master SaaS Security Posture Management](https://thn.news/I26t1VFD)Worried about insider threats? We've got you covered! Join this webinar to explore practical strategies and the secrets of proactive security with SaaS Security Posture Management.

[Get Ready to Learn](https://thn.news/I26t1VFD)
"Ghostscript is a widely used but not necessarily widely known package," Kroll researcher Dave Truman [said](https://www.kroll.com/en/insights/publications/cyber/ghostscript-cve-2023-36664-remote-code-execution-vulnerability). "It can be executed in many different ways, from opening a file in a vector image editor such as Inkscape to printing a file via CUPS. This means that an exploitation of a vulnerability in Ghostscript might not be limited to one application or be immediately obvious."


Rounding off the list is the discovery of hard-coded credentials in Technicolor TG670 DSL gateway routers that could be weaponized by an authenticated user to gain full administrative control of the devices.


"A remote attacker can use the default username and password to login as the administrator to the router device," CERT/CC [said](https://kb.cert.org/vuls/id/913565) in an advisory. "This allows the attacker to modify any of the administrative settings of the router and use it in unexpected ways."


Users are advised to disable remote administration on their devices to prevent potential exploitation attempts and check with the service providers to determine if appropriate patches and updates are available.


  





## Tags:
***CVE's***: CVE-2023-36664 CVE-2023-31184 CVE-2023-31185

### Autogenerated tags:
[[dcs]] [[experion]] [[quickblox]] [[ghostscript]]
