# Multiple Flaws Found in Ninja Forms Plugin Leave 800,000 Sites Vulnerable
## Patchstack reports security vulnerabilities in the popular Ninja Forms plugin for WordPress (CVE-2023-37979, CVE-2023-38386, CVE-2023-38393).
## Information:

+ Link: https://thehackernews.com/2023/07/multiple-flaws-found-in-ninja-forms.html
+ Source: The Hacker News
+ Author: THN
+ Date published: 31 July 2023, 12:12
+ Date scraped: 31 July 2023, 07:00

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEj_thE-3UNIBQyzGuZ27ohQtC17Y1T7knb3e6AKfbezmnX2gC3X8LiDFumkU0mDlY33gukkKoqAj_M7xd3B6kCCPnq-9AIm6NtyVsVmql-9S785N_l5D1ED5JbOfxv3-6zN20AbdWlK_-ya2ti_9TYhnGNc-dZRTK2gJQQO9ZcbltCkAKXyIOHJq6G2wFgA/s728-e3650/nn.jpg)


Multiple security vulnerabilities have been disclosed in the Ninja Forms plugin for WordPress that could be exploited by threat actors to escalate privileges and steal sensitive data.


The flaws, tracked as CVE-2023-37979, CVE-2023-38386, and CVE-2023-38393, impact versions 3.6.25 and below, Patchstack [said](https://patchstack.com/articles/multiple-high-severity-vulnerabilities-in-ninja-forms-plugin/) in a report last week. Ninja Forms is installed on over 800,000 sites.


A brief description of each of the vulnerabilities is below -


* [**CVE-2023-37979**](https://nvd.nist.gov/vuln/detail/CVE-2023-37979) (CVSS score: 7.1) - A POST-based reflected cross-site scripting (XSS) flaw that could allow any unauthenticated user to achieve privilege escalation on a target WordPress site by tricking privileged users to visit a specially crafted website.
* [**CVE-2023-38386**](https://nvd.nist.gov/vuln/detail/CVE-2023-38386) and [**CVE-2023-38393**](https://nvd.nist.gov/vuln/detail/CVE-2023-38393) - Broken access control flaws in the form submissions export feature that could enable a bad actor with Subscriber and Contributor roles to export all Ninja Forms submissions on a WordPress site.


Users of the plugin are recommended to update to version 3.6.26 to mitigate potential threats.


UPCOMING WEBINAR[Shield Against Insider Threats: Master SaaS Security Posture Management](https://thn.news/I26t1VFD)Worried about insider threats? We've got you covered! Join this webinar to explore practical strategies and the secrets of proactive security with SaaS Security Posture Management.

[Join the Session](https://thn.news/I26t1VFD)
The disclosure comes as Patchstack [revealed](https://patchstack.com/articles/site-wide-reflected-xss-in-freemius-wordpress-sdk-affecting-millions-of-sites/) another reflected XSS vulnerability flaw in the Freemius WordPress software development kit (SDK) affecting versions prior to 2.5.10 ([CVE-2023-33999](https://nvd.nist.gov/vuln/detail/CVE-2023-33999)) that could be exploited to obtain elevated privileges.


Also discovered by the WordPress security company is a [critical bug](https://patchstack.com/articles/critical-privilege-escalation-in-ht-mega-plugin-affecting-100k-sites/) in the HT Mega plugin ([CVE-2023-37999](https://nvd.nist.gov/vuln/detail/CVE-2023-37999)) present in versions 2.2.0 and below that enables any unauthenticated user to escalate their privilege to that of any role on the WordPress site.



  





## Tags:
***CVE's***: CVE-2023-37999 CVE-2023-33999 CVE-2023-37979 CVE-2023-38386 CVE-2023-38393

### Autogenerated tags:
[[wordpress]] [[plugin]]
