# Researchers Discover Malicious PyPI Package Posing as SentinelOne SDK to Steal Data
## A malicious PyPI package pretending to be an SDK for SentinelOne has been discovered, leading to a data theft campaign called SentinelSneak
## Information:

+ Link: https://thehackernews.com/2022/12/researchers-discover-malicious-pypi.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 19 December 2022, 18:05
+ Date scraped: 19 December 2022, 20:00

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEhe6FVqtp3OdWdhFrufG0NJ49souZoGhbbqTePSFAtz1uDm5ycQ45nqWYQCt8XjyEUObK6p6TH_C5YURPje5AkTbj2mOe8G_ruC6ZlMJw_tIBa8pzUzK_cN_HCE8fk5ZzGp7n1AE61qFHnE2Owp8QTyLO7cEAtM1Z3Rf_ZXKEu8Clb75nq-wHPVB0sZ/s728-e1000/pypi-malware.png)


Cybersecurity researchers have discovered a new malicious package on the Python Package Index (PyPI) repository that impersonates a software development kit (SDK) for SentinelOne, a major cybersecurity company, as part of a campaign dubbed **SentinelSneak**.


The package, named [SentinelOne](https://pypi.org/project/SentinelOne/) and now taken down, is said to have been published between December 8 and 11, 2022, with nearly two dozen versions pushed in quick succession over a period of two days.


It claims to offer an easier method to access the [company's APIs](https://www.sentinelone.com/faq/#:~:text=What%20is%20SentinelOne%20API%3F), but harbors a malicious backdoor that's engineered to amass sensitive information from development systems, including access credentials, SSH keys, and configuration data.


What's more, the threat actor has also been observed releasing two more packages with similar naming variations – [SentinelOne-sdk](https://pypi.org/project/sentinelone-sdk/) and [SentinelOneSDK](https://pypi.org/project/SentineloneSDK/) – underscoring the [continued threats](https://thehackernews.com/2022/12/hackers-bombard-open-source.html) lurking in open source repositories.


"The SentinelOne imposter package is just the latest threat to leverage the PyPI repository and underscores the growing threat to software supply chains, as malicious actors use strategies like 'typosquatting' to exploit developer confusion and push malicious code into development pipelines and legitimate applications," ReversingLabs threat researcher Karlo Zanki [said](https://blog.reversinglabs.com/blog/sentinelsneak-malicious-pypi-module-poses-as-security-sdk) in a report shared with The Hacker News.


What's notable about the fraudulent package is it mimics a [legitimate SDK](https://www.sentinelone.com/faq/#:~:text=What%20is%20SentinelOne%20API%3F) that's offered by SentinelOne to its customers, potentially tricking developers into downloading the module from PyPI.


[![Malicious PyPI package](data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAQAAAC1HAwCAAAAC0lEQVR42mP8Xw8AAoMBgDTD2qgAAAAASUVORK5CYII=)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEiFJRNLbi9GagUb0J2RhE27nBtfyvNTU4VdFOMonhjILyM0eK-Jrc_IQK20IqYLkB-xuG94aaAeFVItrjzh-yrimbVw7_l_Rm4NLZO3sZCGoZGL4g7BLQQkfkeFjmuXZPWPShmrAHd9LwOw-fIiNJQnAMuyPXPbe_hpacnNPwXIYg6SvFLnNs6mr7vA/s728-e100/code.png)
The software supply chain security company noted that the SDK client code may have been "likely obtained from the company by way of a legitimate customer account."


Some of the data exfiltrated by the malware to a remote server include shell command execution history, SSH keys, and other files of interest, indicating an attempt on the part of the threat actor to siphon sensitive information from development environments.


It's not immediately clear if the package was weaponized as part of an active supply chain attack, although it has been downloaded more than 1,000 times prior to its removal.

 The findings come as ReversingLabs' State of Software Supply Chain Security report [found](https://blog.reversinglabs.com/blog/the-state-of-software-supply-chain-security) that the PyPI repository has witnessed a nearly 60% decrease in malicious package uploads in 2022, dropping to 1,493 packages from 3,685 in 2021.


On the contrary, the npm JavaScript repository saw a 40% increase to nearly 7,000, making it the "biggest playground for malicious actors." In all, rogue package trends since 2020 have exhibited a 100 times rise in npm and more than 18,000% in PyPI.


"Though small in scope and of little impact, this campaign is a reminder to development organizations of the persistence of software supply chain threats," Zanki said. "As with previous malicious campaigns, this one plays on tried and true social engineering tactics to confuse and mislead developers into downloading a malicious module."


  





## Tags:


### Autogenerated tags:
[[pypi]] [[sentinelone]] [[sdk]]
