# Severe Android and Novi Survey Vulnerabilities Under Active Exploitation
## U.S. CISA adds two new vulnerabilities to its KEV catalog, warning of active exploitation of Android and Novi Survey flaws.
## Information:

+ Link: https://thehackernews.com/2023/04/severe-android-and-novi-survey.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 14 April 2023, 07:15
+ Date scraped: 14 April 2023, 08:00

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEgdb31YtwZG36X6pE-Xzme7tkbG3wFVNQmDcfH0Ef45dYGhRxhTYdCdUTQR2Ahv83UQgxqOCS8hBTuZVAQj2mW8ToyqgshR7G4WXsWPzF_K12qJxalxZNSJikyQd7AhKhczx4qO7u-3XrKvaCjJsKsrvJ5MvlXn9pUuwiZQUeUkf6z1Fugi6JhrORfk/s728-e3650/android-flaw.png)


The U.S. Cybersecurity and Infrastructure Security Agency (CISA) has [added](https://www.cisa.gov/news-events/alerts/2023/04/13/cisa-adds-two-known-exploited-vulnerabilities-catalog) two vulnerabilities to its Known Exploited Vulnerabilities (KEV) catalog, based on evidence of active exploitation.


The two flaws are listed below -


* [**CVE-2023-20963**](https://nvd.nist.gov/vuln/detail/CVE-2023-20963) (CVSS score: 7.8) - Android Framework Privilege Escalation Vulnerability
* [**CVE-2023-29492**](https://nvd.nist.gov/vuln/detail/CVE-2023-29492) (CVSS score: TBD) - Novi Survey Insecure Deserialization Vulnerability


"Android Framework contains an unspecified vulnerability that allows for privilege escalation after updating an app to a higher Target SDK with no additional execution privileges needed," CISA [said](https://www.cisa.gov/known-exploited-vulnerabilities-catalog) in an advisory for CVE-2023-20963.


Google, in its monthly Android Security Bulletin for March 2023, [acknowledged](https://source.android.com/docs/security/bulletin/2023-03-01) "there are indications that CVE-2023-20963 may be under limited, targeted exploitation."


The development comes as tech news site Ars Technica [disclosed](https://arstechnica.com/information-technology/2023/03/android-app-from-china-executed-0-day-exploit-on-millions-of-devices/) late last month that Android apps digitally signed by China's e-commerce company Pinduoduo weaponized the flaw to seize control of the devices and steal sensitive data, citing analysis from mobile security firm Lookout. 


Chief among the capabilities of the malware-laced app includes inflating the number of Pinduoduo daily active users and monthly active users, uninstalling rival apps, accessing notifications and location information, and preventing itself from being uninstalled.


CNN, in a [follow-up report](https://edition.cnn.com/2023/04/02/tech/china-pinduoduo-malware-cybersecurity-analysis-intl-hnk/index.html) published earlier this month, said an analysis of the 6.49.0 version of the app revealed code designed to achieve privilege escalation and even track user activity on other shopping apps.


The exploits allowed the malicious app to access users' contacts, calendars, and photo albums without their consent and requested a "large number of permissions beyond the normal functions of a shopping app," the news channel said.


It's worth pointing out that Google [suspended](https://techcrunch.com/2023/03/20/google-flags-apps-made-by-popular-chinese-e-commerce-giant-as-malware/) Pinduoduo's official app from the Play Store in March, citing malware identified in "off-Play versions" of the software.


That said, it's still not clear how these APK files were signed with the same key used to sign the legitimate Pinduoduo app. This either points to a key leak, the work of a rogue insider, a compromise of Pinduoduo's build pipeline, or a deliberate attempt by the Chinese company to distribute malware.


The second vulnerability added to the KEV catalog relates to an insecure deserialization vulnerability in Novi Survey software that allows remote attackers to execute code on the server in the context of the service account.


The issue, which impacts Novi Survey versions prior to 8.9.43676, was [addressed](https://novisurvey.net/blog/novi-survey-security-advisory-apr-2023.aspx) by the Boston-based provider earlier this week on April 10, 2023. It's currently not known how the flaw is being abused in real-world attacks.


To counter the risks posed by the vulnerabilities, Federal Civilian Executive Branch (FCEB) agencies in the U.S. are advised to apply necessary patches by May 4, 2023.



  





## Tags:
***CVE's***: CVE-2023-20963 CVE-2023-29492

### Autogenerated tags:
[[pinduoduo]] [[android]] [[cve-2023-20963]] [[novi]] [[apps]]
