# Trend Micro Releases Urgent Fix for Actively Exploited Critical Security Vulnerability
## Trend Micro releases patches for a critical security flaw, CVE-2023-41179, actively exploited in real-world attacks.
## Information:

+ Link: https://thehackernews.com/2023/09/trend-micro-releases-urgent-fix-for.html
+ Source: The Hacker News
+ Author: THN
+ Date published: 20 September 2023, 10:58
+ Date scraped: 20 September 2023, 06:00

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEjLw4dM_R7jK77JSYEqnIGHj9FpwHZna9q4oDDjTmPycBFRT7G6MFQqz0t4AyOF0Tc9CSK1Q_HQSyjPuZLYaXaDsW7BcX9uV-FFzC53P6haZCU07_dJD2m_M0oWV-COKtxukmQyaLMLZ9_w5rUNIM7X8gVkQZIL3grEooZ78nPi-ROQIJPOsvvMSQXHbzzD/s728-e3650/trend.jpg)


Cybersecurity company Trend Micro has [released](https://success.trendmicro.com/dcx/s/solution/000294994?language=en_US) patches and hotfixes to address a critical security flaw in Apex One and Worry-Free Business Security solutions for Windows that has been actively exploited in real-world attacks.


Tracked as [**CVE-2023-41179**](https://nvd.nist.gov/vuln/detail/CVE-2023-41179) (CVSS score: 9.1), it relates to a third-party antivirus uninstaller module that's bundled along with the software. The complete list of impacted products is as follows -


* Apex One - version 2019 (on-premise), fixed in SP1 Patch 1 (B12380)
* Apex One as a Service - fixed in SP1 Patch 1 (B12380) and Agent version 14.0.12637
* Worry-Free Business Security - version 10.0 SP1, fixed in 10.0 SP1 Patch 2495
* Worry-Free Business Security Services - fixed in July 31, 2023, Monthly Maintenance Release


Trend Micro said that a successful exploitation of the flaw could allow an attacker to manipulate the component to execute arbitrary commands on an affected installation. However, it requires that the adversary already has administrative console access on the target system.


[![Cybersecurity](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEhi4CwKKVvbrabSKgZxQMtcCPSAThCFPNdROHSodr7KQwhdCVXrAi_do7ciuRA2-3QiOXhZmPJs-4if9uDqHVZ41ExgY4nnjL9T0gPjhO7VYtzE2vXXHRh9v8bTaCTixHBKbgd3P7goFMq7rhywio_HjaVvoz6X5d0H6GqIxSp3-oup5PTnmGnWhtFXjJXv/s728-e365/aws-d.png)](https://thn.news/o6a5Vxgy)
The company also warned that it has "observed at least one active attempt of potential exploitation of this vulnerability in the wild," making it essential that users move quickly to apply the patches.


As a workaround, it's recommending that customers limit access to the product's administration console to trusted networks.


CISA Adds Nine Flaws to KEV Catalog[#](#cisa-adds-nine-flaws-to-kev-catalog)
----------------------------------------------------------------------------


[![](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEih8JCcosfaTXv1jZjOsRK50Wv6SGThzbUhl4VXvIRzb-0yGfGPG90lXzBzeACynqUXqGzZXFZwRbOwuwPA0fnaG26gYcS1YluA5HV_GwwucHzx9uUMf0IyohhkIs-AE0fVyUzhBH3U4ZUQrfSW5Gq5QsUl09ycyfkVS0pEZsOC8mSLF0hp_-QlbUXz_Siv/s728-e365/kev.png)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEih8JCcosfaTXv1jZjOsRK50Wv6SGThzbUhl4VXvIRzb-0yGfGPG90lXzBzeACynqUXqGzZXFZwRbOwuwPA0fnaG26gYcS1YluA5HV_GwwucHzx9uUMf0IyohhkIs-AE0fVyUzhBH3U4ZUQrfSW5Gq5QsUl09ycyfkVS0pEZsOC8mSLF0hp_-QlbUXz_Siv/s728-e365/kev.png)
The development comes as the U.S. Cybersecurity and Infrastructure Security Agency (CISA) [added](https://www.cisa.gov/news-events/alerts/2023/09/18/cisa-adds-eight-known-exploited-vulnerabilities-catalog) [nine flaws](https://www.cisa.gov/news-events/alerts/2023/09/19/cisa-adds-one-known-exploited-vulnerability-catalog) to its Known Exploited Vulnerabilities ([KEV](https://www.cisa.gov/known-exploited-vulnerabilities-catalog)) catalog, citing evidence of active exploitation in the wild -


* [**CVE-2014-8361**](https://nvd.nist.gov/vuln/detail/CVE-2014-8361) (CVSS score: N/A) - Realtek SDK Improper Input Validation Vulnerability
* [**CVE-2017-6884**](https://nvd.nist.gov/vuln/detail/CVE-2017-6884) (CVSS score: 8.8) - Zyxel EMG2926 Routers Command Injection Vulnerability
* [**CVE-2021-3129**](https://nvd.nist.gov/vuln/detail/CVE-2021-3129) (CVSS score: 9.8) - Laravel Ignition File Upload Vulnerability
* [**CVE-2022-22265**](https://nvd.nist.gov/vuln/detail/CVE-2022-22265) (CVSS score: 7.8) - Samsung Mobile Devices Use-After-Free Vulnerability
* [**CVE-2022-31459**](https://nvd.nist.gov/vuln/detail/CVE-2022-31459) (CVSS score: 6.5) - Owl Labs Meeting Owl Inadequate Encryption Strength Vulnerability
* [**CVE-2022-31461**](https://nvd.nist.gov/vuln/detail/cve-2022-31461) (CVSS score: 6.5) - Owl Labs Meeting Owl Missing Authentication for Critical Function Vulnerability
* [**CVE-2022-31462**](https://nvd.nist.gov/vuln/detail/CVE-2022-31462) (CVSS score: 8.8) - Owl Labs Meeting Owl Use of Hard-coded Credentials Vulnerability
* [**CVE-2022-31463**](https://nvd.nist.gov/vuln/detail/CVE-2022-31463) (CVSS score: 7.1) - Owl Labs Meeting Owl Improper Authentication Vulnerability
* [**CVE-2023-28434**](https://nvd.nist.gov/vuln/detail/CVE-2023-28434) (CVSS score: 8.8) - MinIO Security Feature Bypass Vulnerability


It's worth noting that a fifth flaw impacting [Owl Labs Meeting Owl](https://resources.owllabs.com/blog/owl-labs-update) (CVE-2022-31460, CVSS score: 7.4), a case of hard-coded credentials, was previously added to the KEV catalog on June 8, 2022, merely days after Modzero disclosed details of the flaws.


UPCOMING WEBINAR[Level-Up SaaS Security: A Comprehensive Guide to ITDR and SSPM](https://thehacker.news/itdr-saas?source=inside)Stay ahead with actionable insights on how ITDR identifies and mitigates threats. Learn about the indispensable role of SSPM in ensuring your identity remains unbreachable.

[Reserve Your Spot](https://thehacker.news/itdr-saas?source=inside)
"By exploiting the vulnerabilities[...], an attacker can find registered devices, their data, and owners from around the world," the Swiss security consultancy firm [said](https://modzero.com/modlog/archives/2022/05/31/en_hoot_hoot_pwn/index.html) at the time.


"Attackers can also access confidential screenshots of whiteboards or use the Owl to get access to the owner's network. The PIN protection, which protects the Owl from unauthorized use, can be circumvented by an attacker by (at least) four different approaches."


Even more troublingly, the devices can be turned into rogue wireless network gateways to a local corporate network remotely via Bluetooth by arbitrary users and can be abused to act as a backdoor to owners' local networks. It's currently not known how these vulnerabilities are exploited in the wild.


The security weakness impacting MinIO has come under abuse in recent months, with Security Joes [revealing](https://thehackernews.com/2023/09/hackers-exploit-minio-storage-system.html) this month that an unnamed threat actor is exploiting it in conjunction with CVE-2023-28432 (CVSS score: 7.5) to achieve unauthorized code execution on susceptible servers and drop follow-on payloads.


  





## Tags:
***CVE's***: CVE-2014-8361 CVE-2023-41179 CVE-2022-31463 CVE-2022-22265 CVE-2021-3129 CVE-2022-31462 CVE-2023-28432 CVE-2022-31460 CVE-2023-28434 CVE-2017-6884 CVE-2022-31461 CVE-2022-31459

### Autogenerated tags:
[[cvss]] [[sp1]] [[worry-free]] [[kev]]
